#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1287
#define LARGE_STATE_COUNT 150
#define SYMBOL_COUNT 241
#define ALIAS_COUNT 2
#define TOKEN_COUNT 105
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 29
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 120

enum {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_match = 16,
  anon_sym_return = 17,
  anon_sym_del = 18,
  anon_sym_raise = 19,
  anon_sym_pass = 20,
  anon_sym_break = 21,
  anon_sym_continue = 22,
  anon_sym_if = 23,
  anon_sym_COLON = 24,
  anon_sym_elif = 25,
  anon_sym_else = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_finally = 34,
  anon_sym_with = 35,
  anon_sym_def = 36,
  anon_sym_DASH_GT = 37,
  anon_sym_STAR_STAR = 38,
  anon_sym_global = 39,
  anon_sym_nonlocal = 40,
  anon_sym_exec = 41,
  anon_sym_class = 42,
  anon_sym_AT = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  anon_sym_EQ = 46,
  anon_sym_not = 47,
  anon_sym_and = 48,
  anon_sym_or = 49,
  anon_sym_PLUS = 50,
  anon_sym_DASH = 51,
  anon_sym_SLASH = 52,
  anon_sym_PERCENT = 53,
  anon_sym_SLASH_SLASH = 54,
  anon_sym_PIPE = 55,
  anon_sym_AMP = 56,
  anon_sym_CARET = 57,
  anon_sym_LT_LT = 58,
  anon_sym_TILDE = 59,
  anon_sym_LT = 60,
  anon_sym_LT_EQ = 61,
  anon_sym_EQ_EQ = 62,
  anon_sym_BANG_EQ = 63,
  anon_sym_GT_EQ = 64,
  anon_sym_GT = 65,
  anon_sym_LT_GT = 66,
  anon_sym_is = 67,
  anon_sym_lambda = 68,
  anon_sym_PLUS_EQ = 69,
  anon_sym_DASH_EQ = 70,
  anon_sym_STAR_EQ = 71,
  anon_sym_SLASH_EQ = 72,
  anon_sym_AT_EQ = 73,
  anon_sym_SLASH_SLASH_EQ = 74,
  anon_sym_PERCENT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_GT_GT_EQ = 77,
  anon_sym_LT_LT_EQ = 78,
  anon_sym_AMP_EQ = 79,
  anon_sym_CARET_EQ = 80,
  anon_sym_PIPE_EQ = 81,
  anon_sym_yield = 82,
  sym_ellipsis = 83,
  anon_sym_LBRACE = 84,
  anon_sym_RBRACE = 85,
  anon_sym_LBRACE_LBRACE = 86,
  anon_sym_RBRACE_RBRACE = 87,
  sym_escape_sequence = 88,
  sym__not_escape_sequence = 89,
  aux_sym_format_specifier_token1 = 90,
  sym_type_conversion = 91,
  sym_integer = 92,
  sym_float = 93,
  anon_sym_await = 94,
  sym_true = 95,
  sym_false = 96,
  sym_none = 97,
  sym_comment = 98,
  sym__newline = 99,
  sym__indent = 100,
  sym__dedent = 101,
  sym__string_start = 102,
  sym__string_content = 103,
  sym__string_end = 104,
  sym_module = 105,
  sym__statement = 106,
  sym__simple_statements = 107,
  sym_import_statement = 108,
  sym_import_prefix = 109,
  sym_relative_import = 110,
  sym_future_import_statement = 111,
  sym_import_from_statement = 112,
  sym__import_list = 113,
  sym_aliased_import = 114,
  sym_wildcard_import = 115,
  sym_print_statement = 116,
  sym_chevron = 117,
  sym_assert_statement = 118,
  sym_expression_statement = 119,
  sym_named_expression = 120,
  sym__named_expresssion_lhs = 121,
  sym_return_statement = 122,
  sym_delete_statement = 123,
  sym_raise_statement = 124,
  sym_pass_statement = 125,
  sym_break_statement = 126,
  sym_continue_statement = 127,
  sym_if_statement = 128,
  sym_elif_clause = 129,
  sym_else_clause = 130,
  sym_match_statement = 131,
  sym_case_clause = 132,
  sym_for_statement = 133,
  sym_while_statement = 134,
  sym_try_statement = 135,
  sym_except_clause = 136,
  sym_finally_clause = 137,
  sym_with_statement = 138,
  sym_with_clause = 139,
  sym_with_item = 140,
  sym_function_definition = 141,
  sym_parameters = 142,
  sym_lambda_parameters = 143,
  sym_list_splat = 144,
  sym_dictionary_splat = 145,
  sym_global_statement = 146,
  sym_nonlocal_statement = 147,
  sym_exec_statement = 148,
  sym_class_definition = 149,
  sym_parenthesized_list_splat = 150,
  sym_argument_list = 151,
  sym_decorated_definition = 152,
  sym_decorator = 153,
  sym_block = 154,
  sym_expression_list = 155,
  sym_dotted_name = 156,
  sym__parameters = 157,
  sym__patterns = 158,
  sym_parameter = 159,
  sym_pattern = 160,
  sym_tuple_pattern = 161,
  sym_list_pattern = 162,
  sym_default_parameter = 163,
  sym_typed_default_parameter = 164,
  sym_list_splat_pattern = 165,
  sym_dictionary_splat_pattern = 166,
  sym_as_pattern = 167,
  sym__expression_within_for_in_clause = 168,
  sym_expression = 169,
  sym_primary_expression = 170,
  sym_not_operator = 171,
  sym_boolean_operator = 172,
  sym_binary_operator = 173,
  sym_unary_operator = 174,
  sym_comparison_operator = 175,
  sym_lambda = 176,
  sym_lambda_within_for_in_clause = 177,
  sym_assignment = 178,
  sym_augmented_assignment = 179,
  sym_pattern_list = 180,
  sym__right_hand_side = 181,
  sym_yield = 182,
  sym_attribute = 183,
  sym_subscript = 184,
  sym_slice = 185,
  sym_call = 186,
  sym_typed_parameter = 187,
  sym_type = 188,
  sym_keyword_argument = 189,
  sym_list = 190,
  sym_set = 191,
  sym_tuple = 192,
  sym_dictionary = 193,
  sym_pair = 194,
  sym_list_comprehension = 195,
  sym_dictionary_comprehension = 196,
  sym_set_comprehension = 197,
  sym_generator_expression = 198,
  sym__comprehension_clauses = 199,
  sym_parenthesized_expression = 200,
  sym__collection_elements = 201,
  sym_for_in_clause = 202,
  sym_if_clause = 203,
  sym_conditional_expression = 204,
  sym_concatenated_string = 205,
  sym_string = 206,
  sym_interpolation = 207,
  sym__escape_interpolation = 208,
  sym_format_specifier = 209,
  sym_format_expression = 210,
  sym_await = 211,
  sym_positional_separator = 212,
  sym_keyword_separator = 213,
  aux_sym_module_repeat1 = 214,
  aux_sym__simple_statements_repeat1 = 215,
  aux_sym_import_prefix_repeat1 = 216,
  aux_sym__import_list_repeat1 = 217,
  aux_sym_print_statement_repeat1 = 218,
  aux_sym_assert_statement_repeat1 = 219,
  aux_sym_if_statement_repeat1 = 220,
  aux_sym_match_statement_repeat1 = 221,
  aux_sym_match_statement_repeat2 = 222,
  aux_sym_case_clause_repeat1 = 223,
  aux_sym_try_statement_repeat1 = 224,
  aux_sym_with_clause_repeat1 = 225,
  aux_sym_global_statement_repeat1 = 226,
  aux_sym_argument_list_repeat1 = 227,
  aux_sym_decorated_definition_repeat1 = 228,
  aux_sym_dotted_name_repeat1 = 229,
  aux_sym__parameters_repeat1 = 230,
  aux_sym__patterns_repeat1 = 231,
  aux_sym_comparison_operator_repeat1 = 232,
  aux_sym_subscript_repeat1 = 233,
  aux_sym_dictionary_repeat1 = 234,
  aux_sym__comprehension_clauses_repeat1 = 235,
  aux_sym__collection_elements_repeat1 = 236,
  aux_sym_for_in_clause_repeat1 = 237,
  aux_sym_concatenated_string_repeat1 = 238,
  aux_sym_string_repeat1 = 239,
  aux_sym_format_specifier_repeat1 = 240,
  alias_sym_as_pattern_target = 241,
  alias_sym_case_pattern = 242,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_match] = "match",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACE_LBRACE] = "{{",
  [anon_sym_RBRACE_RBRACE] = "}}",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expresssion_lhs] = "_named_expresssion_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym__escape_interpolation] = "_escape_interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym_match_statement_repeat2] = "match_statement_repeat2",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_case_pattern] = "case_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
  [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expresssion_lhs] = sym__named_expresssion_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_interpolation] = sym_interpolation,
  [sym__escape_interpolation] = sym__escape_interpolation,
  [sym_format_specifier] = sym_format_specifier,
  [sym_format_expression] = sym_format_expression,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym_match_statement_repeat2] = aux_sym_match_statement_repeat2,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_case_pattern] = alias_sym_case_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expresssion_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_interpolation] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_function = 12,
  field_guard = 13,
  field_key = 14,
  field_left = 15,
  field_module_name = 16,
  field_name = 17,
  field_object = 18,
  field_operator = 19,
  field_operators = 20,
  field_parameters = 21,
  field_pattern = 22,
  field_return_type = 23,
  field_right = 24,
  field_subject = 25,
  field_subscript = 26,
  field_superclasses = 27,
  field_type = 28,
  field_value = 29,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 1},
  [11] = {.index = 10, .length = 1},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 13, .length = 1},
  [14] = {.index = 14, .length = 2},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 1},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 2},
  [21] = {.index = 25, .length = 3},
  [22] = {.index = 28, .length = 1},
  [23] = {.index = 29, .length = 2},
  [24] = {.index = 31, .length = 1},
  [25] = {.index = 32, .length = 2},
  [26] = {.index = 34, .length = 1},
  [27] = {.index = 35, .length = 2},
  [28] = {.index = 37, .length = 2},
  [29] = {.index = 39, .length = 1},
  [30] = {.index = 40, .length = 2},
  [31] = {.index = 42, .length = 1},
  [33] = {.index = 43, .length = 1},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 1},
  [36] = {.index = 47, .length = 2},
  [37] = {.index = 49, .length = 2},
  [38] = {.index = 51, .length = 2},
  [39] = {.index = 53, .length = 1},
  [40] = {.index = 54, .length = 2},
  [41] = {.index = 56, .length = 2},
  [42] = {.index = 18, .length = 1},
  [43] = {.index = 58, .length = 1},
  [44] = {.index = 59, .length = 2},
  [45] = {.index = 61, .length = 1},
  [46] = {.index = 62, .length = 2},
  [47] = {.index = 64, .length = 2},
  [48] = {.index = 66, .length = 2},
  [49] = {.index = 68, .length = 2},
  [50] = {.index = 70, .length = 2},
  [51] = {.index = 72, .length = 2},
  [52] = {.index = 74, .length = 3},
  [53] = {.index = 77, .length = 3},
  [54] = {.index = 80, .length = 3},
  [55] = {.index = 83, .length = 3},
  [56] = {.index = 86, .length = 1},
  [57] = {.index = 87, .length = 3},
  [58] = {.index = 90, .length = 3},
  [59] = {.index = 93, .length = 2},
  [60] = {.index = 95, .length = 2},
  [61] = {.index = 97, .length = 3},
  [62] = {.index = 100, .length = 3},
  [63] = {.index = 103, .length = 3},
  [64] = {.index = 106, .length = 3},
  [65] = {.index = 19, .length = 2},
  [66] = {.index = 109, .length = 1},
  [67] = {.index = 110, .length = 3},
  [68] = {.index = 113, .length = 2},
  [69] = {.index = 115, .length = 1},
  [70] = {.index = 116, .length = 2},
  [71] = {.index = 118, .length = 2},
  [72] = {.index = 120, .length = 3},
  [73] = {.index = 123, .length = 4},
  [74] = {.index = 127, .length = 4},
  [75] = {.index = 131, .length = 4},
  [76] = {.index = 135, .length = 2},
  [77] = {.index = 137, .length = 3},
  [78] = {.index = 140, .length = 3},
  [79] = {.index = 143, .length = 4},
  [81] = {.index = 147, .length = 4},
  [82] = {.index = 151, .length = 4},
  [83] = {.index = 155, .length = 3},
  [84] = {.index = 158, .length = 2},
  [85] = {.index = 160, .length = 3},
  [86] = {.index = 163, .length = 1},
  [87] = {.index = 164, .length = 2},
  [88] = {.index = 166, .length = 2},
  [89] = {.index = 168, .length = 5},
  [90] = {.index = 173, .length = 3},
  [91] = {.index = 176, .length = 4},
  [92] = {.index = 180, .length = 4},
  [93] = {.index = 184, .length = 4},
  [95] = {.index = 188, .length = 4},
  [96] = {.index = 192, .length = 3},
  [97] = {.index = 195, .length = 2},
  [98] = {.index = 197, .length = 3},
  [99] = {.index = 200, .length = 3},
  [100] = {.index = 203, .length = 3},
  [101] = {.index = 206, .length = 4},
  [102] = {.index = 210, .length = 4},
  [103] = {.index = 214, .length = 4},
  [104] = {.index = 218, .length = 5},
  [105] = {.index = 223, .length = 5},
  [106] = {.index = 228, .length = 3},
  [107] = {.index = 231, .length = 3},
  [108] = {.index = 234, .length = 4},
  [109] = {.index = 238, .length = 3},
  [110] = {.index = 241, .length = 4},
  [111] = {.index = 245, .length = 4},
  [112] = {.index = 249, .length = 5},
  [113] = {.index = 254, .length = 5},
  [115] = {.index = 259, .length = 4},
  [116] = {.index = 263, .length = 4},
  [117] = {.index = 267, .length = 4},
  [118] = {.index = 271, .length = 5},
  [119] = {.index = 276, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_subject, 1},
  [17] =
    {field_cause, 2},
  [18] =
    {field_body, 2},
  [19] =
    {field_name, 0},
    {field_value, 2},
  [21] =
    {field_left, 0},
    {field_type, 2},
  [23] =
    {field_left, 0},
    {field_right, 2},
  [25] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [28] =
    {field_alias, 2},
  [29] =
    {field_attribute, 2},
    {field_object, 0},
  [31] =
    {field_operators, 0},
  [32] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_alternative, 0},
  [47] =
    {field_alternative, 3, .inherited = true},
    {field_subject, 1},
  [49] =
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [51] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [53] =
    {field_cause, 3},
  [54] =
    {field_condition, 1},
    {field_consequence, 3},
  [56] =
    {field_body, 3},
    {field_condition, 1},
  [58] =
    {field_body, 3},
  [59] =
    {field_body, 3},
    {field_name, 1},
  [61] =
    {field_type, 2},
  [62] =
    {field_body, 3},
    {field_parameters, 1},
  [64] =
    {field_key, 0},
    {field_value, 2},
  [66] =
    {field_subscript, 2},
    {field_value, 0},
  [68] =
    {field_operators, 0},
    {field_operators, 1},
  [70] =
    {field_alternative, 4, .inherited = true},
    {field_subject, 1},
  [72] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [74] =
    {field_alternative, 4, .inherited = true},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [77] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [80] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [83] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [86] =
    {field_body, 4},
  [87] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [90] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [93] =
    {field_body, 2},
    {field_body, 3},
  [95] =
    {field_body, 3},
    {field_body, 4},
  [97] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [100] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [103] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [106] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [109] =
    {field_subscript, 1},
  [110] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [113] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [115] =
    {field_name, 4, .inherited = true},
  [116] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [118] =
    {field_left, 1},
    {field_right, 3},
  [120] =
    {field_alternative, 5, .inherited = true},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [123] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [127] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [131] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [135] =
    {field_body, 4},
    {field_body, 5},
  [137] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [140] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [143] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [147] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [151] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [155] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [158] =
    {field_left, 2},
    {field_right, 4},
  [160] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [163] =
    {field_pattern, 1},
  [164] =
    {field_consequence, 3},
    {field_pattern, 1},
  [166] =
    {field_pattern, 0, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [168] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [173] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [176] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [180] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [184] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [188] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [192] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [195] =
    {field_consequence, 4},
    {field_pattern, 1},
  [197] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_pattern, 1},
  [200] =
    {field_consequence, 4},
    {field_guard, 2},
    {field_pattern, 1},
  [203] =
    {field_consequence, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [206] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [210] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [214] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [218] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [223] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [228] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
  [231] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
  [234] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
    {field_pattern, 1},
  [238] =
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [241] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [245] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [249] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [254] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [259] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
  [263] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [267] =
    {field_consequence, 6},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [271] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [276] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [1] = sym_identifier,
  },
  [22] = {
    [2] = alias_sym_as_pattern_target,
  },
  [32] = {
    [1] = sym_parenthesized_expression,
  },
  [40] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [53] = {
    [3] = sym_block,
  },
  [54] = {
    [3] = sym_block,
  },
  [56] = {
    [4] = sym_block,
  },
  [57] = {
    [3] = sym_block,
  },
  [61] = {
    [4] = sym_block,
  },
  [63] = {
    [4] = sym_block,
  },
  [65] = {
    [0] = sym_identifier,
  },
  [73] = {
    [3] = sym_block,
  },
  [77] = {
    [5] = sym_block,
  },
  [78] = {
    [5] = sym_block,
  },
  [80] = {
    [2] = sym_block,
  },
  [86] = {
    [1] = alias_sym_case_pattern,
  },
  [87] = {
    [1] = alias_sym_case_pattern,
    [3] = sym_block,
  },
  [90] = {
    [6] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [94] = {
    [3] = sym_block,
  },
  [95] = {
    [6] = sym_block,
  },
  [97] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [98] = {
    [1] = alias_sym_case_pattern,
  },
  [99] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [100] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [101] = {
    [6] = sym_block,
  },
  [103] = {
    [7] = sym_block,
  },
  [106] = {
    [1] = alias_sym_case_pattern,
  },
  [107] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [108] = {
    [1] = alias_sym_case_pattern,
  },
  [109] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [110] = {
    [1] = alias_sym_case_pattern,
  },
  [111] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [114] = {
    [5] = sym_block,
  },
  [115] = {
    [1] = alias_sym_case_pattern,
  },
  [116] = {
    [1] = alias_sym_case_pattern,
  },
  [117] = {
    [1] = alias_sym_case_pattern,
    [6] = sym_block,
  },
  [118] = {
    [1] = alias_sym_case_pattern,
  },
  [119] = {
    [1] = alias_sym_case_pattern,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    alias_sym_case_pattern,
  sym_expression, 3,
    sym_expression,
    alias_sym_as_pattern_target,
    alias_sym_case_pattern,
  0,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(44);
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(47);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(108);
      if (lookahead == ':') ADVANCE(55);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(40)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '{') ADVANCE(95);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '~') ADVANCE(72);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(11)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(13)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(13)
      if (lookahead == '\r') SKIP(3)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(100);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(6)
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '{') ADVANCE(94);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(103);
      if (lookahead != 0) ADVANCE(104);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(14)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '\r') SKIP(7)
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(12)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(12)
      if (lookahead == '\r') SKIP(9)
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(47);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(108);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '{') ADVANCE(94);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '~') ADVANCE(72);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == ':') ADVANCE(55);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(10)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 14:
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '{') ADVANCE(95);
      if (lookahead == '}') ADVANCE(23);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(93);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(76);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(76);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(105);
      END_STATE();
    case 19:
      if (lookahead == '>') ADVANCE(56);
      END_STATE();
    case 20:
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(110);
      END_STATE();
    case 21:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 23:
      if (lookahead == '}') ADVANCE(98);
      END_STATE();
    case 24:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 25:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(110);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(28);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 39:
      if (eof) ADVANCE(44);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 40:
      if (eof) ADVANCE(44);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(39)
      END_STATE();
    case 41:
      if (eof) ADVANCE(44);
      if (lookahead == '\n') SKIP(43)
      END_STATE();
    case 42:
      if (eof) ADVANCE(44);
      if (lookahead == '\n') SKIP(43)
      if (lookahead == '\r') SKIP(41)
      END_STATE();
    case 43:
      if (eof) ADVANCE(44);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(47);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(108);
      if (lookahead == ':') ADVANCE(55);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(42)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '{') ADVANCE(94);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '~') ADVANCE(72);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(43)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '=') ADVANCE(82);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(53);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(75);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(80);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(81);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(81);
      if (lookahead == '>') ADVANCE(56);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(85);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(91);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(71);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(79);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(52);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '{') ADVANCE(97);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(101);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      if (lookahead == '\n') ADVANCE(100);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(38);
      if (lookahead == 'u') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(32);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(29);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(104);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(103);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '_') ADVANCE(109);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(20);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(21);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(22);
      if (lookahead == '_') ADVANCE(109);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(106);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(116);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(117);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(119);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (lookahead == 'y') ADVANCE(22);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(23);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(26)
      END_STATE();
    case 5:
      if (lookahead == '_') ADVANCE(27);
      END_STATE();
    case 6:
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 's') ADVANCE(29);
      if (lookahead == 'w') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 'x') ADVANCE(37);
      END_STATE();
    case 11:
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(42);
      if (lookahead == 'm') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(47);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(55);
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(61);
      END_STATE();
    case 28:
      if (lookahead == 'd') ADVANCE(62);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(65);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'f') ADVANCE(70);
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(72);
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(74);
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(77);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 41:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(80);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 46:
      if (lookahead == 'm') ADVANCE(81);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 48:
      if (lookahead == 'n') ADVANCE(83);
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 54:
      if (lookahead == 'y') ADVANCE(89);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(90);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 64:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 72:
      if (lookahead == 'f') ADVANCE(104);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(107);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 78:
      if (lookahead == 'm') ADVANCE(109);
      END_STATE();
    case 79:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 80:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 81:
      if (lookahead == 'b') ADVANCE(112);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(113);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 85:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 88:
      if (lookahead == 'u') ADVANCE(118);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 91:
      if (lookahead == 'h') ADVANCE(120);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(121);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(127);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 106:
      if (lookahead == 'p') ADVANCE(130);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 108:
      if (lookahead == 'l') ADVANCE(131);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(132);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 112:
      if (lookahead == 'd') ADVANCE(134);
      END_STATE();
    case 113:
      if (lookahead == 'h') ADVANCE(135);
      END_STATE();
    case 114:
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 118:
      if (lookahead == 'r') ADVANCE(139);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 121:
      if (lookahead == 'd') ADVANCE(141);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(142);
      END_STATE();
    case 124:
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 129:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 130:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 131:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(147);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 134:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 136:
      if (lookahead == 'c') ADVANCE(150);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 144:
      if (lookahead == 'u') ADVANCE(153);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 146:
      if (lookahead == 'y') ADVANCE(154);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(155);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 155:
      if (lookahead == 'l') ADVANCE(158);
      END_STATE();
    case 156:
      if (lookahead == '_') ADVANCE(159);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 159:
      if (lookahead == '_') ADVANCE(160);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 43, .external_lex_state = 2},
  [2] = {.lex_state = 43, .external_lex_state = 3},
  [3] = {.lex_state = 43, .external_lex_state = 3},
  [4] = {.lex_state = 43, .external_lex_state = 3},
  [5] = {.lex_state = 43, .external_lex_state = 3},
  [6] = {.lex_state = 43, .external_lex_state = 3},
  [7] = {.lex_state = 43, .external_lex_state = 3},
  [8] = {.lex_state = 43, .external_lex_state = 3},
  [9] = {.lex_state = 43, .external_lex_state = 3},
  [10] = {.lex_state = 43, .external_lex_state = 3},
  [11] = {.lex_state = 43, .external_lex_state = 3},
  [12] = {.lex_state = 43, .external_lex_state = 3},
  [13] = {.lex_state = 43, .external_lex_state = 3},
  [14] = {.lex_state = 43, .external_lex_state = 3},
  [15] = {.lex_state = 43, .external_lex_state = 3},
  [16] = {.lex_state = 43, .external_lex_state = 3},
  [17] = {.lex_state = 43, .external_lex_state = 3},
  [18] = {.lex_state = 43, .external_lex_state = 3},
  [19] = {.lex_state = 43, .external_lex_state = 3},
  [20] = {.lex_state = 43, .external_lex_state = 3},
  [21] = {.lex_state = 43, .external_lex_state = 3},
  [22] = {.lex_state = 43, .external_lex_state = 3},
  [23] = {.lex_state = 43, .external_lex_state = 3},
  [24] = {.lex_state = 43, .external_lex_state = 3},
  [25] = {.lex_state = 43, .external_lex_state = 3},
  [26] = {.lex_state = 43, .external_lex_state = 3},
  [27] = {.lex_state = 43, .external_lex_state = 3},
  [28] = {.lex_state = 43, .external_lex_state = 3},
  [29] = {.lex_state = 43, .external_lex_state = 3},
  [30] = {.lex_state = 43, .external_lex_state = 3},
  [31] = {.lex_state = 43, .external_lex_state = 3},
  [32] = {.lex_state = 43, .external_lex_state = 3},
  [33] = {.lex_state = 43, .external_lex_state = 3},
  [34] = {.lex_state = 43, .external_lex_state = 3},
  [35] = {.lex_state = 43, .external_lex_state = 3},
  [36] = {.lex_state = 43, .external_lex_state = 3},
  [37] = {.lex_state = 43, .external_lex_state = 3},
  [38] = {.lex_state = 43, .external_lex_state = 3},
  [39] = {.lex_state = 43, .external_lex_state = 3},
  [40] = {.lex_state = 43, .external_lex_state = 3},
  [41] = {.lex_state = 43, .external_lex_state = 3},
  [42] = {.lex_state = 43, .external_lex_state = 3},
  [43] = {.lex_state = 43, .external_lex_state = 3},
  [44] = {.lex_state = 43, .external_lex_state = 3},
  [45] = {.lex_state = 43, .external_lex_state = 3},
  [46] = {.lex_state = 43, .external_lex_state = 3},
  [47] = {.lex_state = 43, .external_lex_state = 3},
  [48] = {.lex_state = 43, .external_lex_state = 3},
  [49] = {.lex_state = 43, .external_lex_state = 3},
  [50] = {.lex_state = 43, .external_lex_state = 3},
  [51] = {.lex_state = 43, .external_lex_state = 3},
  [52] = {.lex_state = 43, .external_lex_state = 3},
  [53] = {.lex_state = 43, .external_lex_state = 3},
  [54] = {.lex_state = 43, .external_lex_state = 3},
  [55] = {.lex_state = 43, .external_lex_state = 3},
  [56] = {.lex_state = 43, .external_lex_state = 3},
  [57] = {.lex_state = 43, .external_lex_state = 3},
  [58] = {.lex_state = 43, .external_lex_state = 3},
  [59] = {.lex_state = 43, .external_lex_state = 3},
  [60] = {.lex_state = 43, .external_lex_state = 3},
  [61] = {.lex_state = 43, .external_lex_state = 3},
  [62] = {.lex_state = 43, .external_lex_state = 3},
  [63] = {.lex_state = 43, .external_lex_state = 3},
  [64] = {.lex_state = 43, .external_lex_state = 3},
  [65] = {.lex_state = 43, .external_lex_state = 2},
  [66] = {.lex_state = 43, .external_lex_state = 3},
  [67] = {.lex_state = 43, .external_lex_state = 2},
  [68] = {.lex_state = 43, .external_lex_state = 3},
  [69] = {.lex_state = 43, .external_lex_state = 3},
  [70] = {.lex_state = 43, .external_lex_state = 4},
  [71] = {.lex_state = 43, .external_lex_state = 4},
  [72] = {.lex_state = 11, .external_lex_state = 4},
  [73] = {.lex_state = 11, .external_lex_state = 4},
  [74] = {.lex_state = 43, .external_lex_state = 5},
  [75] = {.lex_state = 43, .external_lex_state = 5},
  [76] = {.lex_state = 43, .external_lex_state = 5},
  [77] = {.lex_state = 43, .external_lex_state = 5},
  [78] = {.lex_state = 43, .external_lex_state = 5},
  [79] = {.lex_state = 43, .external_lex_state = 5},
  [80] = {.lex_state = 43, .external_lex_state = 5},
  [81] = {.lex_state = 43, .external_lex_state = 5},
  [82] = {.lex_state = 43, .external_lex_state = 5},
  [83] = {.lex_state = 43, .external_lex_state = 5},
  [84] = {.lex_state = 43, .external_lex_state = 5},
  [85] = {.lex_state = 43, .external_lex_state = 5},
  [86] = {.lex_state = 43, .external_lex_state = 5},
  [87] = {.lex_state = 43, .external_lex_state = 5},
  [88] = {.lex_state = 43, .external_lex_state = 5},
  [89] = {.lex_state = 43, .external_lex_state = 5},
  [90] = {.lex_state = 43, .external_lex_state = 5},
  [91] = {.lex_state = 43, .external_lex_state = 5},
  [92] = {.lex_state = 43, .external_lex_state = 5},
  [93] = {.lex_state = 43, .external_lex_state = 5},
  [94] = {.lex_state = 43, .external_lex_state = 5},
  [95] = {.lex_state = 43, .external_lex_state = 5},
  [96] = {.lex_state = 43, .external_lex_state = 5},
  [97] = {.lex_state = 43, .external_lex_state = 5},
  [98] = {.lex_state = 43, .external_lex_state = 5},
  [99] = {.lex_state = 43, .external_lex_state = 5},
  [100] = {.lex_state = 43, .external_lex_state = 5},
  [101] = {.lex_state = 43, .external_lex_state = 5},
  [102] = {.lex_state = 43, .external_lex_state = 5},
  [103] = {.lex_state = 43, .external_lex_state = 5},
  [104] = {.lex_state = 43, .external_lex_state = 5},
  [105] = {.lex_state = 43, .external_lex_state = 5},
  [106] = {.lex_state = 43, .external_lex_state = 5},
  [107] = {.lex_state = 43, .external_lex_state = 5},
  [108] = {.lex_state = 43, .external_lex_state = 5},
  [109] = {.lex_state = 43, .external_lex_state = 5},
  [110] = {.lex_state = 43, .external_lex_state = 5},
  [111] = {.lex_state = 43, .external_lex_state = 5},
  [112] = {.lex_state = 43, .external_lex_state = 5},
  [113] = {.lex_state = 43, .external_lex_state = 5},
  [114] = {.lex_state = 43, .external_lex_state = 5},
  [115] = {.lex_state = 43, .external_lex_state = 5},
  [116] = {.lex_state = 43, .external_lex_state = 5},
  [117] = {.lex_state = 43, .external_lex_state = 5},
  [118] = {.lex_state = 43, .external_lex_state = 5},
  [119] = {.lex_state = 43, .external_lex_state = 5},
  [120] = {.lex_state = 43, .external_lex_state = 5},
  [121] = {.lex_state = 43, .external_lex_state = 5},
  [122] = {.lex_state = 43, .external_lex_state = 5},
  [123] = {.lex_state = 43, .external_lex_state = 5},
  [124] = {.lex_state = 43, .external_lex_state = 5},
  [125] = {.lex_state = 43, .external_lex_state = 5},
  [126] = {.lex_state = 43, .external_lex_state = 5},
  [127] = {.lex_state = 43, .external_lex_state = 5},
  [128] = {.lex_state = 43, .external_lex_state = 5},
  [129] = {.lex_state = 43, .external_lex_state = 5},
  [130] = {.lex_state = 43, .external_lex_state = 5},
  [131] = {.lex_state = 43, .external_lex_state = 5},
  [132] = {.lex_state = 43, .external_lex_state = 5},
  [133] = {.lex_state = 43, .external_lex_state = 5},
  [134] = {.lex_state = 43, .external_lex_state = 5},
  [135] = {.lex_state = 43, .external_lex_state = 5},
  [136] = {.lex_state = 43, .external_lex_state = 4},
  [137] = {.lex_state = 43, .external_lex_state = 4},
  [138] = {.lex_state = 43, .external_lex_state = 4},
  [139] = {.lex_state = 43, .external_lex_state = 4},
  [140] = {.lex_state = 43, .external_lex_state = 4},
  [141] = {.lex_state = 43, .external_lex_state = 4},
  [142] = {.lex_state = 43, .external_lex_state = 2},
  [143] = {.lex_state = 11, .external_lex_state = 2},
  [144] = {.lex_state = 11, .external_lex_state = 2},
  [145] = {.lex_state = 43, .external_lex_state = 4},
  [146] = {.lex_state = 43, .external_lex_state = 2},
  [147] = {.lex_state = 43, .external_lex_state = 2},
  [148] = {.lex_state = 43, .external_lex_state = 2},
  [149] = {.lex_state = 43, .external_lex_state = 2},
  [150] = {.lex_state = 43, .external_lex_state = 2},
  [151] = {.lex_state = 43, .external_lex_state = 2},
  [152] = {.lex_state = 43, .external_lex_state = 2},
  [153] = {.lex_state = 43, .external_lex_state = 2},
  [154] = {.lex_state = 43, .external_lex_state = 2},
  [155] = {.lex_state = 43, .external_lex_state = 2},
  [156] = {.lex_state = 43, .external_lex_state = 2},
  [157] = {.lex_state = 43, .external_lex_state = 2},
  [158] = {.lex_state = 43, .external_lex_state = 2},
  [159] = {.lex_state = 43, .external_lex_state = 2},
  [160] = {.lex_state = 43, .external_lex_state = 2},
  [161] = {.lex_state = 43, .external_lex_state = 2},
  [162] = {.lex_state = 11, .external_lex_state = 2},
  [163] = {.lex_state = 11, .external_lex_state = 2},
  [164] = {.lex_state = 43, .external_lex_state = 2},
  [165] = {.lex_state = 43, .external_lex_state = 2},
  [166] = {.lex_state = 43, .external_lex_state = 2},
  [167] = {.lex_state = 43, .external_lex_state = 2},
  [168] = {.lex_state = 43, .external_lex_state = 2},
  [169] = {.lex_state = 43, .external_lex_state = 2},
  [170] = {.lex_state = 43, .external_lex_state = 2},
  [171] = {.lex_state = 43, .external_lex_state = 2},
  [172] = {.lex_state = 43, .external_lex_state = 2},
  [173] = {.lex_state = 43, .external_lex_state = 2},
  [174] = {.lex_state = 43, .external_lex_state = 2},
  [175] = {.lex_state = 43, .external_lex_state = 2},
  [176] = {.lex_state = 43, .external_lex_state = 2},
  [177] = {.lex_state = 43, .external_lex_state = 2},
  [178] = {.lex_state = 43, .external_lex_state = 2},
  [179] = {.lex_state = 43, .external_lex_state = 2},
  [180] = {.lex_state = 43, .external_lex_state = 2},
  [181] = {.lex_state = 43, .external_lex_state = 2},
  [182] = {.lex_state = 43, .external_lex_state = 2},
  [183] = {.lex_state = 43, .external_lex_state = 2},
  [184] = {.lex_state = 43, .external_lex_state = 2},
  [185] = {.lex_state = 43, .external_lex_state = 2},
  [186] = {.lex_state = 43, .external_lex_state = 2},
  [187] = {.lex_state = 43, .external_lex_state = 2},
  [188] = {.lex_state = 43, .external_lex_state = 2},
  [189] = {.lex_state = 43, .external_lex_state = 2},
  [190] = {.lex_state = 43, .external_lex_state = 2},
  [191] = {.lex_state = 43, .external_lex_state = 2},
  [192] = {.lex_state = 43, .external_lex_state = 2},
  [193] = {.lex_state = 43, .external_lex_state = 2},
  [194] = {.lex_state = 43, .external_lex_state = 2},
  [195] = {.lex_state = 43, .external_lex_state = 2},
  [196] = {.lex_state = 43, .external_lex_state = 2},
  [197] = {.lex_state = 43, .external_lex_state = 2},
  [198] = {.lex_state = 43, .external_lex_state = 2},
  [199] = {.lex_state = 11, .external_lex_state = 2},
  [200] = {.lex_state = 11, .external_lex_state = 2},
  [201] = {.lex_state = 43, .external_lex_state = 2},
  [202] = {.lex_state = 11, .external_lex_state = 2},
  [203] = {.lex_state = 11, .external_lex_state = 2},
  [204] = {.lex_state = 11, .external_lex_state = 2},
  [205] = {.lex_state = 11, .external_lex_state = 2},
  [206] = {.lex_state = 11, .external_lex_state = 2},
  [207] = {.lex_state = 11, .external_lex_state = 2},
  [208] = {.lex_state = 43, .external_lex_state = 2},
  [209] = {.lex_state = 43, .external_lex_state = 2},
  [210] = {.lex_state = 43, .external_lex_state = 2},
  [211] = {.lex_state = 43, .external_lex_state = 2},
  [212] = {.lex_state = 43, .external_lex_state = 2},
  [213] = {.lex_state = 43, .external_lex_state = 4},
  [214] = {.lex_state = 43, .external_lex_state = 2},
  [215] = {.lex_state = 43, .external_lex_state = 4},
  [216] = {.lex_state = 13},
  [217] = {.lex_state = 13},
  [218] = {.lex_state = 11, .external_lex_state = 2},
  [219] = {.lex_state = 11, .external_lex_state = 2},
  [220] = {.lex_state = 43, .external_lex_state = 4},
  [221] = {.lex_state = 13},
  [222] = {.lex_state = 43, .external_lex_state = 4},
  [223] = {.lex_state = 11, .external_lex_state = 2},
  [224] = {.lex_state = 13},
  [225] = {.lex_state = 43, .external_lex_state = 2},
  [226] = {.lex_state = 11, .external_lex_state = 2},
  [227] = {.lex_state = 11, .external_lex_state = 2},
  [228] = {.lex_state = 11, .external_lex_state = 2},
  [229] = {.lex_state = 11, .external_lex_state = 2},
  [230] = {.lex_state = 11, .external_lex_state = 2},
  [231] = {.lex_state = 13, .external_lex_state = 6},
  [232] = {.lex_state = 43, .external_lex_state = 4},
  [233] = {.lex_state = 11, .external_lex_state = 2},
  [234] = {.lex_state = 13},
  [235] = {.lex_state = 11, .external_lex_state = 2},
  [236] = {.lex_state = 11, .external_lex_state = 2},
  [237] = {.lex_state = 13},
  [238] = {.lex_state = 13, .external_lex_state = 6},
  [239] = {.lex_state = 13},
  [240] = {.lex_state = 43, .external_lex_state = 2},
  [241] = {.lex_state = 43, .external_lex_state = 2},
  [242] = {.lex_state = 43, .external_lex_state = 3},
  [243] = {.lex_state = 43, .external_lex_state = 2},
  [244] = {.lex_state = 11, .external_lex_state = 2},
  [245] = {.lex_state = 43, .external_lex_state = 2},
  [246] = {.lex_state = 43, .external_lex_state = 4},
  [247] = {.lex_state = 43, .external_lex_state = 2},
  [248] = {.lex_state = 43, .external_lex_state = 4},
  [249] = {.lex_state = 43, .external_lex_state = 4},
  [250] = {.lex_state = 43, .external_lex_state = 2},
  [251] = {.lex_state = 11, .external_lex_state = 2},
  [252] = {.lex_state = 11, .external_lex_state = 2},
  [253] = {.lex_state = 43, .external_lex_state = 4},
  [254] = {.lex_state = 43, .external_lex_state = 2},
  [255] = {.lex_state = 43, .external_lex_state = 3},
  [256] = {.lex_state = 43, .external_lex_state = 2},
  [257] = {.lex_state = 43, .external_lex_state = 2},
  [258] = {.lex_state = 43, .external_lex_state = 2},
  [259] = {.lex_state = 43, .external_lex_state = 2},
  [260] = {.lex_state = 43, .external_lex_state = 2},
  [261] = {.lex_state = 43, .external_lex_state = 2},
  [262] = {.lex_state = 43, .external_lex_state = 4},
  [263] = {.lex_state = 11, .external_lex_state = 2},
  [264] = {.lex_state = 43, .external_lex_state = 4},
  [265] = {.lex_state = 43, .external_lex_state = 2},
  [266] = {.lex_state = 43, .external_lex_state = 2},
  [267] = {.lex_state = 13, .external_lex_state = 4},
  [268] = {.lex_state = 43, .external_lex_state = 2},
  [269] = {.lex_state = 43, .external_lex_state = 2},
  [270] = {.lex_state = 43, .external_lex_state = 2},
  [271] = {.lex_state = 43, .external_lex_state = 2},
  [272] = {.lex_state = 43, .external_lex_state = 2},
  [273] = {.lex_state = 13, .external_lex_state = 6},
  [274] = {.lex_state = 43, .external_lex_state = 2},
  [275] = {.lex_state = 13, .external_lex_state = 6},
  [276] = {.lex_state = 13, .external_lex_state = 6},
  [277] = {.lex_state = 11, .external_lex_state = 2},
  [278] = {.lex_state = 11, .external_lex_state = 2},
  [279] = {.lex_state = 43, .external_lex_state = 2},
  [280] = {.lex_state = 11, .external_lex_state = 2},
  [281] = {.lex_state = 43, .external_lex_state = 2},
  [282] = {.lex_state = 43, .external_lex_state = 2},
  [283] = {.lex_state = 43, .external_lex_state = 2},
  [284] = {.lex_state = 13, .external_lex_state = 6},
  [285] = {.lex_state = 43, .external_lex_state = 2},
  [286] = {.lex_state = 43, .external_lex_state = 2},
  [287] = {.lex_state = 13, .external_lex_state = 6},
  [288] = {.lex_state = 12, .external_lex_state = 6},
  [289] = {.lex_state = 13, .external_lex_state = 6},
  [290] = {.lex_state = 13, .external_lex_state = 6},
  [291] = {.lex_state = 12, .external_lex_state = 6},
  [292] = {.lex_state = 11, .external_lex_state = 2},
  [293] = {.lex_state = 43, .external_lex_state = 2},
  [294] = {.lex_state = 11, .external_lex_state = 2},
  [295] = {.lex_state = 11, .external_lex_state = 2},
  [296] = {.lex_state = 43, .external_lex_state = 2},
  [297] = {.lex_state = 43, .external_lex_state = 2},
  [298] = {.lex_state = 43, .external_lex_state = 2},
  [299] = {.lex_state = 43, .external_lex_state = 2},
  [300] = {.lex_state = 43, .external_lex_state = 2},
  [301] = {.lex_state = 43, .external_lex_state = 2},
  [302] = {.lex_state = 43, .external_lex_state = 2},
  [303] = {.lex_state = 43, .external_lex_state = 3},
  [304] = {.lex_state = 43, .external_lex_state = 2},
  [305] = {.lex_state = 43, .external_lex_state = 2},
  [306] = {.lex_state = 43, .external_lex_state = 2},
  [307] = {.lex_state = 43, .external_lex_state = 2},
  [308] = {.lex_state = 43, .external_lex_state = 2},
  [309] = {.lex_state = 43, .external_lex_state = 2},
  [310] = {.lex_state = 43, .external_lex_state = 2},
  [311] = {.lex_state = 43, .external_lex_state = 3},
  [312] = {.lex_state = 43, .external_lex_state = 2},
  [313] = {.lex_state = 13, .external_lex_state = 6},
  [314] = {.lex_state = 43, .external_lex_state = 2},
  [315] = {.lex_state = 43, .external_lex_state = 2},
  [316] = {.lex_state = 43, .external_lex_state = 2},
  [317] = {.lex_state = 43, .external_lex_state = 3},
  [318] = {.lex_state = 43, .external_lex_state = 2},
  [319] = {.lex_state = 43, .external_lex_state = 3},
  [320] = {.lex_state = 43, .external_lex_state = 2},
  [321] = {.lex_state = 43, .external_lex_state = 2},
  [322] = {.lex_state = 43, .external_lex_state = 2},
  [323] = {.lex_state = 43, .external_lex_state = 2},
  [324] = {.lex_state = 43, .external_lex_state = 2},
  [325] = {.lex_state = 43, .external_lex_state = 2},
  [326] = {.lex_state = 43, .external_lex_state = 2},
  [327] = {.lex_state = 43, .external_lex_state = 2},
  [328] = {.lex_state = 43, .external_lex_state = 2},
  [329] = {.lex_state = 43, .external_lex_state = 2},
  [330] = {.lex_state = 43, .external_lex_state = 2},
  [331] = {.lex_state = 43, .external_lex_state = 2},
  [332] = {.lex_state = 43, .external_lex_state = 2},
  [333] = {.lex_state = 43, .external_lex_state = 2},
  [334] = {.lex_state = 43, .external_lex_state = 2},
  [335] = {.lex_state = 43, .external_lex_state = 3},
  [336] = {.lex_state = 43, .external_lex_state = 2},
  [337] = {.lex_state = 43, .external_lex_state = 2},
  [338] = {.lex_state = 43, .external_lex_state = 2},
  [339] = {.lex_state = 43, .external_lex_state = 2},
  [340] = {.lex_state = 43, .external_lex_state = 2},
  [341] = {.lex_state = 43, .external_lex_state = 2},
  [342] = {.lex_state = 13, .external_lex_state = 6},
  [343] = {.lex_state = 43, .external_lex_state = 2},
  [344] = {.lex_state = 43, .external_lex_state = 2},
  [345] = {.lex_state = 43, .external_lex_state = 2},
  [346] = {.lex_state = 43, .external_lex_state = 2},
  [347] = {.lex_state = 13, .external_lex_state = 6},
  [348] = {.lex_state = 43, .external_lex_state = 3},
  [349] = {.lex_state = 43, .external_lex_state = 2},
  [350] = {.lex_state = 43, .external_lex_state = 2},
  [351] = {.lex_state = 43, .external_lex_state = 2},
  [352] = {.lex_state = 43, .external_lex_state = 2},
  [353] = {.lex_state = 43, .external_lex_state = 2},
  [354] = {.lex_state = 43, .external_lex_state = 2},
  [355] = {.lex_state = 43, .external_lex_state = 2},
  [356] = {.lex_state = 43, .external_lex_state = 3},
  [357] = {.lex_state = 43, .external_lex_state = 2},
  [358] = {.lex_state = 43, .external_lex_state = 2},
  [359] = {.lex_state = 43, .external_lex_state = 2},
  [360] = {.lex_state = 43, .external_lex_state = 3},
  [361] = {.lex_state = 43, .external_lex_state = 2},
  [362] = {.lex_state = 43, .external_lex_state = 2},
  [363] = {.lex_state = 13, .external_lex_state = 6},
  [364] = {.lex_state = 43, .external_lex_state = 2},
  [365] = {.lex_state = 43, .external_lex_state = 2},
  [366] = {.lex_state = 43, .external_lex_state = 3},
  [367] = {.lex_state = 43, .external_lex_state = 2},
  [368] = {.lex_state = 43, .external_lex_state = 2},
  [369] = {.lex_state = 43, .external_lex_state = 2},
  [370] = {.lex_state = 43, .external_lex_state = 2},
  [371] = {.lex_state = 43, .external_lex_state = 2},
  [372] = {.lex_state = 43, .external_lex_state = 2},
  [373] = {.lex_state = 43, .external_lex_state = 2},
  [374] = {.lex_state = 43, .external_lex_state = 2},
  [375] = {.lex_state = 43, .external_lex_state = 3},
  [376] = {.lex_state = 43, .external_lex_state = 2},
  [377] = {.lex_state = 43, .external_lex_state = 2},
  [378] = {.lex_state = 43, .external_lex_state = 2},
  [379] = {.lex_state = 43, .external_lex_state = 2},
  [380] = {.lex_state = 43, .external_lex_state = 2},
  [381] = {.lex_state = 43, .external_lex_state = 2},
  [382] = {.lex_state = 43, .external_lex_state = 2},
  [383] = {.lex_state = 43, .external_lex_state = 3},
  [384] = {.lex_state = 43, .external_lex_state = 2},
  [385] = {.lex_state = 43, .external_lex_state = 2},
  [386] = {.lex_state = 43, .external_lex_state = 3},
  [387] = {.lex_state = 43, .external_lex_state = 3},
  [388] = {.lex_state = 43, .external_lex_state = 2},
  [389] = {.lex_state = 43, .external_lex_state = 2},
  [390] = {.lex_state = 43, .external_lex_state = 2},
  [391] = {.lex_state = 43, .external_lex_state = 3},
  [392] = {.lex_state = 43, .external_lex_state = 2},
  [393] = {.lex_state = 43, .external_lex_state = 3},
  [394] = {.lex_state = 43, .external_lex_state = 3},
  [395] = {.lex_state = 43, .external_lex_state = 2},
  [396] = {.lex_state = 43, .external_lex_state = 3},
  [397] = {.lex_state = 43, .external_lex_state = 2},
  [398] = {.lex_state = 43, .external_lex_state = 2},
  [399] = {.lex_state = 43, .external_lex_state = 3},
  [400] = {.lex_state = 43, .external_lex_state = 2},
  [401] = {.lex_state = 43, .external_lex_state = 3},
  [402] = {.lex_state = 43, .external_lex_state = 3},
  [403] = {.lex_state = 43, .external_lex_state = 2},
  [404] = {.lex_state = 43, .external_lex_state = 3},
  [405] = {.lex_state = 43, .external_lex_state = 2},
  [406] = {.lex_state = 43, .external_lex_state = 2},
  [407] = {.lex_state = 43, .external_lex_state = 3},
  [408] = {.lex_state = 43, .external_lex_state = 2},
  [409] = {.lex_state = 43, .external_lex_state = 3},
  [410] = {.lex_state = 43, .external_lex_state = 3},
  [411] = {.lex_state = 43, .external_lex_state = 3},
  [412] = {.lex_state = 43, .external_lex_state = 3},
  [413] = {.lex_state = 43, .external_lex_state = 2},
  [414] = {.lex_state = 43, .external_lex_state = 2},
  [415] = {.lex_state = 43, .external_lex_state = 3},
  [416] = {.lex_state = 43, .external_lex_state = 2},
  [417] = {.lex_state = 43, .external_lex_state = 3},
  [418] = {.lex_state = 43, .external_lex_state = 2},
  [419] = {.lex_state = 43, .external_lex_state = 3},
  [420] = {.lex_state = 43, .external_lex_state = 3},
  [421] = {.lex_state = 43, .external_lex_state = 2},
  [422] = {.lex_state = 43, .external_lex_state = 2},
  [423] = {.lex_state = 43, .external_lex_state = 3},
  [424] = {.lex_state = 43, .external_lex_state = 3},
  [425] = {.lex_state = 43, .external_lex_state = 2},
  [426] = {.lex_state = 43, .external_lex_state = 2},
  [427] = {.lex_state = 43, .external_lex_state = 2},
  [428] = {.lex_state = 43, .external_lex_state = 2},
  [429] = {.lex_state = 43, .external_lex_state = 3},
  [430] = {.lex_state = 43, .external_lex_state = 3},
  [431] = {.lex_state = 43, .external_lex_state = 2},
  [432] = {.lex_state = 43, .external_lex_state = 3},
  [433] = {.lex_state = 43, .external_lex_state = 3},
  [434] = {.lex_state = 43, .external_lex_state = 3},
  [435] = {.lex_state = 43, .external_lex_state = 2},
  [436] = {.lex_state = 43, .external_lex_state = 2},
  [437] = {.lex_state = 43, .external_lex_state = 3},
  [438] = {.lex_state = 43, .external_lex_state = 3},
  [439] = {.lex_state = 43, .external_lex_state = 3},
  [440] = {.lex_state = 43, .external_lex_state = 3},
  [441] = {.lex_state = 43, .external_lex_state = 2},
  [442] = {.lex_state = 43, .external_lex_state = 3},
  [443] = {.lex_state = 43, .external_lex_state = 3},
  [444] = {.lex_state = 43, .external_lex_state = 3},
  [445] = {.lex_state = 43, .external_lex_state = 3},
  [446] = {.lex_state = 43, .external_lex_state = 3},
  [447] = {.lex_state = 43, .external_lex_state = 2},
  [448] = {.lex_state = 43, .external_lex_state = 3},
  [449] = {.lex_state = 43, .external_lex_state = 3},
  [450] = {.lex_state = 43, .external_lex_state = 2},
  [451] = {.lex_state = 43, .external_lex_state = 3},
  [452] = {.lex_state = 43, .external_lex_state = 2},
  [453] = {.lex_state = 43, .external_lex_state = 3},
  [454] = {.lex_state = 43, .external_lex_state = 3},
  [455] = {.lex_state = 43, .external_lex_state = 2},
  [456] = {.lex_state = 43, .external_lex_state = 2},
  [457] = {.lex_state = 43, .external_lex_state = 2},
  [458] = {.lex_state = 43, .external_lex_state = 2},
  [459] = {.lex_state = 43, .external_lex_state = 2},
  [460] = {.lex_state = 43, .external_lex_state = 2},
  [461] = {.lex_state = 43, .external_lex_state = 2},
  [462] = {.lex_state = 43, .external_lex_state = 3},
  [463] = {.lex_state = 43, .external_lex_state = 3},
  [464] = {.lex_state = 43, .external_lex_state = 3},
  [465] = {.lex_state = 43, .external_lex_state = 2},
  [466] = {.lex_state = 43, .external_lex_state = 3},
  [467] = {.lex_state = 43, .external_lex_state = 3},
  [468] = {.lex_state = 43, .external_lex_state = 2},
  [469] = {.lex_state = 43, .external_lex_state = 3},
  [470] = {.lex_state = 43, .external_lex_state = 3},
  [471] = {.lex_state = 43, .external_lex_state = 3},
  [472] = {.lex_state = 43, .external_lex_state = 3},
  [473] = {.lex_state = 43, .external_lex_state = 3},
  [474] = {.lex_state = 43, .external_lex_state = 2},
  [475] = {.lex_state = 43, .external_lex_state = 2},
  [476] = {.lex_state = 43, .external_lex_state = 2},
  [477] = {.lex_state = 43, .external_lex_state = 2},
  [478] = {.lex_state = 43, .external_lex_state = 2},
  [479] = {.lex_state = 43, .external_lex_state = 2},
  [480] = {.lex_state = 43, .external_lex_state = 2},
  [481] = {.lex_state = 43, .external_lex_state = 2},
  [482] = {.lex_state = 43, .external_lex_state = 2},
  [483] = {.lex_state = 43, .external_lex_state = 2},
  [484] = {.lex_state = 43, .external_lex_state = 2},
  [485] = {.lex_state = 43, .external_lex_state = 3},
  [486] = {.lex_state = 43, .external_lex_state = 2},
  [487] = {.lex_state = 43, .external_lex_state = 2},
  [488] = {.lex_state = 43, .external_lex_state = 2},
  [489] = {.lex_state = 43, .external_lex_state = 3},
  [490] = {.lex_state = 43, .external_lex_state = 2},
  [491] = {.lex_state = 43, .external_lex_state = 2},
  [492] = {.lex_state = 43, .external_lex_state = 2},
  [493] = {.lex_state = 43, .external_lex_state = 3},
  [494] = {.lex_state = 43, .external_lex_state = 3},
  [495] = {.lex_state = 43, .external_lex_state = 2},
  [496] = {.lex_state = 43, .external_lex_state = 3},
  [497] = {.lex_state = 43, .external_lex_state = 2},
  [498] = {.lex_state = 43, .external_lex_state = 3},
  [499] = {.lex_state = 43, .external_lex_state = 3},
  [500] = {.lex_state = 43, .external_lex_state = 2},
  [501] = {.lex_state = 43, .external_lex_state = 3},
  [502] = {.lex_state = 43, .external_lex_state = 3},
  [503] = {.lex_state = 43, .external_lex_state = 2},
  [504] = {.lex_state = 43, .external_lex_state = 3},
  [505] = {.lex_state = 43, .external_lex_state = 2},
  [506] = {.lex_state = 43, .external_lex_state = 3},
  [507] = {.lex_state = 43, .external_lex_state = 2},
  [508] = {.lex_state = 43, .external_lex_state = 3},
  [509] = {.lex_state = 43, .external_lex_state = 3},
  [510] = {.lex_state = 43, .external_lex_state = 3},
  [511] = {.lex_state = 43, .external_lex_state = 2},
  [512] = {.lex_state = 43, .external_lex_state = 3},
  [513] = {.lex_state = 43, .external_lex_state = 2},
  [514] = {.lex_state = 43, .external_lex_state = 2},
  [515] = {.lex_state = 43, .external_lex_state = 2},
  [516] = {.lex_state = 43, .external_lex_state = 2},
  [517] = {.lex_state = 43, .external_lex_state = 3},
  [518] = {.lex_state = 43, .external_lex_state = 2},
  [519] = {.lex_state = 43, .external_lex_state = 2},
  [520] = {.lex_state = 43, .external_lex_state = 2},
  [521] = {.lex_state = 43, .external_lex_state = 3},
  [522] = {.lex_state = 43, .external_lex_state = 3},
  [523] = {.lex_state = 43, .external_lex_state = 3},
  [524] = {.lex_state = 43, .external_lex_state = 2},
  [525] = {.lex_state = 43, .external_lex_state = 2},
  [526] = {.lex_state = 43, .external_lex_state = 3},
  [527] = {.lex_state = 43, .external_lex_state = 2},
  [528] = {.lex_state = 43, .external_lex_state = 2},
  [529] = {.lex_state = 43, .external_lex_state = 2},
  [530] = {.lex_state = 43, .external_lex_state = 3},
  [531] = {.lex_state = 43, .external_lex_state = 2},
  [532] = {.lex_state = 43, .external_lex_state = 2},
  [533] = {.lex_state = 43, .external_lex_state = 3},
  [534] = {.lex_state = 43, .external_lex_state = 2},
  [535] = {.lex_state = 43, .external_lex_state = 2},
  [536] = {.lex_state = 43, .external_lex_state = 3},
  [537] = {.lex_state = 43, .external_lex_state = 2},
  [538] = {.lex_state = 43, .external_lex_state = 2},
  [539] = {.lex_state = 43, .external_lex_state = 2},
  [540] = {.lex_state = 43, .external_lex_state = 3},
  [541] = {.lex_state = 43, .external_lex_state = 3},
  [542] = {.lex_state = 43, .external_lex_state = 2},
  [543] = {.lex_state = 43, .external_lex_state = 2},
  [544] = {.lex_state = 43, .external_lex_state = 3},
  [545] = {.lex_state = 43, .external_lex_state = 3},
  [546] = {.lex_state = 43, .external_lex_state = 3},
  [547] = {.lex_state = 43, .external_lex_state = 3},
  [548] = {.lex_state = 43, .external_lex_state = 2},
  [549] = {.lex_state = 43, .external_lex_state = 2},
  [550] = {.lex_state = 43, .external_lex_state = 3},
  [551] = {.lex_state = 43, .external_lex_state = 2},
  [552] = {.lex_state = 43, .external_lex_state = 3},
  [553] = {.lex_state = 43, .external_lex_state = 2},
  [554] = {.lex_state = 43, .external_lex_state = 2},
  [555] = {.lex_state = 43, .external_lex_state = 2},
  [556] = {.lex_state = 43, .external_lex_state = 2},
  [557] = {.lex_state = 43, .external_lex_state = 3},
  [558] = {.lex_state = 43, .external_lex_state = 2},
  [559] = {.lex_state = 43, .external_lex_state = 2},
  [560] = {.lex_state = 43, .external_lex_state = 3},
  [561] = {.lex_state = 43, .external_lex_state = 2},
  [562] = {.lex_state = 43, .external_lex_state = 3},
  [563] = {.lex_state = 43, .external_lex_state = 3},
  [564] = {.lex_state = 43, .external_lex_state = 3},
  [565] = {.lex_state = 43, .external_lex_state = 2},
  [566] = {.lex_state = 43, .external_lex_state = 3},
  [567] = {.lex_state = 43, .external_lex_state = 2},
  [568] = {.lex_state = 43, .external_lex_state = 2},
  [569] = {.lex_state = 43, .external_lex_state = 3},
  [570] = {.lex_state = 43, .external_lex_state = 3},
  [571] = {.lex_state = 43, .external_lex_state = 3},
  [572] = {.lex_state = 43, .external_lex_state = 3},
  [573] = {.lex_state = 43, .external_lex_state = 3},
  [574] = {.lex_state = 43, .external_lex_state = 2},
  [575] = {.lex_state = 43, .external_lex_state = 2},
  [576] = {.lex_state = 43, .external_lex_state = 3},
  [577] = {.lex_state = 43, .external_lex_state = 3},
  [578] = {.lex_state = 43, .external_lex_state = 3},
  [579] = {.lex_state = 43, .external_lex_state = 3},
  [580] = {.lex_state = 43, .external_lex_state = 2},
  [581] = {.lex_state = 43, .external_lex_state = 2},
  [582] = {.lex_state = 43, .external_lex_state = 2},
  [583] = {.lex_state = 43, .external_lex_state = 2},
  [584] = {.lex_state = 43, .external_lex_state = 2},
  [585] = {.lex_state = 43, .external_lex_state = 2},
  [586] = {.lex_state = 13},
  [587] = {.lex_state = 13, .external_lex_state = 2},
  [588] = {.lex_state = 43, .external_lex_state = 2},
  [589] = {.lex_state = 13, .external_lex_state = 2},
  [590] = {.lex_state = 13, .external_lex_state = 2},
  [591] = {.lex_state = 13},
  [592] = {.lex_state = 13},
  [593] = {.lex_state = 13, .external_lex_state = 2},
  [594] = {.lex_state = 13},
  [595] = {.lex_state = 13},
  [596] = {.lex_state = 13, .external_lex_state = 2},
  [597] = {.lex_state = 13},
  [598] = {.lex_state = 13},
  [599] = {.lex_state = 13, .external_lex_state = 2},
  [600] = {.lex_state = 13},
  [601] = {.lex_state = 13},
  [602] = {.lex_state = 13},
  [603] = {.lex_state = 13},
  [604] = {.lex_state = 13},
  [605] = {.lex_state = 12},
  [606] = {.lex_state = 11, .external_lex_state = 2},
  [607] = {.lex_state = 13},
  [608] = {.lex_state = 13},
  [609] = {.lex_state = 13},
  [610] = {.lex_state = 13, .external_lex_state = 2},
  [611] = {.lex_state = 13},
  [612] = {.lex_state = 13},
  [613] = {.lex_state = 13},
  [614] = {.lex_state = 13},
  [615] = {.lex_state = 13},
  [616] = {.lex_state = 13},
  [617] = {.lex_state = 12},
  [618] = {.lex_state = 13, .external_lex_state = 2},
  [619] = {.lex_state = 13},
  [620] = {.lex_state = 13},
  [621] = {.lex_state = 13, .external_lex_state = 6},
  [622] = {.lex_state = 13},
  [623] = {.lex_state = 13, .external_lex_state = 2},
  [624] = {.lex_state = 13},
  [625] = {.lex_state = 13, .external_lex_state = 4},
  [626] = {.lex_state = 12},
  [627] = {.lex_state = 12},
  [628] = {.lex_state = 13},
  [629] = {.lex_state = 13, .external_lex_state = 4},
  [630] = {.lex_state = 13},
  [631] = {.lex_state = 13, .external_lex_state = 2},
  [632] = {.lex_state = 13},
  [633] = {.lex_state = 13},
  [634] = {.lex_state = 13},
  [635] = {.lex_state = 13},
  [636] = {.lex_state = 13},
  [637] = {.lex_state = 13},
  [638] = {.lex_state = 13},
  [639] = {.lex_state = 13},
  [640] = {.lex_state = 13},
  [641] = {.lex_state = 13, .external_lex_state = 4},
  [642] = {.lex_state = 13},
  [643] = {.lex_state = 13},
  [644] = {.lex_state = 13},
  [645] = {.lex_state = 13},
  [646] = {.lex_state = 13},
  [647] = {.lex_state = 13},
  [648] = {.lex_state = 13},
  [649] = {.lex_state = 13},
  [650] = {.lex_state = 13},
  [651] = {.lex_state = 13},
  [652] = {.lex_state = 13},
  [653] = {.lex_state = 13},
  [654] = {.lex_state = 13},
  [655] = {.lex_state = 13},
  [656] = {.lex_state = 13},
  [657] = {.lex_state = 13},
  [658] = {.lex_state = 13},
  [659] = {.lex_state = 13},
  [660] = {.lex_state = 13, .external_lex_state = 6},
  [661] = {.lex_state = 43, .external_lex_state = 2},
  [662] = {.lex_state = 13},
  [663] = {.lex_state = 13},
  [664] = {.lex_state = 13},
  [665] = {.lex_state = 13},
  [666] = {.lex_state = 13},
  [667] = {.lex_state = 13},
  [668] = {.lex_state = 13},
  [669] = {.lex_state = 13},
  [670] = {.lex_state = 13},
  [671] = {.lex_state = 13, .external_lex_state = 6},
  [672] = {.lex_state = 13},
  [673] = {.lex_state = 13},
  [674] = {.lex_state = 13, .external_lex_state = 6},
  [675] = {.lex_state = 13, .external_lex_state = 6},
  [676] = {.lex_state = 13, .external_lex_state = 6},
  [677] = {.lex_state = 13, .external_lex_state = 6},
  [678] = {.lex_state = 13},
  [679] = {.lex_state = 13},
  [680] = {.lex_state = 13, .external_lex_state = 6},
  [681] = {.lex_state = 13, .external_lex_state = 6},
  [682] = {.lex_state = 13},
  [683] = {.lex_state = 13, .external_lex_state = 6},
  [684] = {.lex_state = 43, .external_lex_state = 2},
  [685] = {.lex_state = 13},
  [686] = {.lex_state = 43, .external_lex_state = 2},
  [687] = {.lex_state = 13},
  [688] = {.lex_state = 13},
  [689] = {.lex_state = 13},
  [690] = {.lex_state = 13},
  [691] = {.lex_state = 13},
  [692] = {.lex_state = 13},
  [693] = {.lex_state = 13},
  [694] = {.lex_state = 13},
  [695] = {.lex_state = 13},
  [696] = {.lex_state = 13},
  [697] = {.lex_state = 13, .external_lex_state = 6},
  [698] = {.lex_state = 43, .external_lex_state = 2},
  [699] = {.lex_state = 12},
  [700] = {.lex_state = 43, .external_lex_state = 2},
  [701] = {.lex_state = 43, .external_lex_state = 2},
  [702] = {.lex_state = 43, .external_lex_state = 2},
  [703] = {.lex_state = 43, .external_lex_state = 2},
  [704] = {.lex_state = 43, .external_lex_state = 2},
  [705] = {.lex_state = 43, .external_lex_state = 2},
  [706] = {.lex_state = 43, .external_lex_state = 2},
  [707] = {.lex_state = 12, .external_lex_state = 6},
  [708] = {.lex_state = 43, .external_lex_state = 2},
  [709] = {.lex_state = 13},
  [710] = {.lex_state = 12, .external_lex_state = 6},
  [711] = {.lex_state = 12},
  [712] = {.lex_state = 43, .external_lex_state = 2},
  [713] = {.lex_state = 43, .external_lex_state = 2},
  [714] = {.lex_state = 43, .external_lex_state = 2},
  [715] = {.lex_state = 43, .external_lex_state = 2},
  [716] = {.lex_state = 43, .external_lex_state = 2},
  [717] = {.lex_state = 43, .external_lex_state = 2},
  [718] = {.lex_state = 43, .external_lex_state = 2},
  [719] = {.lex_state = 43, .external_lex_state = 2},
  [720] = {.lex_state = 43, .external_lex_state = 2},
  [721] = {.lex_state = 43, .external_lex_state = 2},
  [722] = {.lex_state = 13, .external_lex_state = 4},
  [723] = {.lex_state = 12},
  [724] = {.lex_state = 43, .external_lex_state = 2},
  [725] = {.lex_state = 43, .external_lex_state = 2},
  [726] = {.lex_state = 43, .external_lex_state = 2},
  [727] = {.lex_state = 43, .external_lex_state = 2},
  [728] = {.lex_state = 43, .external_lex_state = 2},
  [729] = {.lex_state = 43, .external_lex_state = 2},
  [730] = {.lex_state = 43, .external_lex_state = 2},
  [731] = {.lex_state = 43, .external_lex_state = 2},
  [732] = {.lex_state = 43, .external_lex_state = 2},
  [733] = {.lex_state = 43, .external_lex_state = 2},
  [734] = {.lex_state = 43, .external_lex_state = 2},
  [735] = {.lex_state = 43, .external_lex_state = 2},
  [736] = {.lex_state = 13},
  [737] = {.lex_state = 12},
  [738] = {.lex_state = 43, .external_lex_state = 2},
  [739] = {.lex_state = 43, .external_lex_state = 2},
  [740] = {.lex_state = 43, .external_lex_state = 2},
  [741] = {.lex_state = 13, .external_lex_state = 4},
  [742] = {.lex_state = 43, .external_lex_state = 2},
  [743] = {.lex_state = 43, .external_lex_state = 2},
  [744] = {.lex_state = 43, .external_lex_state = 2},
  [745] = {.lex_state = 43, .external_lex_state = 2},
  [746] = {.lex_state = 43, .external_lex_state = 2},
  [747] = {.lex_state = 43, .external_lex_state = 2},
  [748] = {.lex_state = 43, .external_lex_state = 2},
  [749] = {.lex_state = 13},
  [750] = {.lex_state = 13},
  [751] = {.lex_state = 13, .external_lex_state = 6},
  [752] = {.lex_state = 13, .external_lex_state = 6},
  [753] = {.lex_state = 13},
  [754] = {.lex_state = 13},
  [755] = {.lex_state = 13, .external_lex_state = 6},
  [756] = {.lex_state = 13, .external_lex_state = 6},
  [757] = {.lex_state = 13, .external_lex_state = 6},
  [758] = {.lex_state = 13, .external_lex_state = 6},
  [759] = {.lex_state = 13, .external_lex_state = 6},
  [760] = {.lex_state = 13, .external_lex_state = 6},
  [761] = {.lex_state = 13, .external_lex_state = 6},
  [762] = {.lex_state = 13, .external_lex_state = 6},
  [763] = {.lex_state = 13, .external_lex_state = 6},
  [764] = {.lex_state = 13, .external_lex_state = 6},
  [765] = {.lex_state = 13, .external_lex_state = 6},
  [766] = {.lex_state = 13, .external_lex_state = 6},
  [767] = {.lex_state = 13, .external_lex_state = 6},
  [768] = {.lex_state = 13, .external_lex_state = 6},
  [769] = {.lex_state = 13, .external_lex_state = 6},
  [770] = {.lex_state = 13},
  [771] = {.lex_state = 13, .external_lex_state = 6},
  [772] = {.lex_state = 13, .external_lex_state = 6},
  [773] = {.lex_state = 13},
  [774] = {.lex_state = 13, .external_lex_state = 6},
  [775] = {.lex_state = 13},
  [776] = {.lex_state = 13, .external_lex_state = 6},
  [777] = {.lex_state = 13, .external_lex_state = 6},
  [778] = {.lex_state = 13},
  [779] = {.lex_state = 13, .external_lex_state = 6},
  [780] = {.lex_state = 13, .external_lex_state = 6},
  [781] = {.lex_state = 13},
  [782] = {.lex_state = 13},
  [783] = {.lex_state = 13, .external_lex_state = 6},
  [784] = {.lex_state = 12},
  [785] = {.lex_state = 12},
  [786] = {.lex_state = 12},
  [787] = {.lex_state = 13},
  [788] = {.lex_state = 13},
  [789] = {.lex_state = 13},
  [790] = {.lex_state = 11},
  [791] = {.lex_state = 11},
  [792] = {.lex_state = 11},
  [793] = {.lex_state = 11},
  [794] = {.lex_state = 11},
  [795] = {.lex_state = 0, .external_lex_state = 6},
  [796] = {.lex_state = 0, .external_lex_state = 6},
  [797] = {.lex_state = 11},
  [798] = {.lex_state = 13, .external_lex_state = 6},
  [799] = {.lex_state = 11},
  [800] = {.lex_state = 11},
  [801] = {.lex_state = 11},
  [802] = {.lex_state = 13},
  [803] = {.lex_state = 13},
  [804] = {.lex_state = 13},
  [805] = {.lex_state = 13},
  [806] = {.lex_state = 13},
  [807] = {.lex_state = 13},
  [808] = {.lex_state = 13},
  [809] = {.lex_state = 13},
  [810] = {.lex_state = 13},
  [811] = {.lex_state = 13},
  [812] = {.lex_state = 13},
  [813] = {.lex_state = 11},
  [814] = {.lex_state = 11},
  [815] = {.lex_state = 11},
  [816] = {.lex_state = 11},
  [817] = {.lex_state = 11},
  [818] = {.lex_state = 11},
  [819] = {.lex_state = 0},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 11},
  [822] = {.lex_state = 0},
  [823] = {.lex_state = 11},
  [824] = {.lex_state = 11},
  [825] = {.lex_state = 0},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 11},
  [828] = {.lex_state = 11},
  [829] = {.lex_state = 11},
  [830] = {.lex_state = 11},
  [831] = {.lex_state = 11},
  [832] = {.lex_state = 11},
  [833] = {.lex_state = 11},
  [834] = {.lex_state = 11},
  [835] = {.lex_state = 11},
  [836] = {.lex_state = 11},
  [837] = {.lex_state = 11},
  [838] = {.lex_state = 11},
  [839] = {.lex_state = 11},
  [840] = {.lex_state = 0},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 11},
  [843] = {.lex_state = 0},
  [844] = {.lex_state = 11},
  [845] = {.lex_state = 11},
  [846] = {.lex_state = 11},
  [847] = {.lex_state = 0},
  [848] = {.lex_state = 11},
  [849] = {.lex_state = 11},
  [850] = {.lex_state = 0},
  [851] = {.lex_state = 0},
  [852] = {.lex_state = 11},
  [853] = {.lex_state = 11},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 11},
  [858] = {.lex_state = 11},
  [859] = {.lex_state = 0},
  [860] = {.lex_state = 15, .external_lex_state = 7},
  [861] = {.lex_state = 0},
  [862] = {.lex_state = 15, .external_lex_state = 7},
  [863] = {.lex_state = 15, .external_lex_state = 7},
  [864] = {.lex_state = 15, .external_lex_state = 7},
  [865] = {.lex_state = 0},
  [866] = {.lex_state = 15, .external_lex_state = 7},
  [867] = {.lex_state = 15, .external_lex_state = 7},
  [868] = {.lex_state = 15, .external_lex_state = 7},
  [869] = {.lex_state = 0},
  [870] = {.lex_state = 15, .external_lex_state = 7},
  [871] = {.lex_state = 15, .external_lex_state = 7},
  [872] = {.lex_state = 0},
  [873] = {.lex_state = 0, .external_lex_state = 6},
  [874] = {.lex_state = 0, .external_lex_state = 6},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 11},
  [877] = {.lex_state = 11},
  [878] = {.lex_state = 0, .external_lex_state = 6},
  [879] = {.lex_state = 0, .external_lex_state = 6},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 0, .external_lex_state = 6},
  [882] = {.lex_state = 0, .external_lex_state = 6},
  [883] = {.lex_state = 0, .external_lex_state = 6},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 0, .external_lex_state = 6},
  [887] = {.lex_state = 0, .external_lex_state = 6},
  [888] = {.lex_state = 0, .external_lex_state = 6},
  [889] = {.lex_state = 0, .external_lex_state = 6},
  [890] = {.lex_state = 0, .external_lex_state = 6},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 11},
  [894] = {.lex_state = 11},
  [895] = {.lex_state = 11},
  [896] = {.lex_state = 0},
  [897] = {.lex_state = 0, .external_lex_state = 6},
  [898] = {.lex_state = 0, .external_lex_state = 6},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0, .external_lex_state = 6},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 11},
  [903] = {.lex_state = 0, .external_lex_state = 6},
  [904] = {.lex_state = 0, .external_lex_state = 6},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0, .external_lex_state = 6},
  [907] = {.lex_state = 0, .external_lex_state = 6},
  [908] = {.lex_state = 0},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 0},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 0},
  [913] = {.lex_state = 11},
  [914] = {.lex_state = 11},
  [915] = {.lex_state = 0, .external_lex_state = 6},
  [916] = {.lex_state = 11},
  [917] = {.lex_state = 11},
  [918] = {.lex_state = 0},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 0},
  [921] = {.lex_state = 0},
  [922] = {.lex_state = 11},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 13},
  [925] = {.lex_state = 11},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 11},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0, .external_lex_state = 6},
  [931] = {.lex_state = 11},
  [932] = {.lex_state = 15, .external_lex_state = 7},
  [933] = {.lex_state = 11},
  [934] = {.lex_state = 11},
  [935] = {.lex_state = 11},
  [936] = {.lex_state = 11},
  [937] = {.lex_state = 15, .external_lex_state = 7},
  [938] = {.lex_state = 0, .external_lex_state = 6},
  [939] = {.lex_state = 15, .external_lex_state = 7},
  [940] = {.lex_state = 11},
  [941] = {.lex_state = 11},
  [942] = {.lex_state = 0, .external_lex_state = 6},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 15, .external_lex_state = 7},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 13, .external_lex_state = 6},
  [947] = {.lex_state = 11},
  [948] = {.lex_state = 13, .external_lex_state = 6},
  [949] = {.lex_state = 0, .external_lex_state = 6},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 11},
  [953] = {.lex_state = 0, .external_lex_state = 6},
  [954] = {.lex_state = 11},
  [955] = {.lex_state = 11},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0, .external_lex_state = 6},
  [958] = {.lex_state = 13},
  [959] = {.lex_state = 11},
  [960] = {.lex_state = 11},
  [961] = {.lex_state = 13},
  [962] = {.lex_state = 0},
  [963] = {.lex_state = 11},
  [964] = {.lex_state = 13},
  [965] = {.lex_state = 0},
  [966] = {.lex_state = 11},
  [967] = {.lex_state = 13, .external_lex_state = 6},
  [968] = {.lex_state = 0},
  [969] = {.lex_state = 0},
  [970] = {.lex_state = 11},
  [971] = {.lex_state = 13},
  [972] = {.lex_state = 11},
  [973] = {.lex_state = 6},
  [974] = {.lex_state = 0},
  [975] = {.lex_state = 0},
  [976] = {.lex_state = 0, .external_lex_state = 6},
  [977] = {.lex_state = 11},
  [978] = {.lex_state = 11},
  [979] = {.lex_state = 0},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 13, .external_lex_state = 6},
  [982] = {.lex_state = 0, .external_lex_state = 6},
  [983] = {.lex_state = 0, .external_lex_state = 6},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 11},
  [987] = {.lex_state = 11},
  [988] = {.lex_state = 0, .external_lex_state = 6},
  [989] = {.lex_state = 11},
  [990] = {.lex_state = 11},
  [991] = {.lex_state = 0, .external_lex_state = 6},
  [992] = {.lex_state = 11},
  [993] = {.lex_state = 11},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 6},
  [997] = {.lex_state = 11},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 11},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 0, .external_lex_state = 6},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 6},
  [1004] = {.lex_state = 11},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 11},
  [1007] = {.lex_state = 11},
  [1008] = {.lex_state = 11},
  [1009] = {.lex_state = 11},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0, .external_lex_state = 6},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 13},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0, .external_lex_state = 6},
  [1021] = {.lex_state = 11},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0, .external_lex_state = 6},
  [1024] = {.lex_state = 0, .external_lex_state = 6},
  [1025] = {.lex_state = 0, .external_lex_state = 6},
  [1026] = {.lex_state = 0, .external_lex_state = 6},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0, .external_lex_state = 6},
  [1030] = {.lex_state = 13},
  [1031] = {.lex_state = 0, .external_lex_state = 6},
  [1032] = {.lex_state = 0, .external_lex_state = 6},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 11},
  [1035] = {.lex_state = 0, .external_lex_state = 6},
  [1036] = {.lex_state = 0, .external_lex_state = 6},
  [1037] = {.lex_state = 11},
  [1038] = {.lex_state = 0, .external_lex_state = 6},
  [1039] = {.lex_state = 0, .external_lex_state = 6},
  [1040] = {.lex_state = 0, .external_lex_state = 6},
  [1041] = {.lex_state = 0, .external_lex_state = 6},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0, .external_lex_state = 6},
  [1044] = {.lex_state = 0, .external_lex_state = 6},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 11},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0, .external_lex_state = 6},
  [1049] = {.lex_state = 11},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0, .external_lex_state = 6},
  [1055] = {.lex_state = 6},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0, .external_lex_state = 6},
  [1058] = {.lex_state = 0, .external_lex_state = 6},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 11},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 11},
  [1066] = {.lex_state = 11},
  [1067] = {.lex_state = 11},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0, .external_lex_state = 6},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0, .external_lex_state = 6},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 11},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 11},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0, .external_lex_state = 6},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0, .external_lex_state = 6},
  [1100] = {.lex_state = 11},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0, .external_lex_state = 6},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 11},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 11},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 11},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0, .external_lex_state = 6},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0, .external_lex_state = 6},
  [1116] = {.lex_state = 11},
  [1117] = {.lex_state = 11},
  [1118] = {.lex_state = 11},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 11},
  [1121] = {.lex_state = 11},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 11},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 11},
  [1129] = {.lex_state = 11},
  [1130] = {.lex_state = 0, .external_lex_state = 6},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 11},
  [1133] = {.lex_state = 0, .external_lex_state = 6},
  [1134] = {.lex_state = 0, .external_lex_state = 6},
  [1135] = {.lex_state = 11},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0, .external_lex_state = 6},
  [1138] = {.lex_state = 14},
  [1139] = {.lex_state = 0, .external_lex_state = 6},
  [1140] = {.lex_state = 0, .external_lex_state = 6},
  [1141] = {.lex_state = 0, .external_lex_state = 6},
  [1142] = {.lex_state = 0, .external_lex_state = 6},
  [1143] = {.lex_state = 0, .external_lex_state = 6},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0, .external_lex_state = 6},
  [1146] = {.lex_state = 0, .external_lex_state = 6},
  [1147] = {.lex_state = 0, .external_lex_state = 6},
  [1148] = {.lex_state = 0, .external_lex_state = 6},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0, .external_lex_state = 6},
  [1152] = {.lex_state = 14},
  [1153] = {.lex_state = 0, .external_lex_state = 6},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0, .external_lex_state = 6},
  [1159] = {.lex_state = 0, .external_lex_state = 6},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 14},
  [1162] = {.lex_state = 0, .external_lex_state = 6},
  [1163] = {.lex_state = 14},
  [1164] = {.lex_state = 14},
  [1165] = {.lex_state = 0, .external_lex_state = 6},
  [1166] = {.lex_state = 14},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0, .external_lex_state = 6},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0, .external_lex_state = 6},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 11},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0, .external_lex_state = 6},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 11},
  [1180] = {.lex_state = 11},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 11},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 11},
  [1199] = {.lex_state = 11},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 11},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 11},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 11},
  [1226] = {.lex_state = 11},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 11},
  [1229] = {.lex_state = 11},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 11},
  [1232] = {.lex_state = 11},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 11},
  [1236] = {.lex_state = 11},
  [1237] = {.lex_state = 11},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 11},
  [1240] = {.lex_state = 11},
  [1241] = {.lex_state = 11},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 11},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 11},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 11},
  [1250] = {.lex_state = 11},
  [1251] = {.lex_state = 11},
  [1252] = {.lex_state = 11},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 11},
  [1255] = {.lex_state = 11},
  [1256] = {.lex_state = 11},
  [1257] = {.lex_state = 11},
  [1258] = {.lex_state = 11},
  [1259] = {.lex_state = 11},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 11},
  [1263] = {.lex_state = 11},
  [1264] = {.lex_state = 11},
  [1265] = {.lex_state = 11},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 11},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 11},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 11},
  [1286] = {.lex_state = 11},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
};

static const bool ts_external_scanner_states[8][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
  },
  [7] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(1260),
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(901),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_with] = ACTIONS(45),
    [anon_sym_def] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [2] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(406),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [3] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(544),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [4] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(332),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [5] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(426),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [6] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(479),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [7] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(469),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [8] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(520),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [9] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(508),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [10] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(516),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [11] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(562),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [12] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(537),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [13] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(458),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [14] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(421),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [15] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(980),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [16] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(554),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [17] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(556),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [18] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(460),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [19] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(558),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [20] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(468),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [21] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(481),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [22] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(482),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [23] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(491),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [24] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(492),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [25] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(542),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [26] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(436),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [27] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(403),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [28] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(405),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [29] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(503),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [30] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(518),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [31] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(439),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [32] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(356),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [33] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(422),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [34] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(434),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [35] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(504),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [36] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(419),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [37] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(550),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [38] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(467),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [39] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(450),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [40] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(465),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [41] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(1002),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [42] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(526),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [43] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(477),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [44] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(557),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [45] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(564),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [46] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(409),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [47] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(443),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [48] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(495),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [49] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(502),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [50] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(463),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [51] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(410),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [52] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(453),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [53] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(451),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [54] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(449),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [55] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(576),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [56] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(399),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [57] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(444),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [58] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(470),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [59] = {
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(511),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [60] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(493),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [61] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(546),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [62] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(417),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [63] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(912),
    [sym_block] = STATE(423),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [64] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(912),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(77),
  },
  [65] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(901),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [ts_builtin_sym_end] = ACTIONS(105),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_with] = ACTIONS(45),
    [anon_sym_def] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [66] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(912),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(107),
    [sym__string_start] = ACTIONS(77),
  },
  [67] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(901),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(901),
    [ts_builtin_sym_end] = ACTIONS(109),
    [sym_identifier] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(114),
    [anon_sym_from] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(120),
    [anon_sym_STAR] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(126),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_match] = ACTIONS(132),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_del] = ACTIONS(138),
    [anon_sym_raise] = ACTIONS(141),
    [anon_sym_pass] = ACTIONS(144),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(150),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(156),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(162),
    [anon_sym_try] = ACTIONS(165),
    [anon_sym_with] = ACTIONS(168),
    [anon_sym_def] = ACTIONS(171),
    [anon_sym_global] = ACTIONS(174),
    [anon_sym_nonlocal] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(180),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_AT] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_not] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_yield] = ACTIONS(201),
    [sym_ellipsis] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(207),
    [sym_integer] = ACTIONS(210),
    [sym_float] = ACTIONS(204),
    [anon_sym_await] = ACTIONS(213),
    [sym_true] = ACTIONS(210),
    [sym_false] = ACTIONS(210),
    [sym_none] = ACTIONS(210),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(216),
  },
  [68] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(912),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(114),
    [anon_sym_from] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(120),
    [anon_sym_STAR] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(126),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_match] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_del] = ACTIONS(138),
    [anon_sym_raise] = ACTIONS(141),
    [anon_sym_pass] = ACTIONS(144),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(150),
    [anon_sym_if] = ACTIONS(222),
    [anon_sym_async] = ACTIONS(225),
    [anon_sym_for] = ACTIONS(228),
    [anon_sym_while] = ACTIONS(231),
    [anon_sym_try] = ACTIONS(234),
    [anon_sym_with] = ACTIONS(237),
    [anon_sym_def] = ACTIONS(240),
    [anon_sym_global] = ACTIONS(174),
    [anon_sym_nonlocal] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(180),
    [anon_sym_class] = ACTIONS(243),
    [anon_sym_AT] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_not] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_yield] = ACTIONS(201),
    [sym_ellipsis] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(207),
    [sym_integer] = ACTIONS(210),
    [sym_float] = ACTIONS(204),
    [anon_sym_await] = ACTIONS(213),
    [sym_true] = ACTIONS(210),
    [sym_false] = ACTIONS(210),
    [sym_none] = ACTIONS(210),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym__string_start] = ACTIONS(216),
  },
  [69] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(912),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(912),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(246),
    [sym__string_start] = ACTIONS(77),
  },
  [70] = {
    [sym_named_expression] = STATE(829),
    [sym__named_expresssion_lhs] = STATE(1227),
    [sym_as_pattern] = STATE(829),
    [sym_expression] = STATE(922),
    [sym_primary_expression] = STATE(586),
    [sym_not_operator] = STATE(829),
    [sym_boolean_operator] = STATE(829),
    [sym_binary_operator] = STATE(622),
    [sym_unary_operator] = STATE(622),
    [sym_comparison_operator] = STATE(829),
    [sym_lambda] = STATE(829),
    [sym_attribute] = STATE(622),
    [sym_subscript] = STATE(622),
    [sym_call] = STATE(622),
    [sym_list] = STATE(622),
    [sym_set] = STATE(622),
    [sym_tuple] = STATE(622),
    [sym_dictionary] = STATE(622),
    [sym_list_comprehension] = STATE(622),
    [sym_dictionary_comprehension] = STATE(622),
    [sym_set_comprehension] = STATE(622),
    [sym_generator_expression] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym_conditional_expression] = STATE(829),
    [sym_concatenated_string] = STATE(622),
    [sym_string] = STATE(590),
    [sym_await] = STATE(829),
    [sym_identifier] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(260),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_COLON_EQ] = ACTIONS(262),
    [anon_sym_match] = ACTIONS(264),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(266),
    [anon_sym_async] = ACTIONS(260),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_exec] = ACTIONS(260),
    [anon_sym_AT] = ACTIONS(252),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_EQ] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(271),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(279),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_integer] = ACTIONS(287),
    [sym_float] = ACTIONS(283),
    [anon_sym_await] = ACTIONS(289),
    [sym_true] = ACTIONS(287),
    [sym_false] = ACTIONS(287),
    [sym_none] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(291),
  },
  [71] = {
    [sym_named_expression] = STATE(829),
    [sym__named_expresssion_lhs] = STATE(1227),
    [sym_as_pattern] = STATE(829),
    [sym_expression] = STATE(931),
    [sym_primary_expression] = STATE(586),
    [sym_not_operator] = STATE(829),
    [sym_boolean_operator] = STATE(829),
    [sym_binary_operator] = STATE(622),
    [sym_unary_operator] = STATE(622),
    [sym_comparison_operator] = STATE(829),
    [sym_lambda] = STATE(829),
    [sym_attribute] = STATE(622),
    [sym_subscript] = STATE(622),
    [sym_call] = STATE(622),
    [sym_list] = STATE(622),
    [sym_set] = STATE(622),
    [sym_tuple] = STATE(622),
    [sym_dictionary] = STATE(622),
    [sym_list_comprehension] = STATE(622),
    [sym_dictionary_comprehension] = STATE(622),
    [sym_set_comprehension] = STATE(622),
    [sym_generator_expression] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym_conditional_expression] = STATE(829),
    [sym_concatenated_string] = STATE(622),
    [sym_string] = STATE(590),
    [sym_await] = STATE(829),
    [sym_identifier] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(260),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_COLON_EQ] = ACTIONS(262),
    [anon_sym_match] = ACTIONS(264),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(266),
    [anon_sym_async] = ACTIONS(260),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_exec] = ACTIONS(260),
    [anon_sym_AT] = ACTIONS(252),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_EQ] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(271),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(279),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_integer] = ACTIONS(287),
    [sym_float] = ACTIONS(283),
    [anon_sym_await] = ACTIONS(289),
    [sym_true] = ACTIONS(287),
    [sym_false] = ACTIONS(287),
    [sym_none] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(291),
  },
  [72] = {
    [sym_chevron] = STATE(1020),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(906),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_attribute] = STATE(755),
    [sym_subscript] = STATE(755),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(297),
    [anon_sym_match] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_AT] = ACTIONS(252),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(252),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(301),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(77),
  },
  [73] = {
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(878),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_attribute] = STATE(755),
    [sym_subscript] = STATE(755),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_match] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_AT] = ACTIONS(252),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_EQ] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(301),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(77),
  },
  [74] = {
    [sym__simple_statements] = STATE(391),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(313),
    [sym__indent] = ACTIONS(315),
    [sym__string_start] = ACTIONS(77),
  },
  [75] = {
    [sym__simple_statements] = STATE(483),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(317),
    [sym__indent] = ACTIONS(319),
    [sym__string_start] = ACTIONS(77),
  },
  [76] = {
    [sym__simple_statements] = STATE(428),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(321),
    [sym__indent] = ACTIONS(323),
    [sym__string_start] = ACTIONS(77),
  },
  [77] = {
    [sym__simple_statements] = STATE(413),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(325),
    [sym__indent] = ACTIONS(327),
    [sym__string_start] = ACTIONS(77),
  },
  [78] = {
    [sym__simple_statements] = STATE(430),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(329),
    [sym__indent] = ACTIONS(331),
    [sym__string_start] = ACTIONS(77),
  },
  [79] = {
    [sym__simple_statements] = STATE(461),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(333),
    [sym__indent] = ACTIONS(335),
    [sym__string_start] = ACTIONS(77),
  },
  [80] = {
    [sym__simple_statements] = STATE(577),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(337),
    [sym__indent] = ACTIONS(339),
    [sym__string_start] = ACTIONS(77),
  },
  [81] = {
    [sym__simple_statements] = STATE(528),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(341),
    [sym__indent] = ACTIONS(343),
    [sym__string_start] = ACTIONS(77),
  },
  [82] = {
    [sym__simple_statements] = STATE(570),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(345),
    [sym__indent] = ACTIONS(347),
    [sym__string_start] = ACTIONS(77),
  },
  [83] = {
    [sym__simple_statements] = STATE(519),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(349),
    [sym__indent] = ACTIONS(351),
    [sym__string_start] = ACTIONS(77),
  },
  [84] = {
    [sym__simple_statements] = STATE(514),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(353),
    [sym__indent] = ACTIONS(355),
    [sym__string_start] = ACTIONS(77),
  },
  [85] = {
    [sym__simple_statements] = STATE(571),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(357),
    [sym__indent] = ACTIONS(359),
    [sym__string_start] = ACTIONS(77),
  },
  [86] = {
    [sym__simple_statements] = STATE(545),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(361),
    [sym__indent] = ACTIONS(363),
    [sym__string_start] = ACTIONS(77),
  },
  [87] = {
    [sym__simple_statements] = STATE(366),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(365),
    [sym__indent] = ACTIONS(367),
    [sym__string_start] = ACTIONS(77),
  },
  [88] = {
    [sym__simple_statements] = STATE(540),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__indent] = ACTIONS(371),
    [sym__string_start] = ACTIONS(77),
  },
  [89] = {
    [sym__simple_statements] = STATE(513),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(373),
    [sym__indent] = ACTIONS(375),
    [sym__string_start] = ACTIONS(77),
  },
  [90] = {
    [sym__simple_statements] = STATE(408),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(377),
    [sym__indent] = ACTIONS(379),
    [sym__string_start] = ACTIONS(77),
  },
  [91] = {
    [sym__simple_statements] = STATE(568),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(381),
    [sym__indent] = ACTIONS(383),
    [sym__string_start] = ACTIONS(77),
  },
  [92] = {
    [sym__simple_statements] = STATE(476),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(385),
    [sym__indent] = ACTIONS(387),
    [sym__string_start] = ACTIONS(77),
  },
  [93] = {
    [sym__simple_statements] = STATE(567),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__indent] = ACTIONS(391),
    [sym__string_start] = ACTIONS(77),
  },
  [94] = {
    [sym__simple_statements] = STATE(523),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(393),
    [sym__indent] = ACTIONS(395),
    [sym__string_start] = ACTIONS(77),
  },
  [95] = {
    [sym__simple_statements] = STATE(505),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(397),
    [sym__indent] = ACTIONS(399),
    [sym__string_start] = ACTIONS(77),
  },
  [96] = {
    [sym__simple_statements] = STATE(435),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(401),
    [sym__indent] = ACTIONS(403),
    [sym__string_start] = ACTIONS(77),
  },
  [97] = {
    [sym__simple_statements] = STATE(457),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(405),
    [sym__indent] = ACTIONS(407),
    [sym__string_start] = ACTIONS(77),
  },
  [98] = {
    [sym__simple_statements] = STATE(538),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(409),
    [sym__indent] = ACTIONS(411),
    [sym__string_start] = ACTIONS(77),
  },
  [99] = {
    [sym__simple_statements] = STATE(462),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(413),
    [sym__indent] = ACTIONS(415),
    [sym__string_start] = ACTIONS(77),
  },
  [100] = {
    [sym__simple_statements] = STATE(427),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym__indent] = ACTIONS(419),
    [sym__string_start] = ACTIONS(77),
  },
  [101] = {
    [sym__simple_statements] = STATE(448),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__indent] = ACTIONS(423),
    [sym__string_start] = ACTIONS(77),
  },
  [102] = {
    [sym__simple_statements] = STATE(452),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__indent] = ACTIONS(427),
    [sym__string_start] = ACTIONS(77),
  },
  [103] = {
    [sym__simple_statements] = STATE(392),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym__indent] = ACTIONS(431),
    [sym__string_start] = ACTIONS(77),
  },
  [104] = {
    [sym__simple_statements] = STATE(506),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym__indent] = ACTIONS(435),
    [sym__string_start] = ACTIONS(77),
  },
  [105] = {
    [sym__simple_statements] = STATE(464),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym__indent] = ACTIONS(439),
    [sym__string_start] = ACTIONS(77),
  },
  [106] = {
    [sym__simple_statements] = STATE(447),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym__indent] = ACTIONS(443),
    [sym__string_start] = ACTIONS(77),
  },
  [107] = {
    [sym__simple_statements] = STATE(466),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym__indent] = ACTIONS(447),
    [sym__string_start] = ACTIONS(77),
  },
  [108] = {
    [sym__simple_statements] = STATE(440),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym__indent] = ACTIONS(451),
    [sym__string_start] = ACTIONS(77),
  },
  [109] = {
    [sym__simple_statements] = STATE(549),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__indent] = ACTIONS(455),
    [sym__string_start] = ACTIONS(77),
  },
  [110] = {
    [sym__simple_statements] = STATE(507),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__indent] = ACTIONS(459),
    [sym__string_start] = ACTIONS(77),
  },
  [111] = {
    [sym__simple_statements] = STATE(445),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__indent] = ACTIONS(463),
    [sym__string_start] = ACTIONS(77),
  },
  [112] = {
    [sym__simple_statements] = STATE(974),
    [sym_import_statement] = STATE(1054),
    [sym_future_import_statement] = STATE(1054),
    [sym_import_from_statement] = STATE(1054),
    [sym_print_statement] = STATE(1054),
    [sym_assert_statement] = STATE(1054),
    [sym_expression_statement] = STATE(1054),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1054),
    [sym_delete_statement] = STATE(1054),
    [sym_raise_statement] = STATE(1054),
    [sym_pass_statement] = STATE(1054),
    [sym_break_statement] = STATE(1054),
    [sym_continue_statement] = STATE(1054),
    [sym_global_statement] = STATE(1054),
    [sym_nonlocal_statement] = STATE(1054),
    [sym_exec_statement] = STATE(1054),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__indent] = ACTIONS(467),
    [sym__string_start] = ACTIONS(77),
  },
  [113] = {
    [sym__simple_statements] = STATE(975),
    [sym_import_statement] = STATE(1054),
    [sym_future_import_statement] = STATE(1054),
    [sym_import_from_statement] = STATE(1054),
    [sym_print_statement] = STATE(1054),
    [sym_assert_statement] = STATE(1054),
    [sym_expression_statement] = STATE(1054),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1054),
    [sym_delete_statement] = STATE(1054),
    [sym_raise_statement] = STATE(1054),
    [sym_pass_statement] = STATE(1054),
    [sym_break_statement] = STATE(1054),
    [sym_continue_statement] = STATE(1054),
    [sym_global_statement] = STATE(1054),
    [sym_nonlocal_statement] = STATE(1054),
    [sym_exec_statement] = STATE(1054),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__indent] = ACTIONS(471),
    [sym__string_start] = ACTIONS(77),
  },
  [114] = {
    [sym__simple_statements] = STATE(541),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(473),
    [sym__indent] = ACTIONS(475),
    [sym__string_start] = ACTIONS(77),
  },
  [115] = {
    [sym__simple_statements] = STATE(420),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(477),
    [sym__indent] = ACTIONS(479),
    [sym__string_start] = ACTIONS(77),
  },
  [116] = {
    [sym__simple_statements] = STATE(501),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(481),
    [sym__indent] = ACTIONS(483),
    [sym__string_start] = ACTIONS(77),
  },
  [117] = {
    [sym__simple_statements] = STATE(498),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(485),
    [sym__indent] = ACTIONS(487),
    [sym__string_start] = ACTIONS(77),
  },
  [118] = {
    [sym__simple_statements] = STATE(494),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(489),
    [sym__indent] = ACTIONS(491),
    [sym__string_start] = ACTIONS(77),
  },
  [119] = {
    [sym__simple_statements] = STATE(489),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(493),
    [sym__indent] = ACTIONS(495),
    [sym__string_start] = ACTIONS(77),
  },
  [120] = {
    [sym__simple_statements] = STATE(486),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(497),
    [sym__indent] = ACTIONS(499),
    [sym__string_start] = ACTIONS(77),
  },
  [121] = {
    [sym__simple_statements] = STATE(517),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(501),
    [sym__indent] = ACTIONS(503),
    [sym__string_start] = ACTIONS(77),
  },
  [122] = {
    [sym__simple_statements] = STATE(411),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(505),
    [sym__indent] = ACTIONS(507),
    [sym__string_start] = ACTIONS(77),
  },
  [123] = {
    [sym__simple_statements] = STATE(433),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(509),
    [sym__indent] = ACTIONS(511),
    [sym__string_start] = ACTIONS(77),
  },
  [124] = {
    [sym__simple_statements] = STATE(424),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(513),
    [sym__indent] = ACTIONS(515),
    [sym__string_start] = ACTIONS(77),
  },
  [125] = {
    [sym__simple_statements] = STATE(438),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(517),
    [sym__indent] = ACTIONS(519),
    [sym__string_start] = ACTIONS(77),
  },
  [126] = {
    [sym__simple_statements] = STATE(471),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(521),
    [sym__indent] = ACTIONS(523),
    [sym__string_start] = ACTIONS(77),
  },
  [127] = {
    [sym__simple_statements] = STATE(416),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(525),
    [sym__indent] = ACTIONS(527),
    [sym__string_start] = ACTIONS(77),
  },
  [128] = {
    [sym__simple_statements] = STATE(407),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(529),
    [sym__indent] = ACTIONS(531),
    [sym__string_start] = ACTIONS(77),
  },
  [129] = {
    [sym__simple_statements] = STATE(497),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(533),
    [sym__indent] = ACTIONS(535),
    [sym__string_start] = ACTIONS(77),
  },
  [130] = {
    [sym__simple_statements] = STATE(362),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(537),
    [sym__indent] = ACTIONS(539),
    [sym__string_start] = ACTIONS(77),
  },
  [131] = {
    [sym__simple_statements] = STATE(488),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(541),
    [sym__indent] = ACTIONS(543),
    [sym__string_start] = ACTIONS(77),
  },
  [132] = {
    [sym__simple_statements] = STATE(487),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(545),
    [sym__indent] = ACTIONS(547),
    [sym__string_start] = ACTIONS(77),
  },
  [133] = {
    [sym__simple_statements] = STATE(459),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(549),
    [sym__indent] = ACTIONS(551),
    [sym__string_start] = ACTIONS(77),
  },
  [134] = {
    [sym__simple_statements] = STATE(475),
    [sym_import_statement] = STATE(1058),
    [sym_future_import_statement] = STATE(1058),
    [sym_import_from_statement] = STATE(1058),
    [sym_print_statement] = STATE(1058),
    [sym_assert_statement] = STATE(1058),
    [sym_expression_statement] = STATE(1058),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1058),
    [sym_delete_statement] = STATE(1058),
    [sym_raise_statement] = STATE(1058),
    [sym_pass_statement] = STATE(1058),
    [sym_break_statement] = STATE(1058),
    [sym_continue_statement] = STATE(1058),
    [sym_global_statement] = STATE(1058),
    [sym_nonlocal_statement] = STATE(1058),
    [sym_exec_statement] = STATE(1058),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(553),
    [sym__indent] = ACTIONS(555),
    [sym__string_start] = ACTIONS(77),
  },
  [135] = {
    [sym__simple_statements] = STATE(521),
    [sym_import_statement] = STATE(1048),
    [sym_future_import_statement] = STATE(1048),
    [sym_import_from_statement] = STATE(1048),
    [sym_print_statement] = STATE(1048),
    [sym_assert_statement] = STATE(1048),
    [sym_expression_statement] = STATE(1048),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1048),
    [sym_delete_statement] = STATE(1048),
    [sym_raise_statement] = STATE(1048),
    [sym_pass_statement] = STATE(1048),
    [sym_break_statement] = STATE(1048),
    [sym_continue_statement] = STATE(1048),
    [sym_global_statement] = STATE(1048),
    [sym_nonlocal_statement] = STATE(1048),
    [sym_exec_statement] = STATE(1048),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(557),
    [sym__indent] = ACTIONS(559),
    [sym__string_start] = ACTIONS(77),
  },
  [136] = {
    [sym_import_statement] = STATE(1165),
    [sym_future_import_statement] = STATE(1165),
    [sym_import_from_statement] = STATE(1165),
    [sym_print_statement] = STATE(1165),
    [sym_assert_statement] = STATE(1165),
    [sym_expression_statement] = STATE(1165),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1165),
    [sym_delete_statement] = STATE(1165),
    [sym_raise_statement] = STATE(1165),
    [sym_pass_statement] = STATE(1165),
    [sym_break_statement] = STATE(1165),
    [sym_continue_statement] = STATE(1165),
    [sym_global_statement] = STATE(1165),
    [sym_nonlocal_statement] = STATE(1165),
    [sym_exec_statement] = STATE(1165),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(561),
    [sym__string_start] = ACTIONS(77),
  },
  [137] = {
    [sym_import_statement] = STATE(1165),
    [sym_future_import_statement] = STATE(1165),
    [sym_import_from_statement] = STATE(1165),
    [sym_print_statement] = STATE(1165),
    [sym_assert_statement] = STATE(1165),
    [sym_expression_statement] = STATE(1165),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1165),
    [sym_delete_statement] = STATE(1165),
    [sym_raise_statement] = STATE(1165),
    [sym_pass_statement] = STATE(1165),
    [sym_break_statement] = STATE(1165),
    [sym_continue_statement] = STATE(1165),
    [sym_global_statement] = STATE(1165),
    [sym_nonlocal_statement] = STATE(1165),
    [sym_exec_statement] = STATE(1165),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(563),
    [sym__string_start] = ACTIONS(77),
  },
  [138] = {
    [sym_import_statement] = STATE(1165),
    [sym_future_import_statement] = STATE(1165),
    [sym_import_from_statement] = STATE(1165),
    [sym_print_statement] = STATE(1165),
    [sym_assert_statement] = STATE(1165),
    [sym_expression_statement] = STATE(1165),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1165),
    [sym_delete_statement] = STATE(1165),
    [sym_raise_statement] = STATE(1165),
    [sym_pass_statement] = STATE(1165),
    [sym_break_statement] = STATE(1165),
    [sym_continue_statement] = STATE(1165),
    [sym_global_statement] = STATE(1165),
    [sym_nonlocal_statement] = STATE(1165),
    [sym_exec_statement] = STATE(1165),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(565),
    [sym__string_start] = ACTIONS(77),
  },
  [139] = {
    [sym_import_statement] = STATE(1165),
    [sym_future_import_statement] = STATE(1165),
    [sym_import_from_statement] = STATE(1165),
    [sym_print_statement] = STATE(1165),
    [sym_assert_statement] = STATE(1165),
    [sym_expression_statement] = STATE(1165),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1165),
    [sym_delete_statement] = STATE(1165),
    [sym_raise_statement] = STATE(1165),
    [sym_pass_statement] = STATE(1165),
    [sym_break_statement] = STATE(1165),
    [sym_continue_statement] = STATE(1165),
    [sym_global_statement] = STATE(1165),
    [sym_nonlocal_statement] = STATE(1165),
    [sym_exec_statement] = STATE(1165),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(567),
    [sym__string_start] = ACTIONS(77),
  },
  [140] = {
    [sym_import_statement] = STATE(1165),
    [sym_future_import_statement] = STATE(1165),
    [sym_import_from_statement] = STATE(1165),
    [sym_print_statement] = STATE(1165),
    [sym_assert_statement] = STATE(1165),
    [sym_expression_statement] = STATE(1165),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1165),
    [sym_delete_statement] = STATE(1165),
    [sym_raise_statement] = STATE(1165),
    [sym_pass_statement] = STATE(1165),
    [sym_break_statement] = STATE(1165),
    [sym_continue_statement] = STATE(1165),
    [sym_global_statement] = STATE(1165),
    [sym_nonlocal_statement] = STATE(1165),
    [sym_exec_statement] = STATE(1165),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(569),
    [sym__string_start] = ACTIONS(77),
  },
  [141] = {
    [sym_import_statement] = STATE(1165),
    [sym_future_import_statement] = STATE(1165),
    [sym_import_from_statement] = STATE(1165),
    [sym_print_statement] = STATE(1165),
    [sym_assert_statement] = STATE(1165),
    [sym_expression_statement] = STATE(1165),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1165),
    [sym_delete_statement] = STATE(1165),
    [sym_raise_statement] = STATE(1165),
    [sym_pass_statement] = STATE(1165),
    [sym_break_statement] = STATE(1165),
    [sym_continue_statement] = STATE(1165),
    [sym_global_statement] = STATE(1165),
    [sym_nonlocal_statement] = STATE(1165),
    [sym_exec_statement] = STATE(1165),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(571),
    [sym__string_start] = ACTIONS(77),
  },
  [142] = {
    [sym_import_statement] = STATE(1165),
    [sym_future_import_statement] = STATE(1165),
    [sym_import_from_statement] = STATE(1165),
    [sym_print_statement] = STATE(1165),
    [sym_assert_statement] = STATE(1165),
    [sym_expression_statement] = STATE(1165),
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_return_statement] = STATE(1165),
    [sym_delete_statement] = STATE(1165),
    [sym_raise_statement] = STATE(1165),
    [sym_pass_statement] = STATE(1165),
    [sym_break_statement] = STATE(1165),
    [sym_continue_statement] = STATE(1165),
    [sym_global_statement] = STATE(1165),
    [sym_nonlocal_statement] = STATE(1165),
    [sym_exec_statement] = STATE(1165),
    [sym_pattern] = STATE(818),
    [sym_tuple_pattern] = STATE(799),
    [sym_list_pattern] = STATE(799),
    [sym_list_splat_pattern] = STATE(799),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(907),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_assignment] = STATE(1168),
    [sym_augmented_assignment] = STATE(1168),
    [sym_pattern_list] = STATE(823),
    [sym_yield] = STATE(1168),
    [sym_attribute] = STATE(342),
    [sym_subscript] = STATE(342),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [143] = {
    [sym_named_expression] = STATE(829),
    [sym__named_expresssion_lhs] = STATE(1227),
    [sym_as_pattern] = STATE(829),
    [sym_expression] = STATE(831),
    [sym_primary_expression] = STATE(586),
    [sym_not_operator] = STATE(829),
    [sym_boolean_operator] = STATE(829),
    [sym_binary_operator] = STATE(622),
    [sym_unary_operator] = STATE(622),
    [sym_comparison_operator] = STATE(829),
    [sym_lambda] = STATE(829),
    [sym_attribute] = STATE(622),
    [sym_subscript] = STATE(622),
    [sym_call] = STATE(622),
    [sym_list] = STATE(622),
    [sym_set] = STATE(622),
    [sym_tuple] = STATE(622),
    [sym_dictionary] = STATE(622),
    [sym_list_comprehension] = STATE(622),
    [sym_dictionary_comprehension] = STATE(622),
    [sym_set_comprehension] = STATE(622),
    [sym_generator_expression] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym_conditional_expression] = STATE(829),
    [sym_concatenated_string] = STATE(622),
    [sym_string] = STATE(590),
    [sym_await] = STATE(829),
    [sym_identifier] = ACTIONS(248),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(260),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(264),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_else] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(260),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(260),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_RBRACK] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_type_conversion] = ACTIONS(250),
    [sym_integer] = ACTIONS(287),
    [sym_float] = ACTIONS(283),
    [anon_sym_await] = ACTIONS(289),
    [sym_true] = ACTIONS(287),
    [sym_false] = ACTIONS(287),
    [sym_none] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(291),
  },
  [144] = {
    [sym_named_expression] = STATE(848),
    [sym__named_expresssion_lhs] = STATE(1212),
    [sym_as_pattern] = STATE(848),
    [sym_expression] = STATE(858),
    [sym_primary_expression] = STATE(594),
    [sym_not_operator] = STATE(848),
    [sym_boolean_operator] = STATE(848),
    [sym_binary_operator] = STATE(690),
    [sym_unary_operator] = STATE(690),
    [sym_comparison_operator] = STATE(848),
    [sym_lambda] = STATE(848),
    [sym_attribute] = STATE(690),
    [sym_subscript] = STATE(690),
    [sym_call] = STATE(690),
    [sym_list] = STATE(690),
    [sym_set] = STATE(690),
    [sym_tuple] = STATE(690),
    [sym_dictionary] = STATE(690),
    [sym_list_comprehension] = STATE(690),
    [sym_dictionary_comprehension] = STATE(690),
    [sym_set_comprehension] = STATE(690),
    [sym_generator_expression] = STATE(690),
    [sym_parenthesized_expression] = STATE(690),
    [sym_conditional_expression] = STATE(848),
    [sym_concatenated_string] = STATE(690),
    [sym_string] = STATE(593),
    [sym_await] = STATE(848),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(583),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_async] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(593),
    [sym_ellipsis] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(597),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_integer] = ACTIONS(599),
    [sym_float] = ACTIONS(595),
    [anon_sym_await] = ACTIONS(601),
    [sym_true] = ACTIONS(599),
    [sym_false] = ACTIONS(599),
    [sym_none] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(603),
  },
  [145] = {
    [sym_named_expression] = STATE(887),
    [sym__named_expresssion_lhs] = STATE(1244),
    [sym_as_pattern] = STATE(887),
    [sym_expression] = STATE(878),
    [sym_primary_expression] = STATE(621),
    [sym_not_operator] = STATE(887),
    [sym_boolean_operator] = STATE(887),
    [sym_binary_operator] = STATE(755),
    [sym_unary_operator] = STATE(755),
    [sym_comparison_operator] = STATE(887),
    [sym_lambda] = STATE(887),
    [sym_attribute] = STATE(755),
    [sym_subscript] = STATE(755),
    [sym_call] = STATE(755),
    [sym_list] = STATE(755),
    [sym_set] = STATE(755),
    [sym_tuple] = STATE(755),
    [sym_dictionary] = STATE(755),
    [sym_list_comprehension] = STATE(755),
    [sym_dictionary_comprehension] = STATE(755),
    [sym_set_comprehension] = STATE(755),
    [sym_generator_expression] = STATE(755),
    [sym_parenthesized_expression] = STATE(755),
    [sym_conditional_expression] = STATE(887),
    [sym_concatenated_string] = STATE(755),
    [sym_string] = STATE(629),
    [sym_await] = STATE(887),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_from] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(301),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(77),
  },
  [146] = {
    [sym_named_expression] = STATE(848),
    [sym__named_expresssion_lhs] = STATE(1212),
    [sym_as_pattern] = STATE(848),
    [sym_expression] = STATE(858),
    [sym_primary_expression] = STATE(594),
    [sym_not_operator] = STATE(848),
    [sym_boolean_operator] = STATE(848),
    [sym_binary_operator] = STATE(690),
    [sym_unary_operator] = STATE(690),
    [sym_comparison_operator] = STATE(848),
    [sym_lambda] = STATE(848),
    [sym_attribute] = STATE(690),
    [sym_subscript] = STATE(690),
    [sym_call] = STATE(690),
    [sym_list] = STATE(690),
    [sym_set] = STATE(690),
    [sym_tuple] = STATE(690),
    [sym_dictionary] = STATE(690),
    [sym_list_comprehension] = STATE(690),
    [sym_dictionary_comprehension] = STATE(690),
    [sym_set_comprehension] = STATE(690),
    [sym_generator_expression] = STATE(690),
    [sym_parenthesized_expression] = STATE(690),
    [sym_conditional_expression] = STATE(848),
    [sym_concatenated_string] = STATE(690),
    [sym_string] = STATE(593),
    [sym_await] = STATE(848),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(257),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(583),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(593),
    [sym_ellipsis] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(597),
    [sym_integer] = ACTIONS(599),
    [sym_float] = ACTIONS(595),
    [anon_sym_await] = ACTIONS(601),
    [sym_true] = ACTIONS(599),
    [sym_false] = ACTIONS(599),
    [sym_none] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(603),
  },
  [147] = {
    [sym_named_expression] = STATE(848),
    [sym__named_expresssion_lhs] = STATE(1212),
    [sym_as_pattern] = STATE(848),
    [sym_expression] = STATE(858),
    [sym_primary_expression] = STATE(594),
    [sym_not_operator] = STATE(848),
    [sym_boolean_operator] = STATE(848),
    [sym_binary_operator] = STATE(690),
    [sym_unary_operator] = STATE(690),
    [sym_comparison_operator] = STATE(848),
    [sym_lambda] = STATE(848),
    [sym_attribute] = STATE(690),
    [sym_subscript] = STATE(690),
    [sym_call] = STATE(690),
    [sym_list] = STATE(690),
    [sym_set] = STATE(690),
    [sym_tuple] = STATE(690),
    [sym_dictionary] = STATE(690),
    [sym_list_comprehension] = STATE(690),
    [sym_dictionary_comprehension] = STATE(690),
    [sym_set_comprehension] = STATE(690),
    [sym_generator_expression] = STATE(690),
    [sym_parenthesized_expression] = STATE(690),
    [sym_conditional_expression] = STATE(848),
    [sym_concatenated_string] = STATE(690),
    [sym_string] = STATE(593),
    [sym_await] = STATE(848),
    [sym_identifier] = ACTIONS(579),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(581),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(583),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(585),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(583),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(583),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(587),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_not] = ACTIONS(589),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(591),
    [anon_sym_DASH] = ACTIONS(591),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(591),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(593),
    [sym_ellipsis] = ACTIONS(595),
    [anon_sym_LBRACE] = ACTIONS(597),
    [sym_integer] = ACTIONS(599),
    [sym_float] = ACTIONS(595),
    [anon_sym_await] = ACTIONS(601),
    [sym_true] = ACTIONS(599),
    [sym_false] = ACTIONS(599),
    [sym_none] = ACTIONS(599),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(603),
  },
  [148] = {
    [sym_named_expression] = STATE(829),
    [sym__named_expresssion_lhs] = STATE(1227),
    [sym_as_pattern] = STATE(829),
    [sym_expression] = STATE(831),
    [sym_primary_expression] = STATE(586),
    [sym_not_operator] = STATE(829),
    [sym_boolean_operator] = STATE(829),
    [sym_binary_operator] = STATE(622),
    [sym_unary_operator] = STATE(622),
    [sym_comparison_operator] = STATE(829),
    [sym_lambda] = STATE(829),
    [sym_attribute] = STATE(622),
    [sym_subscript] = STATE(622),
    [sym_call] = STATE(622),
    [sym_list] = STATE(622),
    [sym_set] = STATE(622),
    [sym_tuple] = STATE(622),
    [sym_dictionary] = STATE(622),
    [sym_list_comprehension] = STATE(622),
    [sym_dictionary_comprehension] = STATE(622),
    [sym_set_comprehension] = STATE(622),
    [sym_generator_expression] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym_conditional_expression] = STATE(829),
    [sym_concatenated_string] = STATE(622),
    [sym_string] = STATE(590),
    [sym_await] = STATE(829),
    [sym_identifier] = ACTIONS(248),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(260),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(264),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(260),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(260),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_EQ] = ACTIONS(605),
    [anon_sym_not] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_integer] = ACTIONS(287),
    [sym_float] = ACTIONS(283),
    [anon_sym_await] = ACTIONS(289),
    [sym_true] = ACTIONS(287),
    [sym_false] = ACTIONS(287),
    [sym_none] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(291),
  },
  [149] = {
    [sym_named_expression] = STATE(829),
    [sym__named_expresssion_lhs] = STATE(1227),
    [sym_as_pattern] = STATE(829),
    [sym_expression] = STATE(831),
    [sym_primary_expression] = STATE(586),
    [sym_not_operator] = STATE(829),
    [sym_boolean_operator] = STATE(829),
    [sym_binary_operator] = STATE(622),
    [sym_unary_operator] = STATE(622),
    [sym_comparison_operator] = STATE(829),
    [sym_lambda] = STATE(829),
    [sym_attribute] = STATE(622),
    [sym_subscript] = STATE(622),
    [sym_call] = STATE(622),
    [sym_list] = STATE(622),
    [sym_set] = STATE(622),
    [sym_tuple] = STATE(622),
    [sym_dictionary] = STATE(622),
    [sym_list_comprehension] = STATE(622),
    [sym_dictionary_comprehension] = STATE(622),
    [sym_set_comprehension] = STATE(622),
    [sym_generator_expression] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym_conditional_expression] = STATE(829),
    [sym_concatenated_string] = STATE(622),
    [sym_string] = STATE(590),
    [sym_await] = STATE(829),
    [sym_identifier] = ACTIONS(248),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(573),
    [anon_sym_RPAREN] = ACTIONS(607),
    [anon_sym_COMMA] = ACTIONS(607),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(260),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(264),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(260),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(260),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(575),
    [anon_sym_RBRACK] = ACTIONS(607),
    [anon_sym_not] = ACTIONS(577),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_integer] = ACTIONS(287),
    [sym_float] = ACTIONS(283),
    [anon_sym_await] = ACTIONS(289),
    [sym_true] = ACTIONS(287),
    [sym_false] = ACTIONS(287),
    [sym_none] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(291),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(610), 1,
      sym_identifier,
    ACTIONS(612), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_STAR,
    ACTIONS(618), 1,
      anon_sym_match,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(622), 1,
      anon_sym_RBRACK,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(626), 1,
      anon_sym_await,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(851), 1,
      sym_expression,
    STATE(1042), 1,
      sym_pattern,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1268), 1,
      sym__collection_elements,
    STATE(1274), 1,
      sym__patterns,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(778), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(616), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [120] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      anon_sym_match,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(818), 1,
      sym_pattern,
    STATE(823), 1,
      sym_pattern_list,
    STATE(897), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(342), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1158), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [236] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(610), 1,
      sym_identifier,
    ACTIONS(612), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_STAR,
    ACTIONS(618), 1,
      anon_sym_match,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(626), 1,
      anon_sym_await,
    ACTIONS(628), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(859), 1,
      sym_expression,
    STATE(1042), 1,
      sym_pattern,
    STATE(1056), 1,
      sym_yield,
    STATE(1211), 1,
      sym__patterns,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1216), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(778), 2,
      sym_attribute,
      sym_subscript,
    STATE(1000), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(616), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [358] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(610), 1,
      sym_identifier,
    ACTIONS(612), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_STAR,
    ACTIONS(618), 1,
      anon_sym_match,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(626), 1,
      anon_sym_await,
    ACTIONS(630), 1,
      anon_sym_RBRACK,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(840), 1,
      sym_expression,
    STATE(1042), 1,
      sym_pattern,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1230), 1,
      sym__collection_elements,
    STATE(1274), 1,
      sym__patterns,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(778), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(616), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [478] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(610), 1,
      sym_identifier,
    ACTIONS(612), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_STAR,
    ACTIONS(618), 1,
      anon_sym_match,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(626), 1,
      anon_sym_await,
    ACTIONS(632), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(859), 1,
      sym_expression,
    STATE(1042), 1,
      sym_pattern,
    STATE(1056), 1,
      sym_yield,
    STATE(1073), 1,
      sym_list_splat,
    STATE(1075), 1,
      sym_parenthesized_list_splat,
    STATE(1211), 1,
      sym__patterns,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1216), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(778), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(616), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [602] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      anon_sym_match,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(818), 1,
      sym_pattern,
    STATE(823), 1,
      sym_pattern_list,
    STATE(897), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(342), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1162), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [718] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(610), 1,
      sym_identifier,
    ACTIONS(612), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_STAR,
    ACTIONS(618), 1,
      anon_sym_match,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(626), 1,
      anon_sym_await,
    ACTIONS(634), 1,
      anon_sym_RBRACK,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(840), 1,
      sym_expression,
    STATE(1042), 1,
      sym_pattern,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1230), 1,
      sym__collection_elements,
    STATE(1274), 1,
      sym__patterns,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(778), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(616), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [838] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      anon_sym_match,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(818), 1,
      sym_pattern,
    STATE(823), 1,
      sym_pattern_list,
    STATE(897), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(342), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1159), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [954] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(610), 1,
      sym_identifier,
    ACTIONS(612), 1,
      anon_sym_LPAREN,
    ACTIONS(614), 1,
      anon_sym_STAR,
    ACTIONS(618), 1,
      anon_sym_match,
    ACTIONS(620), 1,
      anon_sym_LBRACK,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(626), 1,
      anon_sym_await,
    ACTIONS(636), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_expression,
    STATE(1042), 1,
      sym_pattern,
    STATE(1119), 1,
      sym_yield,
    STATE(1211), 1,
      sym__patterns,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1238), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(778), 2,
      sym_attribute,
      sym_subscript,
    STATE(1000), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(616), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1076] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(640), 1,
      anon_sym_COMMA,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(646), 1,
      anon_sym_RBRACE,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(839), 1,
      sym_expression,
    STATE(943), 1,
      sym_pair,
    STATE(1111), 1,
      sym_dictionary_splat,
    STATE(1184), 1,
      sym__collection_elements,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1195] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(648), 1,
      anon_sym_COMMA,
    ACTIONS(650), 1,
      anon_sym_RBRACE,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(830), 1,
      sym_expression,
    STATE(920), 1,
      sym_pair,
    STATE(1110), 1,
      sym_dictionary_splat,
    STATE(1185), 1,
      sym__collection_elements,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1314] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(652), 1,
      anon_sym_COMMA,
    ACTIONS(654), 1,
      anon_sym_RBRACE,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(837), 1,
      sym_expression,
    STATE(919), 1,
      sym_pair,
    STATE(1053), 1,
      sym_dictionary_splat,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1261), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1433] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_STAR,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(668), 1,
      anon_sym_in,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    ACTIONS(674), 1,
      anon_sym_TILDE,
    STATE(593), 1,
      sym_string,
    STATE(800), 1,
      sym_pattern,
    STATE(805), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(672), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
    ACTIONS(666), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1534] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(660), 1,
      anon_sym_STAR,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    ACTIONS(674), 1,
      anon_sym_TILDE,
    ACTIONS(678), 1,
      anon_sym_in,
    STATE(593), 1,
      sym_string,
    STATE(800), 1,
      sym_pattern,
    STATE(805), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(672), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
    ACTIONS(676), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [1635] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(899), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(682), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(1011), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1741] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(688), 1,
      anon_sym_RPAREN,
    ACTIONS(690), 1,
      anon_sym_COMMA,
    ACTIONS(694), 1,
      anon_sym_match,
    ACTIONS(696), 1,
      anon_sym_await,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(854), 1,
      sym_expression,
    STATE(1091), 1,
      sym_parenthesized_list_splat,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(692), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1094), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1851] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_match,
    ACTIONS(696), 1,
      anon_sym_await,
    ACTIONS(698), 1,
      anon_sym_RPAREN,
    ACTIONS(700), 1,
      anon_sym_COMMA,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(847), 1,
      sym_expression,
    STATE(1079), 1,
      sym_parenthesized_list_splat,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(692), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1126), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1961] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(899), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(702), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(1011), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2067] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(686), 1,
      sym_identifier,
    ACTIONS(694), 1,
      anon_sym_match,
    ACTIONS(696), 1,
      anon_sym_await,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(706), 1,
      anon_sym_COMMA,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(841), 1,
      sym_expression,
    STATE(1083), 1,
      sym_parenthesized_list_splat,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(692), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1082), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2177] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(704), 1,
      anon_sym_RPAREN,
    ACTIONS(706), 1,
      anon_sym_COMMA,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(918), 1,
      sym_expression,
    STATE(1083), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1082), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2287] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(716), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(850), 1,
      sym_expression,
    STATE(1092), 1,
      sym_with_item,
    STATE(1112), 1,
      sym_yield,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1213), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1000), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2399] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(718), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2506] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(720), 1,
      anon_sym_RBRACK,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(856), 1,
      sym_expression,
    STATE(1178), 1,
      sym__collection_elements,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2613] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(722), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(859), 1,
      sym_expression,
    STATE(1056), 1,
      sym_yield,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1216), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1000), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2722] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(861), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(927), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(724), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(726), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2825] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(716), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(859), 1,
      sym_expression,
    STATE(1056), 1,
      sym_yield,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1216), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1000), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2934] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(720), 1,
      anon_sym_RBRACK,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(840), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1230), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3041] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3148] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3255] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(734), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3362] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(736), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3469] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(738), 1,
      anon_sym_RBRACK,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(840), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1230), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3576] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(861), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(927), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(740), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(742), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3679] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(744), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3786] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(716), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(855), 1,
      sym_expression,
    STATE(1073), 1,
      sym_list_splat,
    STATE(1075), 1,
      sym_parenthesized_list_splat,
    STATE(1112), 1,
      sym_yield,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1213), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3897] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(746), 1,
      anon_sym_RBRACK,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(851), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1268), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1000), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4004] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(748), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(843), 1,
      sym_expression,
    STATE(1119), 1,
      sym_yield,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1238), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1000), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4113] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(861), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(927), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(750), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(752), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4216] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(716), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(855), 1,
      sym_expression,
    STATE(1112), 1,
      sym_yield,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1213), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(1000), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4325] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(754), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4432] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(756), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4539] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(638), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    ACTIONS(722), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(859), 1,
      sym_expression,
    STATE(1056), 1,
      sym_yield,
    STATE(1073), 1,
      sym_list_splat,
    STATE(1075), 1,
      sym_parenthesized_list_splat,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    STATE(1216), 1,
      sym__collection_elements,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4650] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(758), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4757] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(760), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4864] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(762), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4971] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    ACTIONS(764), 1,
      anon_sym_RPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5078] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(861), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(583), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(927), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(766), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    ACTIONS(768), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5181] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(642), 1,
      anon_sym_STAR,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(708), 1,
      sym_identifier,
    ACTIONS(712), 1,
      anon_sym_match,
    ACTIONS(714), 1,
      anon_sym_await,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(962), 1,
      sym_expression,
    STATE(1156), 1,
      sym_parenthesized_list_splat,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(710), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1157), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5285] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(770), 1,
      anon_sym_from,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(884), 1,
      sym_expression,
    STATE(1010), 1,
      sym_expression_list,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(772), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5387] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(774), 1,
      anon_sym_if,
    ACTIONS(776), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(952), 1,
      sym_expression,
    STATE(1049), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1262), 1,
      sym_if_clause,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5492] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(876), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(778), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5589] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(624), 1,
      anon_sym_yield,
    ACTIONS(680), 1,
      anon_sym_LPAREN,
    ACTIONS(684), 1,
      anon_sym_STAR,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(899), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1011), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5690] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(774), 1,
      anon_sym_if,
    ACTIONS(780), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(952), 1,
      sym_expression,
    STATE(1049), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1263), 1,
      sym_if_clause,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5795] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(774), 1,
      anon_sym_if,
    ACTIONS(782), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(952), 1,
      sym_expression,
    STATE(1049), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1285), 1,
      sym_if_clause,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5900] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(774), 1,
      anon_sym_if,
    ACTIONS(784), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(952), 1,
      sym_expression,
    STATE(1049), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1250), 1,
      sym_if_clause,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6005] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(774), 1,
      anon_sym_if,
    ACTIONS(786), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(952), 1,
      sym_expression,
    STATE(1049), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1257), 1,
      sym_if_clause,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6110] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(876), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(788), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6207] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(774), 1,
      anon_sym_if,
    ACTIONS(790), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(952), 1,
      sym_expression,
    STATE(1049), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1256), 1,
      sym_if_clause,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6312] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(792), 1,
      anon_sym_RBRACE,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(989), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1176), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6412] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(794), 1,
      anon_sym_RBRACE,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(989), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1176), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6512] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(989), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1176), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6612] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(989), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1176), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6712] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(989), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1176), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6812] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(802), 1,
      anon_sym_from,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(898), 1,
      sym_expression,
    STATE(1170), 1,
      sym_expression_list,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(772), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6912] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_RBRACE,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(989), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1176), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7012] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(808), 1,
      anon_sym_from,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(886), 1,
      sym_expression,
    STATE(1133), 1,
      sym_expression_list,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(806), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 17,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
  [7171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 17,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(814), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
  [7230] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(820), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7329] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(822), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7428] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(900), 1,
      sym_expression,
    STATE(1148), 1,
      sym_expression_list,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(824), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 17,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
  [7584] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(830), 1,
      anon_sym_from,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(890), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(778), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7681] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(832), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 17,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
  [7839] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(644), 1,
      anon_sym_STAR_STAR,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(989), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1176), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7936] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(834), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8035] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(836), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8134] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(840), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(934), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(838), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8231] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(844), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(916), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(842), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8328] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(846), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(266), 1,
      anon_sym_EQ,
    ACTIONS(848), 1,
      anon_sym_for,
    ACTIONS(850), 1,
      anon_sym_with,
    ACTIONS(852), 1,
      anon_sym_def,
    ACTIONS(281), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [8498] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(854), 1,
      anon_sym_from,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(890), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(788), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8595] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(856), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 17,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(858), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
  [8753] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(862), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8852] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    ACTIONS(864), 1,
      anon_sym_RBRACK,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 17,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(866), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
  [9010] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(266), 1,
      anon_sym_EQ,
    ACTIONS(870), 1,
      anon_sym_for,
    ACTIONS(872), 1,
      anon_sym_with,
    ACTIONS(874), 1,
      anon_sym_def,
    ACTIONS(281), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [9081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 17,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(866), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_RBRACE,
  [9140] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(876), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(936), 1,
      sym_expression,
    STATE(1135), 1,
      sym_with_item,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1228), 1,
      sym_with_clause,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9236] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(895), 1,
      sym_expression,
    STATE(977), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9332] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    ACTIONS(884), 1,
      anon_sym_except,
    ACTIONS(886), 1,
      anon_sym_finally,
    STATE(429), 1,
      sym_else_clause,
    STATE(509), 1,
      sym_finally_clause,
    STATE(348), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(880), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(878), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [9402] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(876), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(936), 1,
      sym_expression,
    STATE(1135), 1,
      sym_with_item,
    STATE(1199), 1,
      sym_with_clause,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9498] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(913), 1,
      sym_expression,
    STATE(1131), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9594] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(956), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(888), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9688] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(930), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(890), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9782] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(861), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(896), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9876] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(890), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(892), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9970] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(930), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(894), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10064] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    ACTIONS(898), 1,
      anon_sym_except,
    ACTIONS(900), 1,
      anon_sym_finally,
    STATE(418), 1,
      sym_else_clause,
    STATE(553), 1,
      sym_finally_clause,
    STATE(320), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(880), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(878), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [10134] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(894), 1,
      sym_expression,
    STATE(1089), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10230] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(933), 1,
      sym_expression,
    STATE(1154), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10326] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(890), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(902), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10420] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(861), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(927), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10514] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    ACTIONS(884), 1,
      anon_sym_except,
    ACTIONS(886), 1,
      anon_sym_finally,
    STATE(415), 1,
      sym_else_clause,
    STATE(566), 1,
      sym_finally_clause,
    STATE(348), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(906), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [10584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(969), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(842), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10678] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(876), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(936), 1,
      sym_expression,
    STATE(1135), 1,
      sym_with_item,
    STATE(1209), 1,
      sym_with_clause,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10774] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(945), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(908), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10868] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(876), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(936), 1,
      sym_expression,
    STATE(1135), 1,
      sym_with_item,
    STATE(1222), 1,
      sym_with_clause,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10964] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    ACTIONS(898), 1,
      anon_sym_except,
    ACTIONS(900), 1,
      anon_sym_finally,
    STATE(425), 1,
      sym_else_clause,
    STATE(525), 1,
      sym_finally_clause,
    STATE(320), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(906), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [11034] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(865), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(929), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11128] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(930), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(910), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11222] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(818), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(893), 1,
      sym_expression,
    STATE(1086), 1,
      sym_slice,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11318] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(930), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(912), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11412] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(869), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(926), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11506] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(902), 1,
      sym_expression,
    STATE(987), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(266), 1,
      anon_sym_EQ,
    ACTIONS(914), 1,
      sym__string_start,
    STATE(1130), 1,
      sym_string,
    ACTIONS(281), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [11670] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(728), 1,
      anon_sym_lambda,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(861), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(910), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11764] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(952), 1,
      sym_expression,
    STATE(1049), 1,
      sym_list_splat_pattern,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11860] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(914), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1235), 1,
      sym_type,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11953] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(940), 1,
      sym_expression,
    STATE(1179), 1,
      sym_expression_list,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12046] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(914), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1249), 1,
      sym_type,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [12196] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(903), 1,
      sym_expression,
    STATE(1146), 1,
      sym_expression_list,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [12346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(814), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [12403] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(916), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(966), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12496] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(918), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(963), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12589] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(914), 1,
      sym_expression,
    STATE(1107), 1,
      sym_type,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12682] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(920), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(960), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12775] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(914), 1,
      sym_expression,
    STATE(1046), 1,
      sym_type,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12868] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(917), 1,
      sym_expression,
    STATE(1226), 1,
      sym_expression_list,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12961] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(935), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1240), 1,
      sym_expression_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(866), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13111] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(925), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1255), 1,
      sym_expression_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13204] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(914), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1243), 1,
      sym_type,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13354] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_COMMA,
    ACTIONS(929), 1,
      anon_sym_COLON_EQ,
    ACTIONS(931), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(933), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(927), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [13419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(866), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(858), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [13533] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(266), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(281), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [13598] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(935), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(960), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13691] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(914), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    STATE(1259), 1,
      sym_type,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13784] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(937), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(960), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13877] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(939), 1,
      anon_sym_COLON,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(960), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13970] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(942), 1,
      sym_expression,
    STATE(1115), 1,
      sym_type,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14063] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(936), 1,
      sym_expression,
    STATE(1128), 1,
      sym_with_item,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14156] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(985), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(943), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [14302] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(890), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14392] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(838), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14482] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(1004), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(943), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [14628] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(833), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14718] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(834), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14808] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(836), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14898] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(957), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14988] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(876), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15078] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(949), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15168] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(832), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(945), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [15314] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(928), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15404] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(266), 1,
      anon_sym_EQ,
    ACTIONS(281), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [15466] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(904), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15556] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(968), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15646] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(965), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(949), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [15792] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(999), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(953), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [15938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(961), 1,
      anon_sym_except,
    STATE(320), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(957), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(959), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [15998] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(970), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16088] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(835), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16178] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(881), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16268] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(915), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16358] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(986), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16448] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(972), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16538] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(954), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16628] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(882), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16718] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(955), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(953), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [16864] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(845), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    ACTIONS(968), 1,
      anon_sym_elif,
    STATE(374), 1,
      aux_sym_if_statement_repeat1,
    STATE(431), 1,
      sym_elif_clause,
    STATE(534), 1,
      sym_else_clause,
    ACTIONS(964), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(966), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [17020] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(992), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17110] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(842), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17200] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    ACTIONS(974), 1,
      anon_sym_elif,
    STATE(383), 1,
      aux_sym_if_statement_repeat1,
    STATE(432), 1,
      sym_elif_clause,
    STATE(563), 1,
      sym_else_clause,
    ACTIONS(972), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(970), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [17266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    ACTIONS(968), 1,
      anon_sym_elif,
    STATE(384), 1,
      aux_sym_if_statement_repeat1,
    STATE(431), 1,
      sym_elif_clause,
    STATE(532), 1,
      sym_else_clause,
    ACTIONS(976), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(978), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [17332] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(892), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17422] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(994), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17512] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(950), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17602] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(998), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17692] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(1008), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_COMMA,
    ACTIONS(931), 1,
      anon_sym_EQ,
    ACTIONS(933), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(927), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [17844] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(960), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(982), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [17990] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(877), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18080] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(978), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 1,
      anon_sym_COMMA,
    ACTIONS(993), 1,
      anon_sym_EQ,
    ACTIONS(991), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(989), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [18232] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 1,
      anon_sym_except,
    STATE(348), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(957), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(959), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [18292] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    ACTIONS(998), 1,
      sym_identifier,
    ACTIONS(1002), 1,
      anon_sym_await,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(909), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(788), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1000), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18384] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(828), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18474] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(872), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18564] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(889), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18654] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(827), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18744] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(938), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18834] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(873), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18924] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    ACTIONS(974), 1,
      anon_sym_elif,
    STATE(335), 1,
      aux_sym_if_statement_repeat1,
    STATE(432), 1,
      sym_elif_clause,
    STATE(530), 1,
      sym_else_clause,
    ACTIONS(964), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(966), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [18990] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(879), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19080] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(888), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19170] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(941), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    ACTIONS(974), 1,
      anon_sym_elif,
    STATE(383), 1,
      aux_sym_if_statement_repeat1,
    STATE(432), 1,
      sym_elif_clause,
    STATE(533), 1,
      sym_else_clause,
    ACTIONS(976), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(978), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [19326] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(953), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    ACTIONS(968), 1,
      anon_sym_elif,
    STATE(336), 1,
      aux_sym_if_statement_repeat1,
    STATE(431), 1,
      sym_elif_clause,
    STATE(529), 1,
      sym_else_clause,
    ACTIONS(1004), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1006), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [19482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      anon_sym_COMMA,
    ACTIONS(1017), 1,
      anon_sym_EQ,
    ACTIONS(1015), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1013), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [19544] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(883), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19634] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(853), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    ACTIONS(974), 1,
      anon_sym_elif,
    STATE(360), 1,
      aux_sym_if_statement_repeat1,
    STATE(432), 1,
      sym_elif_clause,
    STATE(579), 1,
      sym_else_clause,
    ACTIONS(1004), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1006), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [19790] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(930), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19880] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(846), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19970] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(990), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(945), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [20116] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(621), 1,
      sym_primary_expression,
    STATE(629), 1,
      sym_string,
    STATE(874), 1,
      sym_expression,
    STATE(1244), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(887), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20206] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(995), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20296] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(844), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    ACTIONS(968), 1,
      anon_sym_elif,
    STATE(384), 1,
      aux_sym_if_statement_repeat1,
    STATE(431), 1,
      sym_elif_clause,
    STATE(548), 1,
      sym_else_clause,
    ACTIONS(972), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(970), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [20452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(982), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [20508] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(849), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20598] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(852), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20688] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(909), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20778] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(891), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20868] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(579), 1,
      sym_identifier,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(585), 1,
      anon_sym_match,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(589), 1,
      anon_sym_not,
    ACTIONS(593), 1,
      anon_sym_lambda,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(601), 1,
      anon_sym_await,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(593), 1,
      sym_string,
    STATE(594), 1,
      sym_primary_expression,
    STATE(857), 1,
      sym_expression,
    STATE(1212), 1,
      sym__named_expresssion_lhs,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(583), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(848), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20958] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(577), 1,
      anon_sym_not,
    STATE(586), 1,
      sym_primary_expression,
    STATE(590), 1,
      sym_string,
    STATE(921), 1,
      sym_expression,
    STATE(1227), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(829), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(949), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21104] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 1,
      anon_sym_elif,
    STATE(383), 1,
      aux_sym_if_statement_repeat1,
    STATE(432), 1,
      sym_elif_clause,
    ACTIONS(1021), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1019), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1026), 1,
      anon_sym_elif,
    STATE(384), 1,
      aux_sym_if_statement_repeat1,
    STATE(431), 1,
      sym_elif_clause,
    ACTIONS(1021), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1019), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_case,
    STATE(390), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1029), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1031), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_case,
    STATE(404), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1037), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1035), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_case,
    STATE(404), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1043), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1041), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_case,
    STATE(398), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1037), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1035), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_case,
    STATE(400), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1045), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1047), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_case,
    STATE(398), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1043), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1041), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1049), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1055), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_case,
    STATE(386), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1059), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1057), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_case,
    STATE(404), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1063), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1061), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21814] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_case,
    STATE(388), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1059), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1057), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21874] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_case,
    STATE(387), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1029), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1031), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_case,
    STATE(398), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1063), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1061), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [21994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_case,
    STATE(398), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1065), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1067), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1072), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_case,
    STATE(398), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1076), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1078), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22168] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_case,
    STATE(402), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1045), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1047), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_case,
    STATE(404), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1076), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1078), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1072), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22342] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_case,
    STATE(404), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1065), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1067), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1085), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22456] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1089), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1055), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1093), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1089), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1085), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1093), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22780] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      anon_sym_case,
    STATE(394), 1,
      aux_sym_match_statement_repeat2,
    STATE(485), 1,
      sym_case_clause,
    ACTIONS(1097), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1095), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1049), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym_case,
    STATE(397), 1,
      aux_sym_match_statement_repeat2,
    STATE(455), 1,
      sym_case_clause,
    ACTIONS(1097), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1095), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_finally,
    STATE(512), 1,
      sym_finally_clause,
    ACTIONS(1101), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1099), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23011] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    STATE(527), 1,
      sym_else_clause,
    ACTIONS(1103), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1105), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1107), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_finally,
    STATE(515), 1,
      sym_finally_clause,
    ACTIONS(1111), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1113), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    STATE(578), 1,
      sym_else_clause,
    ACTIONS(1117), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1115), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1119), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1109), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1107), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23341] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    STATE(535), 1,
      sym_else_clause,
    ACTIONS(1117), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1115), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    STATE(573), 1,
      sym_else_clause,
    ACTIONS(1125), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1123), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23455] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    STATE(510), 1,
      sym_else_clause,
    ACTIONS(1129), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1127), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23512] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(900), 1,
      anon_sym_finally,
    STATE(551), 1,
      sym_finally_clause,
    ACTIONS(1101), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1099), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    STATE(543), 1,
      sym_else_clause,
    ACTIONS(1131), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1133), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    STATE(539), 1,
      sym_else_clause,
    ACTIONS(1135), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1137), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1119), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 1,
      anon_sym_finally,
    STATE(536), 1,
      sym_finally_clause,
    ACTIONS(1111), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1113), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    STATE(572), 1,
      sym_else_clause,
    ACTIONS(1103), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1105), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1141), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1139), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1141), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [23956] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    STATE(560), 1,
      sym_else_clause,
    ACTIONS(1135), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1137), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24013] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 1,
      anon_sym_else,
    STATE(522), 1,
      sym_else_clause,
    ACTIONS(1131), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1133), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24070] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    STATE(561), 1,
      sym_else_clause,
    ACTIONS(1129), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1127), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(896), 1,
      anon_sym_else,
    STATE(565), 1,
      sym_else_clause,
    ACTIONS(1125), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1123), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1143), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1147), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1151), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1155), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1161), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1155), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1163), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1167), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1171), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1161), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1143), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1179), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1185), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1183), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1185), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [24964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1189), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25016] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1167), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1143), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1193), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1161), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1149), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1147), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1197), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1171), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1197), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1161), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1143), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1179), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1155), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1163), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1197), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1179), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1195), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1197), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1199), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1187), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1189), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1155), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1155), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1143), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1155), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1205), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1143), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1151), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1167), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1179), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1155), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1191), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1193), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1209), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1143), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1213), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1211), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1213), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1145), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1143), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1169), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1167), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1201), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1199), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1215), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1207), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1209), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1217), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1215), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1161), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1161), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1161), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1161), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1151), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1153), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1151), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1205), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1155), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1177), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1175), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1221), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1223), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1113), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1227), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1233), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1235), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1241), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1245), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1249), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1253), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1239), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1241), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1223), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1257), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1261), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1263), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1267), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28640] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1271), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(878), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1099), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1275), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1281), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1285), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1289), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1291), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29048] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(800), 1,
      sym_pattern,
    STATE(805), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1295), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1299), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1299), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1291), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29284] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1303), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1249), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1275), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1271), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1307), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1245), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1309), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1315), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1269), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1267), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1253), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1255), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1257), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1233), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1317), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1323), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1265), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1263), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1261), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1235), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(880), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(878), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1113), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1327), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30304] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(800), 1,
      sym_pattern,
    STATE(805), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1329), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1333), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1327), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1337), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1319), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1317), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1307), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1227), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1315), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1323), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1333), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1341), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1099), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1345), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1309), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1221), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1343), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1345), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1281), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1341), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(906), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(904), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31356] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    ACTIONS(1347), 1,
      anon_sym_RPAREN,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    STATE(1042), 1,
      sym_pattern,
    STATE(1211), 1,
      sym__patterns,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1337), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1285), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1303), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1289), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31645] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    STATE(1051), 1,
      sym_pattern,
    STATE(1284), 1,
      sym_pattern_list,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31727] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    STATE(1136), 1,
      sym_pattern,
    STATE(1233), 1,
      sym_pattern_list,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31809] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    STATE(1063), 1,
      sym_pattern,
    STATE(1220), 1,
      sym_pattern_list,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31891] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    STATE(1087), 1,
      sym_pattern,
    STATE(1201), 1,
      sym_pattern_list,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31973] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    STATE(1052), 1,
      sym_pattern,
    STATE(1281), 1,
      sym_pattern_list,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32055] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    STATE(1127), 1,
      sym_pattern,
    STATE(1269), 1,
      sym_pattern_list,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32137] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1369), 1,
      anon_sym_not,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1381), 1,
      anon_sym_is,
    STATE(790), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1357), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1363), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1359), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1353), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym__string_start,
    STATE(589), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1385), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32273] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(656), 1,
      sym_identifier,
    ACTIONS(658), 1,
      anon_sym_LPAREN,
    ACTIONS(664), 1,
      anon_sym_match,
    ACTIONS(670), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(800), 1,
      sym_pattern,
    STATE(805), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(754), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(799), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(662), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1391), 1,
      sym__string_start,
    STATE(589), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1389), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32405] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym__string_start,
    STATE(587), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(927), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32458] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1357), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1363), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32526] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 29,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(599), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(927), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [32636] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_as,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1414), 1,
      anon_sym_not,
    ACTIONS(1418), 1,
      anon_sym_PIPE,
    ACTIONS(1420), 1,
      anon_sym_AMP,
    ACTIONS(1422), 1,
      anon_sym_CARET,
    ACTIONS(1426), 1,
      anon_sym_is,
    STATE(793), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1404), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1424), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1410), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1406), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1353), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [32718] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1357), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1363), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1430), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1428), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      sym__string_start,
    STATE(596), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1389), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [32842] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1363), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32906] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 29,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [32964] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      sym__string_start,
    STATE(596), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1385), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [33016] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    ACTIONS(1373), 1,
      anon_sym_PIPE,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1357), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1363), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1437), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1435), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1441), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1439), 29,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1363), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 26,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33208] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    ACTIONS(1375), 1,
      anon_sym_AMP,
    ACTIONS(1377), 1,
      anon_sym_CARET,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1357), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1363), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 1,
      anon_sym_DOT,
    ACTIONS(1351), 1,
      anon_sym_LPAREN,
    ACTIONS(1361), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1365), 1,
      anon_sym_LBRACK,
    ACTIONS(1355), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1357), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1371), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(632), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1363), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33393] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1443), 1,
      sym_identifier,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(709), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1447), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1449), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33466] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1404), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1410), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [33531] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_PIPE,
    ACTIONS(1420), 1,
      anon_sym_AMP,
    ACTIONS(1422), 1,
      anon_sym_CARET,
    ACTIONS(1402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1404), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1410), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1430), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1428), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [33602] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1422), 1,
      anon_sym_CARET,
    ACTIONS(1402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1404), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1410), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [33669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1455), 34,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [33716] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1420), 1,
      anon_sym_AMP,
    ACTIONS(1422), 1,
      anon_sym_CARET,
    ACTIONS(1402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1404), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1410), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [33785] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1410), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [33846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [33903] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1418), 1,
      anon_sym_PIPE,
    ACTIONS(1420), 1,
      anon_sym_AMP,
    ACTIONS(1422), 1,
      anon_sym_CARET,
    ACTIONS(1402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1404), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1410), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1437), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1435), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [33974] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1402), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1416), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1410), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 23,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [34037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [34094] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_COLON_EQ,
    ACTIONS(927), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1459), 34,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34190] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1408), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1441), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1439), 28,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [34247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1463), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34293] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_EQ,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1483), 1,
      anon_sym_not,
    ACTIONS(1487), 1,
      anon_sym_PIPE,
    ACTIONS(1489), 1,
      anon_sym_AMP,
    ACTIONS(1491), 1,
      anon_sym_CARET,
    ACTIONS(1495), 1,
      anon_sym_is,
    STATE(796), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1473), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1493), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1475), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1353), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [34373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1455), 33,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [34465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(641), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1385), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1383), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [34561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [34609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_COLON_EQ,
    ACTIONS(927), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [34657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1497), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(625), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(927), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [34753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1459), 33,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [34845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1501), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1505), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1509), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [34983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1513), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1517), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(858), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1521), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35259] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      sym__string_start,
    STATE(641), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1389), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1387), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(866), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(866), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1528), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1532), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1536), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1540), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(812), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(810), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(816), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(814), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1544), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1548), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1552), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1556), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(828), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(826), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1560), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [35999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1564), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [36045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1568), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [36091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1572), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [36137] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1487), 1,
      anon_sym_PIPE,
    ACTIONS(1489), 1,
      anon_sym_AMP,
    ACTIONS(1491), 1,
      anon_sym_CARET,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1473), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1430), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1428), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36206] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    ACTIONS(1578), 1,
      anon_sym_not,
    STATE(590), 1,
      sym_string,
    STATE(600), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1568), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1560), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1564), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1528), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1556), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1540), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1536), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1509), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36678] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1505), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1463), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [36823] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1487), 1,
      anon_sym_PIPE,
    ACTIONS(1489), 1,
      anon_sym_AMP,
    ACTIONS(1491), 1,
      anon_sym_CARET,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1473), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1437), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1435), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36892] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1473), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [36955] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1489), 1,
      anon_sym_AMP,
    ACTIONS(1491), 1,
      anon_sym_CARET,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1473), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [37022] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 23,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [37081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1501), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1544), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37171] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 21,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [37232] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1491), 1,
      anon_sym_CARET,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1473), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [37297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1572), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37342] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1396), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1394), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [37397] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1580), 1,
      anon_sym_not,
    STATE(593), 1,
      sym_string,
    STATE(614), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1513), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37509] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    ACTIONS(1584), 1,
      anon_sym_not,
    STATE(629), 1,
      sym_string,
    STATE(674), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1552), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1517), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1497), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1521), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1548), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [37981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1532), 32,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [38026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1441), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1439), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [38081] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(592), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_COLON_EQ,
    ACTIONS(924), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(927), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [38193] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(604), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38257] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(697), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38321] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(812), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38385] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(811), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38449] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    ACTIONS(1586), 1,
      sym_identifier,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(802), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1588), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38517] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(810), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38581] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(597), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [38691] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(809), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38755] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(927), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1590), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_COLON_EQ,
    ACTIONS(927), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [38847] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1592), 1,
      anon_sym_EQ,
    ACTIONS(927), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [38895] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [38959] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(600), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39023] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(806), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39087] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(804), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39151] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(601), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39215] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(675), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39279] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(798), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39343] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(681), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39407] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(591), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39471] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(676), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1459), 31,
      sym__newline,
      sym__string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [39579] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(605), 1,
      anon_sym_EQ,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [39627] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1443), 1,
      sym_identifier,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(805), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    STATE(709), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(599), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1449), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(690), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39695] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(603), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39759] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(602), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39823] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(616), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39887] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(615), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [39951] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(614), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40015] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(613), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40079] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(612), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40143] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(611), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40207] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(609), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40271] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(607), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40335] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(598), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(252), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1594), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [40445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(257), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [40493] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(619), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40557] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(677), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40621] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 1,
      anon_sym_LPAREN,
    ACTIONS(587), 1,
      anon_sym_LBRACK,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1451), 1,
      anon_sym_match,
    STATE(593), 1,
      sym_string,
    STATE(608), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(591), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(583), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1455), 31,
      sym__newline,
      sym__string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [40729] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(660), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40793] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      anon_sym_LBRACE,
    ACTIONS(603), 1,
      sym__string_start,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1451), 1,
      anon_sym_match,
    ACTIONS(1453), 1,
      anon_sym_LBRACK,
    STATE(593), 1,
      sym_string,
    STATE(808), 1,
      sym_primary_expression,
    ACTIONS(595), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(674), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(599), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(690), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40857] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(671), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40921] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(674), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [40985] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(680), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [41049] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(573), 1,
      anon_sym_LPAREN,
    ACTIONS(575), 1,
      anon_sym_LBRACK,
    ACTIONS(1576), 1,
      anon_sym_match,
    STATE(590), 1,
      sym_string,
    STATE(595), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(622), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [41113] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1582), 1,
      anon_sym_match,
    STATE(629), 1,
      sym_string,
    STATE(683), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(755), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [41177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(989), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1560), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1501), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(984), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(989), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(991), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(922), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(927), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(933), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [41443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1568), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(984), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1013), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1528), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1509), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1540), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1463), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1505), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1513), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1517), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [41959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1544), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1497), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1572), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1013), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1015), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1548), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1532), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(252), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(281), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1564), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42307] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1013), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1008), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1536), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1552), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42438] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(927), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42526] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1556), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42569] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_EQ,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(252), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(281), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [42659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1521), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42702] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1592), 1,
      anon_sym_EQ,
    ACTIONS(927), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42748] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(929), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1596), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(927), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42794] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(605), 1,
      anon_sym_EQ,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(927), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(922), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42926] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      anon_sym_EQ,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [42969] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_not,
    ACTIONS(1381), 1,
      anon_sym_is,
    ACTIONS(1601), 1,
      anon_sym_EQ,
    STATE(791), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1379), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1359), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1599), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [43010] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_EQ,
    ACTIONS(1610), 1,
      anon_sym_not,
    ACTIONS(1616), 1,
      anon_sym_is,
    STATE(791), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1613), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1605), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1603), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [43051] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_as,
    ACTIONS(1622), 1,
      anon_sym_not,
    ACTIONS(1628), 1,
      anon_sym_is,
    STATE(792), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1625), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1619), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1603), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [43091] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      anon_sym_not,
    ACTIONS(1426), 1,
      anon_sym_is,
    ACTIONS(1601), 1,
      anon_sym_as,
    STATE(792), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1424), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1406), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1599), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [43131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 1,
      anon_sym_COMMA,
    STATE(794), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(1631), 18,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43161] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_EQ,
    ACTIONS(1639), 1,
      anon_sym_not,
    ACTIONS(1645), 1,
      anon_sym_is,
    STATE(795), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1642), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1636), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1603), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [43199] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      anon_sym_not,
    ACTIONS(1495), 1,
      anon_sym_is,
    ACTIONS(1601), 1,
      anon_sym_EQ,
    STATE(795), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1493), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1475), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1599), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [43237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43262] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DOT,
    ACTIONS(1469), 1,
      anon_sym_LPAREN,
    ACTIONS(1477), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1481), 1,
      anon_sym_LBRACK,
    ACTIONS(1487), 1,
      anon_sym_PIPE,
    ACTIONS(1489), 1,
      anon_sym_AMP,
    ACTIONS(1491), 1,
      anon_sym_CARET,
    ACTIONS(1650), 1,
      sym__newline,
    ACTIONS(1471), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1473), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1485), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(752), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1479), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [43311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1631), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43386] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1654), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(922), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [43415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1656), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [43444] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1394), 10,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [43480] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1668), 1,
      anon_sym_PIPE,
    ACTIONS(1670), 1,
      anon_sym_AMP,
    ACTIONS(1672), 1,
      anon_sym_CARET,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1664), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [43526] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1664), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 5,
      anon_sym_GT_GT,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [43566] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1396), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1394), 10,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [43602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1441), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1439), 10,
      anon_sym_GT_GT,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [43638] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1664), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1394), 7,
      anon_sym_GT_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [43676] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1394), 1,
      anon_sym_PIPE,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1670), 1,
      anon_sym_AMP,
    ACTIONS(1672), 1,
      anon_sym_CARET,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1664), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [43722] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1672), 1,
      anon_sym_CARET,
    ACTIONS(1394), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1664), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [43766] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_DOT,
    ACTIONS(1400), 1,
      anon_sym_LPAREN,
    ACTIONS(1412), 1,
      anon_sym_LBRACK,
    ACTIONS(1658), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1660), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1662), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1666), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(678), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1394), 3,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
    ACTIONS(1664), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [43808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 1,
      anon_sym_COMMA,
    STATE(794), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(676), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [43836] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_identifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1682), 1,
      anon_sym_COLON,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    STATE(1117), 1,
      sym_parameter,
    STATE(1180), 1,
      sym_lambda_parameters,
    STATE(1232), 1,
      sym__parameters,
    STATE(1172), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [43879] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_identifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1688), 1,
      anon_sym_COLON,
    STATE(1117), 1,
      sym_parameter,
    STATE(1232), 1,
      sym__parameters,
    STATE(1286), 1,
      sym_lambda_parameters,
    STATE(1172), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [43922] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_identifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1690), 1,
      anon_sym_COLON,
    STATE(1117), 1,
      sym_parameter,
    STATE(1198), 1,
      sym_lambda_parameters,
    STATE(1232), 1,
      sym__parameters,
    STATE(1172), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [43965] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_identifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1692), 1,
      anon_sym_COLON,
    STATE(1117), 1,
      sym_parameter,
    STATE(1232), 1,
      sym__parameters,
    STATE(1237), 1,
      sym_lambda_parameters,
    STATE(1172), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [44008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(1696), 1,
      anon_sym_COLON,
    ACTIONS(1698), 1,
      anon_sym_EQ,
    STATE(813), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(1700), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44039] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1702), 1,
      sym_identifier,
    ACTIONS(1704), 1,
      anon_sym_RPAREN,
    STATE(1050), 1,
      sym_parameter,
    STATE(1234), 1,
      sym__parameters,
    STATE(1066), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [44079] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1702), 1,
      sym_identifier,
    ACTIONS(1706), 1,
      anon_sym_RPAREN,
    STATE(1118), 1,
      sym_parameter,
    STATE(1066), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [44116] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_identifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1708), 1,
      anon_sym_COLON,
    STATE(1118), 1,
      sym_parameter,
    STATE(1172), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [44153] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1702), 1,
      sym_identifier,
    ACTIONS(1708), 1,
      anon_sym_RPAREN,
    STATE(1118), 1,
      sym_parameter,
    STATE(1066), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [44190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_COLON,
    ACTIONS(1698), 1,
      anon_sym_EQ,
    ACTIONS(1700), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [44215] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_identifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1706), 1,
      anon_sym_COLON,
    STATE(1118), 1,
      sym_parameter,
    STATE(1172), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [44252] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    ACTIONS(1702), 1,
      sym_identifier,
    STATE(1118), 1,
      sym_parameter,
    STATE(1066), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [44286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      sym_identifier,
    ACTIONS(1678), 1,
      anon_sym_LPAREN,
    ACTIONS(1680), 1,
      anon_sym_STAR,
    ACTIONS(1684), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1686), 1,
      anon_sym_SLASH,
    STATE(1118), 1,
      sym_parameter,
    STATE(1172), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1116), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [44320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44338] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1712), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44382] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1728), 1,
      anon_sym_COLON,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1738), 1,
      anon_sym_RBRACE,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1183), 1,
      sym__comprehension_clauses,
  [44422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44440] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1742), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1746), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44506] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1748), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1752), 1,
      anon_sym_as,
    ACTIONS(1750), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44556] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1728), 1,
      anon_sym_COLON,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1738), 1,
      anon_sym_RBRACE,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1207), 1,
      sym__comprehension_clauses,
  [44596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1744), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_RBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [44616] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1728), 1,
      anon_sym_COLON,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1738), 1,
      anon_sym_RBRACE,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1193), 1,
      sym__comprehension_clauses,
  [44656] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1738), 1,
      anon_sym_RBRACK,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1208), 1,
      sym__comprehension_clauses,
  [44693] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    ACTIONS(1757), 1,
      anon_sym_COMMA,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(1101), 1,
      aux_sym_argument_list_repeat1,
    STATE(1219), 1,
      sym__comprehension_clauses,
  [44730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_as,
    ACTIONS(1710), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [44749] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1203), 1,
      sym__comprehension_clauses,
  [44786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1763), 1,
      anon_sym_as,
    ACTIONS(1746), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [44809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1712), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [44834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_as,
    ACTIONS(1744), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [44853] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    ACTIONS(1769), 1,
      anon_sym_COMMA,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(1122), 1,
      aux_sym_argument_list_repeat1,
    STATE(1203), 1,
      sym__comprehension_clauses,
  [44890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_as,
    ACTIONS(1353), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [44909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1742), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [44934] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    ACTIONS(1773), 1,
      anon_sym_COMMA,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1189), 1,
      sym__comprehension_clauses,
  [44971] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1738), 1,
      anon_sym_RBRACK,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1186), 1,
      sym__comprehension_clauses,
  [45008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1748), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1765), 1,
      anon_sym_as,
    ACTIONS(1744), 9,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
      anon_sym_RBRACE,
  [45054] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1776), 1,
      anon_sym_RPAREN,
    ACTIONS(1778), 1,
      anon_sym_COMMA,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(1084), 1,
      aux_sym_argument_list_repeat1,
    STATE(1189), 1,
      sym__comprehension_clauses,
  [45091] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1189), 1,
      sym__comprehension_clauses,
  [45128] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1738), 1,
      anon_sym_RBRACK,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1190), 1,
      sym__comprehension_clauses,
  [45165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1780), 1,
      anon_sym_as,
    ACTIONS(1750), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      anon_sym_as,
    ACTIONS(1740), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [45207] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1219), 1,
      sym__comprehension_clauses,
  [45244] = 6,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1793), 1,
      sym__string_content,
    ACTIONS(1795), 1,
      sym__string_end,
    STATE(864), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1789), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45268] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1797), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45290] = 6,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1801), 1,
      sym__string_content,
    ACTIONS(1803), 1,
      sym__string_end,
    STATE(868), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1799), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45314] = 6,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1807), 1,
      sym__string_content,
    ACTIONS(1809), 1,
      sym__string_end,
    STATE(866), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1805), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45338] = 6,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1801), 1,
      sym__string_content,
    ACTIONS(1811), 1,
      sym__string_end,
    STATE(868), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1799), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45362] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1797), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45384] = 6,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1801), 1,
      sym__string_content,
    ACTIONS(1813), 1,
      sym__string_end,
    STATE(868), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1799), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45408] = 6,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1801), 1,
      sym__string_content,
    ACTIONS(1815), 1,
      sym__string_end,
    STATE(868), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1799), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45432] = 6,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1817), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      sym__string_content,
    ACTIONS(1826), 1,
      sym__string_end,
    STATE(868), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1820), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45456] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1797), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45478] = 6,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1830), 1,
      sym__string_content,
    ACTIONS(1832), 1,
      sym__string_end,
    STATE(862), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1828), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45502] = 6,
    ACTIONS(1787), 1,
      anon_sym_LBRACE,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(1836), 1,
      sym__string_content,
    ACTIONS(1838), 1,
      sym__string_end,
    STATE(867), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(1834), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [45526] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1840), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [45562] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1742), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [45585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1852), 1,
      anon_sym_if,
    ACTIONS(1855), 1,
      anon_sym_async,
    ACTIONS(1858), 1,
      anon_sym_for,
    ACTIONS(1850), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(875), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [45608] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1861), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45631] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1863), 1,
      anon_sym_COLON,
    ACTIONS(1865), 1,
      anon_sym_EQ,
    ACTIONS(1867), 1,
      anon_sym_RBRACE,
    ACTIONS(1869), 1,
      sym_type_conversion,
    STATE(1276), 1,
      sym_format_specifier,
  [45662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [45677] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1712), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [45700] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1873), 1,
      anon_sym_if,
    ACTIONS(1871), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(875), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [45723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1748), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [45746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [45761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1875), 1,
      anon_sym_as,
    ACTIONS(1750), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [45782] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1880), 1,
      anon_sym_COMMA,
    STATE(959), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1878), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45809] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1873), 1,
      anon_sym_if,
    ACTIONS(1882), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
    STATE(880), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [45832] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1886), 1,
      anon_sym_from,
    ACTIONS(1888), 1,
      anon_sym_COMMA,
    STATE(982), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1884), 2,
      sym__newline,
      anon_sym_SEMI,
  [45861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [45876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1746), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [45895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1744), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [45912] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1861), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [45934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1890), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [45956] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_as,
    ACTIONS(1726), 1,
      anon_sym_if,
    ACTIONS(1734), 1,
      anon_sym_and,
    ACTIONS(1736), 1,
      anon_sym_or,
    ACTIONS(1892), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [45978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1894), 1,
      anon_sym_COMMA,
    ACTIONS(1896), 1,
      anon_sym_COLON,
    ACTIONS(1898), 1,
      anon_sym_RBRACK,
    STATE(1105), 1,
      aux_sym_subscript_repeat1,
  [46006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1896), 1,
      anon_sym_COLON,
    ACTIONS(1900), 1,
      anon_sym_COMMA,
    ACTIONS(1902), 1,
      anon_sym_RBRACK,
    STATE(1076), 1,
      aux_sym_subscript_repeat1,
  [46034] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1904), 1,
      anon_sym_COMMA,
    ACTIONS(1906), 1,
      anon_sym_if,
    ACTIONS(1908), 1,
      anon_sym_COLON,
    STATE(1007), 1,
      aux_sym_case_clause_repeat1,
    STATE(1258), 1,
      sym_if_clause,
  [46062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1912), 1,
      anon_sym_COMMA,
    STATE(911), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1910), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46080] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1888), 1,
      anon_sym_COMMA,
    STATE(982), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1914), 2,
      sym__newline,
      anon_sym_SEMI,
  [46106] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1888), 1,
      anon_sym_COMMA,
    STATE(982), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1878), 2,
      sym__newline,
      anon_sym_SEMI,
  [46132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1916), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46154] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1888), 1,
      anon_sym_COMMA,
    STATE(982), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1918), 2,
      sym__newline,
      anon_sym_SEMI,
  [46180] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(1920), 1,
      anon_sym_async,
    ACTIONS(1922), 1,
      anon_sym_def,
    ACTIONS(1924), 1,
      anon_sym_class,
    STATE(559), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(951), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [46204] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1906), 1,
      anon_sym_if,
    ACTIONS(1926), 1,
      anon_sym_COMMA,
    ACTIONS(1928), 1,
      anon_sym_COLON,
    STATE(997), 1,
      aux_sym_case_clause_repeat1,
    STATE(1245), 1,
      sym_if_clause,
  [46232] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1888), 1,
      anon_sym_COMMA,
    STATE(982), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1930), 2,
      sym__newline,
      anon_sym_SEMI,
  [46258] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1934), 1,
      anon_sym_COMMA,
    STATE(1044), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1932), 2,
      sym__newline,
      anon_sym_SEMI,
  [46284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1938), 1,
      anon_sym_COMMA,
    STATE(905), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1936), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46302] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1943), 1,
      anon_sym_COMMA,
    STATE(1043), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(1941), 2,
      sym__newline,
      anon_sym_SEMI,
  [46328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1947), 1,
      anon_sym_COMMA,
    STATE(1040), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1945), 2,
      sym__newline,
      anon_sym_SEMI,
  [46354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1951), 1,
      anon_sym_COMMA,
    STATE(905), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1949), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46372] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1953), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 1,
      anon_sym_COMMA,
    STATE(908), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1955), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46412] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 1,
      anon_sym_COMMA,
    STATE(905), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(1959), 6,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46430] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(1963), 1,
      anon_sym_async,
    ACTIONS(1965), 1,
      anon_sym_def,
    ACTIONS(1967), 1,
      anon_sym_class,
    STATE(547), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(951), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [46454] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1896), 1,
      anon_sym_COLON,
    ACTIONS(1969), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_RBRACK,
    STATE(1070), 1,
      aux_sym_subscript_repeat1,
  [46482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1973), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [46504] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1934), 1,
      anon_sym_COMMA,
    STATE(1024), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1975), 2,
      sym__newline,
      anon_sym_SEMI,
  [46530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1977), 1,
      anon_sym_COLON,
    ACTIONS(908), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [46553] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1880), 1,
      anon_sym_COMMA,
    ACTIONS(1979), 1,
      anon_sym_COLON,
    STATE(959), 1,
      aux_sym_assert_statement_repeat1,
  [46578] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    ACTIONS(1757), 1,
      anon_sym_COMMA,
    STATE(1101), 1,
      aux_sym_argument_list_repeat1,
  [46603] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1981), 1,
      anon_sym_COMMA,
    ACTIONS(1983), 1,
      anon_sym_RBRACE,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(1074), 1,
      aux_sym_dictionary_repeat1,
    STATE(1206), 1,
      sym__comprehension_clauses,
  [46628] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(1985), 1,
      anon_sym_COMMA,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(1108), 1,
      aux_sym_dictionary_repeat1,
    STATE(1182), 1,
      sym__comprehension_clauses,
  [46653] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1989), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [46674] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1991), 1,
      anon_sym_COMMA,
    ACTIONS(1993), 1,
      anon_sym_COLON,
    STATE(1065), 1,
      aux_sym_match_statement_repeat1,
  [46699] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      sym_identifier,
    ACTIONS(1997), 1,
      anon_sym_LPAREN,
    ACTIONS(1999), 1,
      anon_sym_STAR,
    STATE(1001), 1,
      sym_dotted_name,
    STATE(1023), 1,
      sym_aliased_import,
    STATE(1145), 1,
      sym__import_list,
    STATE(1147), 1,
      sym_wildcard_import,
  [46724] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      sym_identifier,
    ACTIONS(2003), 1,
      anon_sym_DOT,
    ACTIONS(2005), 1,
      anon_sym___future__,
    STATE(1016), 1,
      aux_sym_import_prefix_repeat1,
    STATE(1088), 1,
      sym_import_prefix,
    STATE(1200), 2,
      sym_relative_import,
      sym_dotted_name,
  [46747] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1880), 1,
      anon_sym_COMMA,
    ACTIONS(2007), 1,
      anon_sym_COLON,
    STATE(959), 1,
      aux_sym_assert_statement_repeat1,
  [46772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1936), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46798] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2011), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [46819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2013), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [46832] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(2015), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [46853] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2017), 1,
      anon_sym_COMMA,
    ACTIONS(2019), 1,
      anon_sym_COLON,
    STATE(1085), 1,
      aux_sym_match_statement_repeat1,
  [46878] = 3,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(2023), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2021), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [46893] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1896), 1,
      anon_sym_COLON,
    ACTIONS(2025), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [46916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_COLON,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(842), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [46939] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1880), 1,
      anon_sym_COMMA,
    ACTIONS(2027), 1,
      anon_sym_COLON,
    STATE(959), 1,
      aux_sym_assert_statement_repeat1,
  [46964] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2029), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [46985] = 3,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(2033), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2031), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [47000] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(2035), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [47021] = 3,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(2039), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2037), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [47036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1880), 1,
      anon_sym_COMMA,
    ACTIONS(2041), 1,
      anon_sym_COLON,
    STATE(959), 1,
      aux_sym_assert_statement_repeat1,
  [47061] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2043), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [47082] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1973), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_async,
    ACTIONS(1732), 1,
      anon_sym_for,
    ACTIONS(2045), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    STATE(885), 1,
      sym_for_in_clause,
    STATE(1096), 1,
      aux_sym_dictionary_repeat1,
    STATE(1194), 1,
      sym__comprehension_clauses,
  [47128] = 3,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(2051), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2049), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [47143] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(888), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [47163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_DOT,
    STATE(948), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2053), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [47179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2057), 1,
      anon_sym_COMMA,
    STATE(947), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1861), 4,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [47195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_DOT,
    STATE(967), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2060), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [47211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(1890), 2,
      sym__newline,
      anon_sym_SEMI,
  [47231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1892), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2064), 1,
      anon_sym_AT,
    STATE(951), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(2062), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [47267] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2067), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [47285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(2069), 2,
      sym__newline,
      anon_sym_SEMI,
  [47305] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1840), 1,
      anon_sym_COLON,
    ACTIONS(2071), 1,
      anon_sym_else,
  [47327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1746), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [47343] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2073), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [47363] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1842), 1,
      anon_sym_as,
    ACTIONS(1844), 1,
      anon_sym_if,
    ACTIONS(1846), 1,
      anon_sym_and,
    ACTIONS(1848), 1,
      anon_sym_or,
    ACTIONS(2075), 2,
      sym__newline,
      anon_sym_SEMI,
  [47383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 1,
      anon_sym_DOT,
    STATE(958), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2077), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [47399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2082), 1,
      anon_sym_COMMA,
    STATE(947), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(778), 4,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [47415] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2084), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [47435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2086), 1,
      anon_sym_DOT,
    STATE(958), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2060), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [47451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2088), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [47471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2090), 1,
      anon_sym_COMMA,
    ACTIONS(2092), 1,
      anon_sym_as,
    ACTIONS(2094), 1,
      anon_sym_COLON,
  [47493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2086), 1,
      anon_sym_DOT,
    STATE(961), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2053), 4,
      anon_sym_import,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [47509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2096), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [47529] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2092), 1,
      anon_sym_as,
    ACTIONS(2098), 1,
      anon_sym_COMMA,
    ACTIONS(2100), 1,
      anon_sym_COLON,
  [47551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym_DOT,
    STATE(967), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2077), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [47567] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2105), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [47587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(908), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [47607] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2107), 1,
      anon_sym_COLON,
  [47626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2077), 5,
      anon_sym_import,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [47637] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2109), 1,
      anon_sym_COLON,
  [47656] = 5,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_LBRACE,
    ACTIONS(2113), 1,
      anon_sym_RBRACE,
    ACTIONS(2115), 1,
      aux_sym_format_specifier_token1,
    STATE(996), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [47673] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_except,
    ACTIONS(2119), 1,
      anon_sym_finally,
    STATE(574), 1,
      sym_finally_clause,
    STATE(260), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [47690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 1,
      anon_sym_except,
    ACTIONS(2123), 1,
      anon_sym_finally,
    STATE(569), 1,
      sym_finally_clause,
    STATE(255), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [47707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_dotted_name,
    STATE(1137), 1,
      sym_aliased_import,
    ACTIONS(2125), 2,
      sym__newline,
      anon_sym_SEMI,
  [47724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 1,
      anon_sym_COMMA,
    ACTIONS(1908), 1,
      anon_sym_COLON,
    ACTIONS(2127), 1,
      anon_sym_if,
    STATE(1006), 1,
      aux_sym_case_clause_repeat1,
    STATE(1258), 1,
      sym_if_clause,
  [47743] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(1840), 1,
      anon_sym_COLON,
  [47762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      sym_identifier,
    ACTIONS(2129), 1,
      anon_sym_LPAREN,
    STATE(1001), 1,
      sym_dotted_name,
    STATE(1023), 1,
      sym_aliased_import,
    STATE(1142), 1,
      sym__import_list,
  [47781] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 1,
      anon_sym_except,
    ACTIONS(2119), 1,
      anon_sym_finally,
    STATE(524), 1,
      sym_finally_clause,
    STATE(250), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [47798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2077), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [47809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 1,
      anon_sym_COMMA,
    STATE(991), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(778), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [47824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_dotted_name,
    STATE(1137), 1,
      sym_aliased_import,
    ACTIONS(2133), 2,
      sym__newline,
      anon_sym_SEMI,
  [47841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 1,
      anon_sym_COMMA,
    STATE(1005), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(702), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [47856] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2137), 1,
      anon_sym_else,
  [47875] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2139), 1,
      anon_sym_COLON,
  [47894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1926), 1,
      anon_sym_COMMA,
    ACTIONS(1928), 1,
      anon_sym_COLON,
    ACTIONS(2127), 1,
      anon_sym_if,
    STATE(993), 1,
      aux_sym_case_clause_repeat1,
    STATE(1245), 1,
      sym_if_clause,
  [47913] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_dotted_name,
    STATE(1137), 1,
      sym_aliased_import,
    ACTIONS(2133), 2,
      sym__newline,
      anon_sym_SEMI,
  [47930] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2141), 1,
      anon_sym_COLON,
  [47949] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2143), 1,
      anon_sym_COLON,
  [47968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2145), 1,
      anon_sym_COMMA,
    STATE(991), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1861), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [47983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2148), 1,
      anon_sym_COLON,
  [48002] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_if,
    ACTIONS(2150), 1,
      anon_sym_COMMA,
    ACTIONS(2152), 1,
      anon_sym_COLON,
    STATE(1009), 1,
      aux_sym_case_clause_repeat1,
    STATE(1252), 1,
      sym_if_clause,
  [48021] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2071), 1,
      anon_sym_else,
  [48040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2154), 1,
      anon_sym_RBRACE,
  [48059] = 5,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_LBRACE,
    ACTIONS(2156), 1,
      anon_sym_RBRACE,
    ACTIONS(2158), 1,
      aux_sym_format_specifier_token1,
    STATE(1003), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [48076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_if,
    ACTIONS(2160), 1,
      anon_sym_COMMA,
    ACTIONS(2162), 1,
      anon_sym_COLON,
    STATE(1009), 1,
      aux_sym_case_clause_repeat1,
    STATE(1254), 1,
      sym_if_clause,
  [48095] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2164), 1,
      anon_sym_else,
  [48114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2166), 1,
      anon_sym_COLON,
  [48133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(1738), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [48148] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_COMMA,
    ACTIONS(2172), 1,
      anon_sym_as,
    STATE(1035), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(2168), 2,
      sym__newline,
      anon_sym_SEMI,
  [48165] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2121), 1,
      anon_sym_except,
    ACTIONS(2123), 1,
      anon_sym_finally,
    STATE(552), 1,
      sym_finally_clause,
    STATE(242), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [48182] = 5,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(2174), 1,
      anon_sym_LBRACE,
    ACTIONS(2177), 1,
      anon_sym_RBRACE,
    ACTIONS(2179), 1,
      aux_sym_format_specifier_token1,
    STATE(1003), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [48199] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2182), 1,
      anon_sym_COLON,
  [48218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 1,
      anon_sym_COMMA,
    STATE(1005), 1,
      aux_sym__collection_elements_repeat1,
    ACTIONS(1916), 3,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [48233] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_if,
    ACTIONS(2187), 1,
      anon_sym_COMMA,
    ACTIONS(2189), 1,
      anon_sym_COLON,
    STATE(1009), 1,
      aux_sym_case_clause_repeat1,
    STATE(1277), 1,
      sym_if_clause,
  [48252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 1,
      anon_sym_if,
    ACTIONS(2191), 1,
      anon_sym_COMMA,
    ACTIONS(2193), 1,
      anon_sym_COLON,
    STATE(1009), 1,
      aux_sym_case_clause_repeat1,
    STATE(1265), 1,
      sym_if_clause,
  [48271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_as,
    ACTIONS(1716), 1,
      anon_sym_if,
    ACTIONS(1718), 1,
      anon_sym_and,
    ACTIONS(1720), 1,
      anon_sym_or,
    ACTIONS(2195), 1,
      anon_sym_COLON,
  [48290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2197), 1,
      anon_sym_COMMA,
    STATE(1009), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(2200), 2,
      anon_sym_if,
      anon_sym_COLON,
  [48304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [48314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [48324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2202), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [48334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [48344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    STATE(1014), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(2206), 2,
      sym__newline,
      anon_sym_SEMI,
  [48358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      sym_identifier,
    STATE(1019), 1,
      sym_dotted_name,
    STATE(1061), 1,
      sym_aliased_import,
    STATE(1218), 1,
      sym__import_list,
  [48374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_DOT,
    STATE(1030), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(2213), 2,
      anon_sym_import,
      sym_identifier,
  [48388] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      sym_identifier,
    STATE(1019), 1,
      sym_dotted_name,
    STATE(1061), 1,
      sym_aliased_import,
    STATE(1217), 1,
      sym__import_list,
  [48404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 1,
      anon_sym_RPAREN,
    ACTIONS(2211), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_dotted_name,
    STATE(1173), 1,
      sym_aliased_import,
  [48420] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_RPAREN,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    ACTIONS(2219), 1,
      anon_sym_as,
    STATE(1081), 1,
      aux_sym__import_list_repeat1,
  [48436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2223), 1,
      anon_sym_COMMA,
    STATE(1041), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(2221), 2,
      sym__newline,
      anon_sym_SEMI,
  [48450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2227), 1,
      anon_sym_COLON,
    ACTIONS(2229), 1,
      anon_sym_EQ,
    ACTIONS(2225), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [48464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 1,
      anon_sym_RPAREN,
    ACTIONS(2211), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_dotted_name,
    STATE(1173), 1,
      sym_aliased_import,
  [48480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2170), 1,
      anon_sym_COMMA,
    STATE(1039), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(2168), 2,
      sym__newline,
      anon_sym_SEMI,
  [48494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_COMMA,
    STATE(991), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2231), 2,
      sym__newline,
      anon_sym_SEMI,
  [48508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2235), 1,
      anon_sym_COMMA,
    STATE(1025), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(2233), 2,
      sym__newline,
      anon_sym_SEMI,
  [48522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    STATE(1038), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(2238), 2,
      sym__newline,
      anon_sym_SEMI,
  [48536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      sym_identifier,
    STATE(1001), 1,
      sym_dotted_name,
    STATE(1023), 1,
      sym_aliased_import,
    STATE(1174), 1,
      sym__import_list,
  [48552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_COMMA,
    STATE(794), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(1295), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    STATE(1038), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(2244), 2,
      sym__newline,
      anon_sym_SEMI,
  [48580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2248), 1,
      anon_sym_DOT,
    STATE(1030), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(2246), 2,
      anon_sym_import,
      sym_identifier,
  [48594] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    STATE(1029), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(2251), 2,
      sym__newline,
      anon_sym_SEMI,
  [48608] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_COMMA,
    STATE(1026), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(2253), 2,
      sym__newline,
      anon_sym_SEMI,
  [48622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2255), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [48632] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_COLON,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
    ACTIONS(2259), 1,
      sym_type_conversion,
    STATE(1214), 1,
      sym_format_specifier,
  [48648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2263), 1,
      anon_sym_COMMA,
    STATE(1025), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(2261), 2,
      sym__newline,
      anon_sym_SEMI,
  [48662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_as,
    ACTIONS(2265), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [48674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2269), 1,
      anon_sym_COMMA,
    STATE(1037), 1,
      aux_sym_with_clause_repeat1,
    ACTIONS(2267), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2274), 1,
      anon_sym_COMMA,
    STATE(1038), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(2272), 2,
      sym__newline,
      anon_sym_SEMI,
  [48702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_COMMA,
    STATE(1025), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(2261), 2,
      sym__newline,
      anon_sym_SEMI,
  [48716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2279), 1,
      anon_sym_COMMA,
    STATE(991), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(902), 2,
      sym__newline,
      anon_sym_SEMI,
  [48730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_COMMA,
    STATE(1014), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(2281), 2,
      sym__newline,
      anon_sym_SEMI,
  [48744] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2287), 1,
      anon_sym_COMMA,
    STATE(1028), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(2285), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [48758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2291), 1,
      anon_sym_COMMA,
    STATE(1014), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(2289), 2,
      sym__newline,
      anon_sym_SEMI,
  [48772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1934), 1,
      anon_sym_COMMA,
    STATE(991), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2293), 2,
      sym__newline,
      anon_sym_SEMI,
  [48786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_RPAREN,
    ACTIONS(2211), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_dotted_name,
    STATE(1173), 1,
      sym_aliased_import,
  [48802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_EQ,
    ACTIONS(2295), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [48814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_as,
    ACTIONS(2265), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [48825] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_SEMI,
    ACTIONS(2301), 1,
      sym__newline,
    STATE(1099), 1,
      aux_sym__simple_statements_repeat1,
  [48838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2067), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [48847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_RPAREN,
    ACTIONS(2305), 1,
      anon_sym_COMMA,
    STATE(1072), 1,
      aux_sym__parameters_repeat1,
  [48860] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(2307), 1,
      anon_sym_in,
    STATE(813), 1,
      aux_sym__patterns_repeat1,
  [48873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(2309), 1,
      anon_sym_in,
    STATE(813), 1,
      aux_sym__patterns_repeat1,
  [48886] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 1,
      anon_sym_COMMA,
    ACTIONS(1983), 1,
      anon_sym_RBRACE,
    STATE(1074), 1,
      aux_sym_dictionary_repeat1,
  [48899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 1,
      anon_sym_SEMI,
    ACTIONS(2313), 1,
      sym__newline,
    STATE(1057), 1,
      aux_sym__simple_statements_repeat1,
  [48912] = 3,
    ACTIONS(1791), 1,
      sym_comment,
    ACTIONS(2317), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(2315), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [48923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1785), 1,
      anon_sym_RPAREN,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
  [48936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(563), 1,
      sym__newline,
    ACTIONS(2319), 1,
      anon_sym_SEMI,
    STATE(1113), 1,
      aux_sym__simple_statements_repeat1,
  [48949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2321), 1,
      anon_sym_SEMI,
    ACTIONS(2323), 1,
      sym__newline,
    STATE(1102), 1,
      aux_sym__simple_statements_repeat1,
  [48962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2325), 1,
      anon_sym_COMMA,
    ACTIONS(2328), 1,
      anon_sym_RBRACK,
    STATE(1059), 1,
      aux_sym_subscript_repeat1,
  [48975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 1,
      anon_sym_RPAREN,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(1060), 1,
      aux_sym_argument_list_repeat1,
  [48988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 1,
      anon_sym_RPAREN,
    ACTIONS(2217), 1,
      anon_sym_COMMA,
    STATE(1077), 1,
      aux_sym__import_list_repeat1,
  [49001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2335), 1,
      anon_sym_COLON,
    STATE(1231), 1,
      sym_argument_list,
  [49014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(2337), 1,
      anon_sym_in,
    STATE(813), 1,
      aux_sym__patterns_repeat1,
  [49027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1995), 1,
      sym_identifier,
    STATE(1036), 1,
      sym_dotted_name,
    STATE(1137), 1,
      sym_aliased_import,
  [49040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2339), 1,
      anon_sym_COMMA,
    ACTIONS(2341), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      aux_sym_match_statement_repeat1,
  [49053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2343), 1,
      anon_sym_COLON,
    ACTIONS(2225), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [49064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_COLON,
    ACTIONS(2345), 1,
      anon_sym_RBRACE,
    STATE(1248), 1,
      sym_format_specifier,
  [49077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 1,
      anon_sym_COMMA,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    STATE(1059), 1,
      aux_sym_subscript_repeat1,
  [49090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [49099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_RBRACK,
    STATE(1059), 1,
      aux_sym_subscript_repeat1,
  [49112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2355), 1,
      anon_sym_COMMA,
    ACTIONS(2357), 1,
      anon_sym_RBRACK,
    STATE(1059), 1,
      aux_sym_subscript_repeat1,
  [49125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_RPAREN,
    ACTIONS(2359), 1,
      anon_sym_COMMA,
    STATE(1098), 1,
      aux_sym__parameters_repeat1,
  [49138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(2361), 1,
      anon_sym_RPAREN,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
  [49151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 1,
      anon_sym_RBRACE,
    ACTIONS(2363), 1,
      anon_sym_COMMA,
    STATE(1097), 1,
      aux_sym_dictionary_repeat1,
  [49164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(2365), 1,
      anon_sym_RPAREN,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
  [49177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_RBRACK,
    STATE(1059), 1,
      aux_sym_subscript_repeat1,
  [49190] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_RPAREN,
    ACTIONS(2371), 1,
      anon_sym_COMMA,
    STATE(1114), 1,
      aux_sym__import_list_repeat1,
  [49203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [49212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2373), 1,
      anon_sym_RPAREN,
    ACTIONS(2375), 1,
      anon_sym_COMMA,
    STATE(1090), 1,
      aux_sym_argument_list_repeat1,
  [49225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 1,
      anon_sym_RPAREN,
    ACTIONS(2377), 1,
      anon_sym_COMMA,
    STATE(1060), 1,
      aux_sym_argument_list_repeat1,
  [49238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2261), 1,
      anon_sym_RPAREN,
    ACTIONS(2379), 1,
      anon_sym_COMMA,
    STATE(1114), 1,
      aux_sym__import_list_repeat1,
  [49251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
    ACTIONS(1757), 1,
      anon_sym_COMMA,
    STATE(1101), 1,
      aux_sym_argument_list_repeat1,
  [49264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_RPAREN,
    ACTIONS(2383), 1,
      anon_sym_COMMA,
    STATE(1103), 1,
      aux_sym_argument_list_repeat1,
  [49277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      anon_sym_RPAREN,
    ACTIONS(2385), 1,
      anon_sym_COMMA,
    STATE(1060), 1,
      aux_sym_argument_list_repeat1,
  [49290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2387), 1,
      anon_sym_COMMA,
    ACTIONS(2389), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      aux_sym_match_statement_repeat1,
  [49303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_COMMA,
    ACTIONS(1898), 1,
      anon_sym_RBRACK,
    STATE(1106), 1,
      aux_sym_subscript_repeat1,
  [49316] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_in,
    STATE(813), 1,
      aux_sym__patterns_repeat1,
  [49329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2001), 1,
      sym_identifier,
    ACTIONS(2393), 1,
      anon_sym_import,
    STATE(1283), 1,
      sym_dotted_name,
  [49342] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_COMMA,
    ACTIONS(1902), 1,
      anon_sym_RBRACK,
    STATE(1071), 1,
      aux_sym_subscript_repeat1,
  [49355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(764), 1,
      anon_sym_RPAREN,
    ACTIONS(2395), 1,
      anon_sym_COMMA,
    STATE(1060), 1,
      aux_sym_argument_list_repeat1,
  [49368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2397), 1,
      anon_sym_RPAREN,
    ACTIONS(2399), 1,
      anon_sym_COMMA,
    STATE(1080), 1,
      aux_sym_argument_list_repeat1,
  [49381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2401), 1,
      anon_sym_RPAREN,
    ACTIONS(2403), 1,
      anon_sym_COMMA,
    STATE(1123), 1,
      aux_sym_with_clause_repeat1,
  [49394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_COMMA,
    ACTIONS(2405), 1,
      anon_sym_COLON,
    STATE(1037), 1,
      aux_sym_with_clause_repeat1,
  [49407] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 1,
      anon_sym_RPAREN,
    ACTIONS(1778), 1,
      anon_sym_COMMA,
    STATE(1084), 1,
      aux_sym_argument_list_repeat1,
  [49420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2272), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [49429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_RBRACE,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    STATE(1097), 1,
      aux_sym_dictionary_repeat1,
  [49442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2409), 1,
      anon_sym_COMMA,
    ACTIONS(2412), 1,
      anon_sym_RBRACE,
    STATE(1097), 1,
      aux_sym_dictionary_repeat1,
  [49455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    ACTIONS(2416), 1,
      anon_sym_COMMA,
    STATE(1098), 1,
      aux_sym__parameters_repeat1,
  [49468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      sym__newline,
    ACTIONS(2419), 1,
      anon_sym_SEMI,
    STATE(1113), 1,
      aux_sym__simple_statements_repeat1,
  [49481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [49490] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 1,
      anon_sym_RPAREN,
    ACTIONS(2421), 1,
      anon_sym_COMMA,
    STATE(1060), 1,
      aux_sym_argument_list_repeat1,
  [49503] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(567), 1,
      sym__newline,
    ACTIONS(2423), 1,
      anon_sym_SEMI,
    STATE(1113), 1,
      aux_sym__simple_statements_repeat1,
  [49516] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(732), 1,
      anon_sym_RPAREN,
    ACTIONS(2425), 1,
      anon_sym_COMMA,
    STATE(1060), 1,
      aux_sym_argument_list_repeat1,
  [49529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_COLON,
    ACTIONS(2427), 1,
      anon_sym_COMMA,
    STATE(1109), 1,
      aux_sym__parameters_repeat1,
  [49542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym_RBRACK,
    STATE(1059), 1,
      aux_sym_subscript_repeat1,
  [49555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_COMMA,
    ACTIONS(2435), 1,
      anon_sym_RBRACK,
    STATE(1059), 1,
      aux_sym_subscript_repeat1,
  [49568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [49577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_RBRACE,
    ACTIONS(2437), 1,
      anon_sym_COMMA,
    STATE(1097), 1,
      aux_sym_dictionary_repeat1,
  [49590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_COLON,
    ACTIONS(2439), 1,
      anon_sym_COMMA,
    STATE(1109), 1,
      aux_sym__parameters_repeat1,
  [49603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_COMMA,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
    STATE(1108), 1,
      aux_sym_dictionary_repeat1,
  [49616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2045), 1,
      anon_sym_COMMA,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
    STATE(1096), 1,
      aux_sym_dictionary_repeat1,
  [49629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1771), 1,
      anon_sym_RPAREN,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
  [49642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 1,
      anon_sym_SEMI,
    ACTIONS(2445), 1,
      sym__newline,
    STATE(1113), 1,
      aux_sym__simple_statements_repeat1,
  [49655] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2233), 1,
      anon_sym_RPAREN,
    ACTIONS(2447), 1,
      anon_sym_COMMA,
    STATE(1114), 1,
      aux_sym__import_list_repeat1,
  [49668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2452), 1,
      anon_sym_EQ,
    ACTIONS(2450), 2,
      sym__newline,
      anon_sym_SEMI,
  [49679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [49688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COLON,
    ACTIONS(2454), 1,
      anon_sym_COMMA,
    STATE(1104), 1,
      aux_sym__parameters_repeat1,
  [49701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [49710] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_COMMA,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    STATE(984), 1,
      aux_sym__collection_elements_repeat1,
  [49723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2229), 1,
      anon_sym_EQ,
    ACTIONS(2225), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [49734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2456), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [49743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 1,
      anon_sym_RPAREN,
    ACTIONS(2458), 1,
      anon_sym_COMMA,
    STATE(1060), 1,
      aux_sym_argument_list_repeat1,
  [49756] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_COMMA,
    ACTIONS(2460), 1,
      anon_sym_RPAREN,
    STATE(1037), 1,
      aux_sym_with_clause_repeat1,
  [49769] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2211), 1,
      sym_identifier,
    STATE(1047), 1,
      sym_dotted_name,
    STATE(1173), 1,
      sym_aliased_import,
  [49782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_COMMA,
    ACTIONS(2465), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      aux_sym_match_statement_repeat1,
  [49795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
    ACTIONS(1769), 1,
      anon_sym_COMMA,
    STATE(1122), 1,
      aux_sym_argument_list_repeat1,
  [49808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(2467), 1,
      anon_sym_in,
    STATE(813), 1,
      aux_sym__patterns_repeat1,
  [49821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2267), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
  [49830] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_LPAREN,
    ACTIONS(2469), 1,
      anon_sym_COLON,
    STATE(1192), 1,
      sym_argument_list,
  [49843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2473), 1,
      anon_sym_in,
    ACTIONS(2471), 2,
      sym__newline,
      anon_sym_SEMI,
  [49854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1969), 1,
      anon_sym_COMMA,
    ACTIONS(1971), 1,
      anon_sym_RBRACK,
    STATE(1068), 1,
      aux_sym_subscript_repeat1,
  [49867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1863), 1,
      anon_sym_COLON,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
    STATE(1214), 1,
      sym_format_specifier,
  [49880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1886), 1,
      anon_sym_from,
    ACTIONS(1884), 2,
      sym__newline,
      anon_sym_SEMI,
  [49891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [49900] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_COMMA,
    ACTIONS(2477), 1,
      anon_sym_COLON,
    STATE(1093), 1,
      aux_sym_with_clause_repeat1,
  [49913] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_COMMA,
    ACTIONS(2479), 1,
      anon_sym_in,
    STATE(813), 1,
      aux_sym__patterns_repeat1,
  [49926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [49935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 1,
      anon_sym_COLON,
    ACTIONS(2483), 1,
      anon_sym_DASH_GT,
  [49945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2485), 2,
      sym__newline,
      anon_sym_SEMI,
  [49953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2487), 2,
      sym__newline,
      anon_sym_SEMI,
  [49961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 2,
      sym__newline,
      anon_sym_SEMI,
  [49969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2491), 2,
      sym__newline,
      anon_sym_SEMI,
  [49977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2493), 2,
      sym__newline,
      anon_sym_SEMI,
  [49985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_LPAREN,
    STATE(1138), 1,
      sym_parameters,
  [49995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 2,
      sym__newline,
      anon_sym_SEMI,
  [50003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1930), 2,
      sym__newline,
      anon_sym_SEMI,
  [50011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2499), 2,
      sym__newline,
      anon_sym_SEMI,
  [50019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1918), 2,
      sym__newline,
      anon_sym_SEMI,
  [50027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_LPAREN,
    STATE(1164), 1,
      sym_parameters,
  [50037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_LPAREN,
    STATE(1166), 1,
      sym_parameters,
  [50047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 2,
      sym__newline,
      anon_sym_SEMI,
  [50055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2503), 1,
      anon_sym_COLON,
    ACTIONS(2505), 1,
      anon_sym_DASH_GT,
  [50065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2507), 2,
      sym__newline,
      anon_sym_SEMI,
  [50073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2025), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [50081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 2,
      anon_sym_except,
      anon_sym_finally,
  [50089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2509), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [50097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2088), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [50105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2511), 2,
      sym__newline,
      anon_sym_SEMI,
  [50113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 2,
      sym__newline,
      anon_sym_SEMI,
  [50121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 2,
      anon_sym_except,
      anon_sym_finally,
  [50129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2515), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [50137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 2,
      sym__newline,
      anon_sym_SEMI,
  [50145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2519), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [50153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 1,
      anon_sym_COLON,
    ACTIONS(2523), 1,
      anon_sym_DASH_GT,
  [50163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2445), 2,
      sym__newline,
      anon_sym_SEMI,
  [50171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 1,
      anon_sym_COLON,
    ACTIONS(2527), 1,
      anon_sym_DASH_GT,
  [50181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 2,
      anon_sym_except,
      anon_sym_finally,
  [50189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1945), 2,
      sym__newline,
      anon_sym_SEMI,
  [50197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [50205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1878), 2,
      sym__newline,
      anon_sym_SEMI,
  [50213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(941), 2,
      anon_sym_except,
      anon_sym_finally,
  [50221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2225), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [50229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2265), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [50237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 2,
      sym__newline,
      anon_sym_SEMI,
  [50245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 2,
      anon_sym_except,
      anon_sym_finally,
  [50253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2412), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2495), 1,
      anon_sym_LPAREN,
    STATE(1152), 1,
      sym_parameters,
  [50271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_RBRACK,
  [50278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2041), 1,
      anon_sym_COLON,
  [50285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 1,
      anon_sym_COLON,
  [50292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_RBRACE,
  [50299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 1,
      anon_sym_RBRACE,
  [50306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2537), 1,
      anon_sym_RBRACE,
  [50313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2539), 1,
      anon_sym_RBRACE,
  [50320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_RBRACE,
  [50327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2543), 1,
      anon_sym_RBRACK,
  [50334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2545), 1,
      sym_identifier,
  [50341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2547), 1,
      anon_sym_in,
  [50348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 1,
      anon_sym_RPAREN,
  [50355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2551), 1,
      anon_sym_RBRACK,
  [50362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 1,
      sym_identifier,
  [50369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2555), 1,
      anon_sym_COLON,
  [50376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_RBRACE,
  [50383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2559), 1,
      anon_sym_RBRACE,
  [50390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 1,
      sym_identifier,
  [50397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1776), 1,
      anon_sym_RPAREN,
  [50404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_in,
  [50411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2565), 1,
      anon_sym_COLON,
  [50418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2567), 1,
      anon_sym_COLON,
  [50425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 1,
      anon_sym_import,
  [50432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym_in,
  [50439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2571), 1,
      anon_sym_import,
  [50446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 1,
      anon_sym_RPAREN,
  [50453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2575), 1,
      anon_sym_for,
  [50460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RPAREN,
  [50467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_RBRACE,
  [50474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2579), 1,
      anon_sym_RBRACE,
  [50481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_RBRACK,
  [50488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2583), 1,
      anon_sym_COLON,
  [50495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_def,
  [50502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_RPAREN,
  [50509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2587), 1,
      anon_sym_COLON_EQ,
  [50516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_RPAREN,
  [50523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_RBRACE,
  [50530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2591), 1,
      sym_identifier,
  [50537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_RPAREN,
  [50544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2595), 1,
      anon_sym_RPAREN,
  [50551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 1,
      anon_sym_RPAREN,
  [50558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2599), 1,
      anon_sym_RPAREN,
  [50565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2337), 1,
      anon_sym_in,
  [50572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1987), 1,
      anon_sym_RBRACE,
  [50579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_COLON,
  [50586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2603), 1,
      sym_identifier,
  [50593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      sym_identifier,
  [50600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2607), 1,
      anon_sym_COLON,
  [50607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1979), 1,
      anon_sym_COLON,
  [50614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_COLON_EQ,
  [50621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2611), 1,
      anon_sym_COLON,
  [50628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 1,
      anon_sym_COLON,
  [50635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_RBRACK,
  [50642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_COLON,
  [50649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_COLON,
  [50656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2479), 1,
      anon_sym_in,
  [50663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_RPAREN,
  [50670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 1,
      anon_sym_COLON,
  [50677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_COLON,
  [50684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_COLON,
  [50691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 1,
      anon_sym_RPAREN,
  [50698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_COLON,
  [50705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_COLON,
  [50712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_COLON,
  [50719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_in,
  [50726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym_COLON,
  [50733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 1,
      anon_sym_COLON_EQ,
  [50740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_COLON,
  [50747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1767), 1,
      anon_sym_RPAREN,
  [50754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      sym_identifier,
  [50761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2645), 1,
      anon_sym_RBRACE,
  [50768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2647), 1,
      anon_sym_COLON,
  [50775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2649), 1,
      anon_sym_COLON,
  [50782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2651), 1,
      anon_sym_COLON,
  [50789] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 1,
      anon_sym_COLON,
  [50796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2655), 1,
      sym_identifier,
  [50803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2657), 1,
      anon_sym_COLON,
  [50810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2007), 1,
      anon_sym_COLON,
  [50817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2659), 1,
      anon_sym_COLON,
  [50824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2661), 1,
      anon_sym_COLON,
  [50831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2663), 1,
      anon_sym_COLON,
  [50838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2665), 1,
      anon_sym_COLON,
  [50845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 1,
      ts_builtin_sym_end,
  [50852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2669), 1,
      anon_sym_RBRACE,
  [50859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2671), 1,
      anon_sym_COLON,
  [50866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 1,
      anon_sym_COLON,
  [50873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COLON,
  [50880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_COLON,
  [50887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 1,
      sym_identifier,
  [50894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 1,
      sym_identifier,
  [50901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_RBRACK,
  [50908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_in,
  [50915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 1,
      sym_identifier,
  [50922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2687), 1,
      sym_identifier,
  [50929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2689), 1,
      sym_identifier,
  [50936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2691), 1,
      anon_sym_COLON,
  [50943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2693), 1,
      anon_sym_RBRACK,
  [50950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2695), 1,
      sym_identifier,
  [50957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_RBRACE,
  [50964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2697), 1,
      anon_sym_COLON,
  [50971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      sym_identifier,
  [50978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      sym_identifier,
  [50985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 1,
      anon_sym_RBRACE,
  [50992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2309), 1,
      anon_sym_in,
  [50999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 1,
      anon_sym_def,
  [51006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2703), 1,
      anon_sym_import,
  [51013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2307), 1,
      anon_sym_in,
  [51020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_COLON,
  [51027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym_COLON,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(150)] = 0,
  [SMALL_STATE(151)] = 120,
  [SMALL_STATE(152)] = 236,
  [SMALL_STATE(153)] = 358,
  [SMALL_STATE(154)] = 478,
  [SMALL_STATE(155)] = 602,
  [SMALL_STATE(156)] = 718,
  [SMALL_STATE(157)] = 838,
  [SMALL_STATE(158)] = 954,
  [SMALL_STATE(159)] = 1076,
  [SMALL_STATE(160)] = 1195,
  [SMALL_STATE(161)] = 1314,
  [SMALL_STATE(162)] = 1433,
  [SMALL_STATE(163)] = 1534,
  [SMALL_STATE(164)] = 1635,
  [SMALL_STATE(165)] = 1741,
  [SMALL_STATE(166)] = 1851,
  [SMALL_STATE(167)] = 1961,
  [SMALL_STATE(168)] = 2067,
  [SMALL_STATE(169)] = 2177,
  [SMALL_STATE(170)] = 2287,
  [SMALL_STATE(171)] = 2399,
  [SMALL_STATE(172)] = 2506,
  [SMALL_STATE(173)] = 2613,
  [SMALL_STATE(174)] = 2722,
  [SMALL_STATE(175)] = 2825,
  [SMALL_STATE(176)] = 2934,
  [SMALL_STATE(177)] = 3041,
  [SMALL_STATE(178)] = 3148,
  [SMALL_STATE(179)] = 3255,
  [SMALL_STATE(180)] = 3362,
  [SMALL_STATE(181)] = 3469,
  [SMALL_STATE(182)] = 3576,
  [SMALL_STATE(183)] = 3679,
  [SMALL_STATE(184)] = 3786,
  [SMALL_STATE(185)] = 3897,
  [SMALL_STATE(186)] = 4004,
  [SMALL_STATE(187)] = 4113,
  [SMALL_STATE(188)] = 4216,
  [SMALL_STATE(189)] = 4325,
  [SMALL_STATE(190)] = 4432,
  [SMALL_STATE(191)] = 4539,
  [SMALL_STATE(192)] = 4650,
  [SMALL_STATE(193)] = 4757,
  [SMALL_STATE(194)] = 4864,
  [SMALL_STATE(195)] = 4971,
  [SMALL_STATE(196)] = 5078,
  [SMALL_STATE(197)] = 5181,
  [SMALL_STATE(198)] = 5285,
  [SMALL_STATE(199)] = 5387,
  [SMALL_STATE(200)] = 5492,
  [SMALL_STATE(201)] = 5589,
  [SMALL_STATE(202)] = 5690,
  [SMALL_STATE(203)] = 5795,
  [SMALL_STATE(204)] = 5900,
  [SMALL_STATE(205)] = 6005,
  [SMALL_STATE(206)] = 6110,
  [SMALL_STATE(207)] = 6207,
  [SMALL_STATE(208)] = 6312,
  [SMALL_STATE(209)] = 6412,
  [SMALL_STATE(210)] = 6512,
  [SMALL_STATE(211)] = 6612,
  [SMALL_STATE(212)] = 6712,
  [SMALL_STATE(213)] = 6812,
  [SMALL_STATE(214)] = 6912,
  [SMALL_STATE(215)] = 7012,
  [SMALL_STATE(216)] = 7112,
  [SMALL_STATE(217)] = 7171,
  [SMALL_STATE(218)] = 7230,
  [SMALL_STATE(219)] = 7329,
  [SMALL_STATE(220)] = 7428,
  [SMALL_STATE(221)] = 7525,
  [SMALL_STATE(222)] = 7584,
  [SMALL_STATE(223)] = 7681,
  [SMALL_STATE(224)] = 7780,
  [SMALL_STATE(225)] = 7839,
  [SMALL_STATE(226)] = 7936,
  [SMALL_STATE(227)] = 8035,
  [SMALL_STATE(228)] = 8134,
  [SMALL_STATE(229)] = 8231,
  [SMALL_STATE(230)] = 8328,
  [SMALL_STATE(231)] = 8427,
  [SMALL_STATE(232)] = 8498,
  [SMALL_STATE(233)] = 8595,
  [SMALL_STATE(234)] = 8694,
  [SMALL_STATE(235)] = 8753,
  [SMALL_STATE(236)] = 8852,
  [SMALL_STATE(237)] = 8951,
  [SMALL_STATE(238)] = 9010,
  [SMALL_STATE(239)] = 9081,
  [SMALL_STATE(240)] = 9140,
  [SMALL_STATE(241)] = 9236,
  [SMALL_STATE(242)] = 9332,
  [SMALL_STATE(243)] = 9402,
  [SMALL_STATE(244)] = 9498,
  [SMALL_STATE(245)] = 9594,
  [SMALL_STATE(246)] = 9688,
  [SMALL_STATE(247)] = 9782,
  [SMALL_STATE(248)] = 9876,
  [SMALL_STATE(249)] = 9970,
  [SMALL_STATE(250)] = 10064,
  [SMALL_STATE(251)] = 10134,
  [SMALL_STATE(252)] = 10230,
  [SMALL_STATE(253)] = 10326,
  [SMALL_STATE(254)] = 10420,
  [SMALL_STATE(255)] = 10514,
  [SMALL_STATE(256)] = 10584,
  [SMALL_STATE(257)] = 10678,
  [SMALL_STATE(258)] = 10774,
  [SMALL_STATE(259)] = 10868,
  [SMALL_STATE(260)] = 10964,
  [SMALL_STATE(261)] = 11034,
  [SMALL_STATE(262)] = 11128,
  [SMALL_STATE(263)] = 11222,
  [SMALL_STATE(264)] = 11318,
  [SMALL_STATE(265)] = 11412,
  [SMALL_STATE(266)] = 11506,
  [SMALL_STATE(267)] = 11602,
  [SMALL_STATE(268)] = 11670,
  [SMALL_STATE(269)] = 11764,
  [SMALL_STATE(270)] = 11860,
  [SMALL_STATE(271)] = 11953,
  [SMALL_STATE(272)] = 12046,
  [SMALL_STATE(273)] = 12139,
  [SMALL_STATE(274)] = 12196,
  [SMALL_STATE(275)] = 12289,
  [SMALL_STATE(276)] = 12346,
  [SMALL_STATE(277)] = 12403,
  [SMALL_STATE(278)] = 12496,
  [SMALL_STATE(279)] = 12589,
  [SMALL_STATE(280)] = 12682,
  [SMALL_STATE(281)] = 12775,
  [SMALL_STATE(282)] = 12868,
  [SMALL_STATE(283)] = 12961,
  [SMALL_STATE(284)] = 13054,
  [SMALL_STATE(285)] = 13111,
  [SMALL_STATE(286)] = 13204,
  [SMALL_STATE(287)] = 13297,
  [SMALL_STATE(288)] = 13354,
  [SMALL_STATE(289)] = 13419,
  [SMALL_STATE(290)] = 13476,
  [SMALL_STATE(291)] = 13533,
  [SMALL_STATE(292)] = 13598,
  [SMALL_STATE(293)] = 13691,
  [SMALL_STATE(294)] = 13784,
  [SMALL_STATE(295)] = 13877,
  [SMALL_STATE(296)] = 13970,
  [SMALL_STATE(297)] = 14063,
  [SMALL_STATE(298)] = 14156,
  [SMALL_STATE(299)] = 14246,
  [SMALL_STATE(300)] = 14302,
  [SMALL_STATE(301)] = 14392,
  [SMALL_STATE(302)] = 14482,
  [SMALL_STATE(303)] = 14572,
  [SMALL_STATE(304)] = 14628,
  [SMALL_STATE(305)] = 14718,
  [SMALL_STATE(306)] = 14808,
  [SMALL_STATE(307)] = 14898,
  [SMALL_STATE(308)] = 14988,
  [SMALL_STATE(309)] = 15078,
  [SMALL_STATE(310)] = 15168,
  [SMALL_STATE(311)] = 15258,
  [SMALL_STATE(312)] = 15314,
  [SMALL_STATE(313)] = 15404,
  [SMALL_STATE(314)] = 15466,
  [SMALL_STATE(315)] = 15556,
  [SMALL_STATE(316)] = 15646,
  [SMALL_STATE(317)] = 15736,
  [SMALL_STATE(318)] = 15792,
  [SMALL_STATE(319)] = 15882,
  [SMALL_STATE(320)] = 15938,
  [SMALL_STATE(321)] = 15998,
  [SMALL_STATE(322)] = 16088,
  [SMALL_STATE(323)] = 16178,
  [SMALL_STATE(324)] = 16268,
  [SMALL_STATE(325)] = 16358,
  [SMALL_STATE(326)] = 16448,
  [SMALL_STATE(327)] = 16538,
  [SMALL_STATE(328)] = 16628,
  [SMALL_STATE(329)] = 16718,
  [SMALL_STATE(330)] = 16808,
  [SMALL_STATE(331)] = 16864,
  [SMALL_STATE(332)] = 16954,
  [SMALL_STATE(333)] = 17020,
  [SMALL_STATE(334)] = 17110,
  [SMALL_STATE(335)] = 17200,
  [SMALL_STATE(336)] = 17266,
  [SMALL_STATE(337)] = 17332,
  [SMALL_STATE(338)] = 17422,
  [SMALL_STATE(339)] = 17512,
  [SMALL_STATE(340)] = 17602,
  [SMALL_STATE(341)] = 17692,
  [SMALL_STATE(342)] = 17782,
  [SMALL_STATE(343)] = 17844,
  [SMALL_STATE(344)] = 17934,
  [SMALL_STATE(345)] = 17990,
  [SMALL_STATE(346)] = 18080,
  [SMALL_STATE(347)] = 18170,
  [SMALL_STATE(348)] = 18232,
  [SMALL_STATE(349)] = 18292,
  [SMALL_STATE(350)] = 18384,
  [SMALL_STATE(351)] = 18474,
  [SMALL_STATE(352)] = 18564,
  [SMALL_STATE(353)] = 18654,
  [SMALL_STATE(354)] = 18744,
  [SMALL_STATE(355)] = 18834,
  [SMALL_STATE(356)] = 18924,
  [SMALL_STATE(357)] = 18990,
  [SMALL_STATE(358)] = 19080,
  [SMALL_STATE(359)] = 19170,
  [SMALL_STATE(360)] = 19260,
  [SMALL_STATE(361)] = 19326,
  [SMALL_STATE(362)] = 19416,
  [SMALL_STATE(363)] = 19482,
  [SMALL_STATE(364)] = 19544,
  [SMALL_STATE(365)] = 19634,
  [SMALL_STATE(366)] = 19724,
  [SMALL_STATE(367)] = 19790,
  [SMALL_STATE(368)] = 19880,
  [SMALL_STATE(369)] = 19970,
  [SMALL_STATE(370)] = 20060,
  [SMALL_STATE(371)] = 20116,
  [SMALL_STATE(372)] = 20206,
  [SMALL_STATE(373)] = 20296,
  [SMALL_STATE(374)] = 20386,
  [SMALL_STATE(375)] = 20452,
  [SMALL_STATE(376)] = 20508,
  [SMALL_STATE(377)] = 20598,
  [SMALL_STATE(378)] = 20688,
  [SMALL_STATE(379)] = 20778,
  [SMALL_STATE(380)] = 20868,
  [SMALL_STATE(381)] = 20958,
  [SMALL_STATE(382)] = 21048,
  [SMALL_STATE(383)] = 21104,
  [SMALL_STATE(384)] = 21165,
  [SMALL_STATE(385)] = 21226,
  [SMALL_STATE(386)] = 21286,
  [SMALL_STATE(387)] = 21346,
  [SMALL_STATE(388)] = 21406,
  [SMALL_STATE(389)] = 21466,
  [SMALL_STATE(390)] = 21526,
  [SMALL_STATE(391)] = 21586,
  [SMALL_STATE(392)] = 21640,
  [SMALL_STATE(393)] = 21694,
  [SMALL_STATE(394)] = 21754,
  [SMALL_STATE(395)] = 21814,
  [SMALL_STATE(396)] = 21874,
  [SMALL_STATE(397)] = 21934,
  [SMALL_STATE(398)] = 21994,
  [SMALL_STATE(399)] = 22054,
  [SMALL_STATE(400)] = 22108,
  [SMALL_STATE(401)] = 22168,
  [SMALL_STATE(402)] = 22228,
  [SMALL_STATE(403)] = 22288,
  [SMALL_STATE(404)] = 22342,
  [SMALL_STATE(405)] = 22402,
  [SMALL_STATE(406)] = 22456,
  [SMALL_STATE(407)] = 22510,
  [SMALL_STATE(408)] = 22564,
  [SMALL_STATE(409)] = 22618,
  [SMALL_STATE(410)] = 22672,
  [SMALL_STATE(411)] = 22726,
  [SMALL_STATE(412)] = 22780,
  [SMALL_STATE(413)] = 22840,
  [SMALL_STATE(414)] = 22894,
  [SMALL_STATE(415)] = 22954,
  [SMALL_STATE(416)] = 23011,
  [SMALL_STATE(417)] = 23068,
  [SMALL_STATE(418)] = 23121,
  [SMALL_STATE(419)] = 23178,
  [SMALL_STATE(420)] = 23235,
  [SMALL_STATE(421)] = 23288,
  [SMALL_STATE(422)] = 23341,
  [SMALL_STATE(423)] = 23398,
  [SMALL_STATE(424)] = 23455,
  [SMALL_STATE(425)] = 23512,
  [SMALL_STATE(426)] = 23569,
  [SMALL_STATE(427)] = 23626,
  [SMALL_STATE(428)] = 23683,
  [SMALL_STATE(429)] = 23736,
  [SMALL_STATE(430)] = 23793,
  [SMALL_STATE(431)] = 23850,
  [SMALL_STATE(432)] = 23903,
  [SMALL_STATE(433)] = 23956,
  [SMALL_STATE(434)] = 24013,
  [SMALL_STATE(435)] = 24070,
  [SMALL_STATE(436)] = 24127,
  [SMALL_STATE(437)] = 24184,
  [SMALL_STATE(438)] = 24236,
  [SMALL_STATE(439)] = 24288,
  [SMALL_STATE(440)] = 24340,
  [SMALL_STATE(441)] = 24392,
  [SMALL_STATE(442)] = 24444,
  [SMALL_STATE(443)] = 24496,
  [SMALL_STATE(444)] = 24548,
  [SMALL_STATE(445)] = 24600,
  [SMALL_STATE(446)] = 24652,
  [SMALL_STATE(447)] = 24704,
  [SMALL_STATE(448)] = 24756,
  [SMALL_STATE(449)] = 24808,
  [SMALL_STATE(450)] = 24860,
  [SMALL_STATE(451)] = 24912,
  [SMALL_STATE(452)] = 24964,
  [SMALL_STATE(453)] = 25016,
  [SMALL_STATE(454)] = 25068,
  [SMALL_STATE(455)] = 25120,
  [SMALL_STATE(456)] = 25172,
  [SMALL_STATE(457)] = 25224,
  [SMALL_STATE(458)] = 25276,
  [SMALL_STATE(459)] = 25328,
  [SMALL_STATE(460)] = 25380,
  [SMALL_STATE(461)] = 25432,
  [SMALL_STATE(462)] = 25484,
  [SMALL_STATE(463)] = 25536,
  [SMALL_STATE(464)] = 25588,
  [SMALL_STATE(465)] = 25640,
  [SMALL_STATE(466)] = 25692,
  [SMALL_STATE(467)] = 25744,
  [SMALL_STATE(468)] = 25796,
  [SMALL_STATE(469)] = 25848,
  [SMALL_STATE(470)] = 25900,
  [SMALL_STATE(471)] = 25952,
  [SMALL_STATE(472)] = 26004,
  [SMALL_STATE(473)] = 26056,
  [SMALL_STATE(474)] = 26108,
  [SMALL_STATE(475)] = 26160,
  [SMALL_STATE(476)] = 26212,
  [SMALL_STATE(477)] = 26264,
  [SMALL_STATE(478)] = 26316,
  [SMALL_STATE(479)] = 26368,
  [SMALL_STATE(480)] = 26420,
  [SMALL_STATE(481)] = 26472,
  [SMALL_STATE(482)] = 26524,
  [SMALL_STATE(483)] = 26576,
  [SMALL_STATE(484)] = 26628,
  [SMALL_STATE(485)] = 26680,
  [SMALL_STATE(486)] = 26732,
  [SMALL_STATE(487)] = 26784,
  [SMALL_STATE(488)] = 26836,
  [SMALL_STATE(489)] = 26888,
  [SMALL_STATE(490)] = 26940,
  [SMALL_STATE(491)] = 26992,
  [SMALL_STATE(492)] = 27044,
  [SMALL_STATE(493)] = 27096,
  [SMALL_STATE(494)] = 27148,
  [SMALL_STATE(495)] = 27200,
  [SMALL_STATE(496)] = 27252,
  [SMALL_STATE(497)] = 27304,
  [SMALL_STATE(498)] = 27356,
  [SMALL_STATE(499)] = 27408,
  [SMALL_STATE(500)] = 27460,
  [SMALL_STATE(501)] = 27512,
  [SMALL_STATE(502)] = 27564,
  [SMALL_STATE(503)] = 27616,
  [SMALL_STATE(504)] = 27668,
  [SMALL_STATE(505)] = 27720,
  [SMALL_STATE(506)] = 27772,
  [SMALL_STATE(507)] = 27824,
  [SMALL_STATE(508)] = 27875,
  [SMALL_STATE(509)] = 27926,
  [SMALL_STATE(510)] = 27977,
  [SMALL_STATE(511)] = 28028,
  [SMALL_STATE(512)] = 28079,
  [SMALL_STATE(513)] = 28130,
  [SMALL_STATE(514)] = 28181,
  [SMALL_STATE(515)] = 28232,
  [SMALL_STATE(516)] = 28283,
  [SMALL_STATE(517)] = 28334,
  [SMALL_STATE(518)] = 28385,
  [SMALL_STATE(519)] = 28436,
  [SMALL_STATE(520)] = 28487,
  [SMALL_STATE(521)] = 28538,
  [SMALL_STATE(522)] = 28589,
  [SMALL_STATE(523)] = 28640,
  [SMALL_STATE(524)] = 28691,
  [SMALL_STATE(525)] = 28742,
  [SMALL_STATE(526)] = 28793,
  [SMALL_STATE(527)] = 28844,
  [SMALL_STATE(528)] = 28895,
  [SMALL_STATE(529)] = 28946,
  [SMALL_STATE(530)] = 28997,
  [SMALL_STATE(531)] = 29048,
  [SMALL_STATE(532)] = 29131,
  [SMALL_STATE(533)] = 29182,
  [SMALL_STATE(534)] = 29233,
  [SMALL_STATE(535)] = 29284,
  [SMALL_STATE(536)] = 29335,
  [SMALL_STATE(537)] = 29386,
  [SMALL_STATE(538)] = 29437,
  [SMALL_STATE(539)] = 29488,
  [SMALL_STATE(540)] = 29539,
  [SMALL_STATE(541)] = 29590,
  [SMALL_STATE(542)] = 29641,
  [SMALL_STATE(543)] = 29692,
  [SMALL_STATE(544)] = 29743,
  [SMALL_STATE(545)] = 29794,
  [SMALL_STATE(546)] = 29845,
  [SMALL_STATE(547)] = 29896,
  [SMALL_STATE(548)] = 29947,
  [SMALL_STATE(549)] = 29998,
  [SMALL_STATE(550)] = 30049,
  [SMALL_STATE(551)] = 30100,
  [SMALL_STATE(552)] = 30151,
  [SMALL_STATE(553)] = 30202,
  [SMALL_STATE(554)] = 30253,
  [SMALL_STATE(555)] = 30304,
  [SMALL_STATE(556)] = 30387,
  [SMALL_STATE(557)] = 30438,
  [SMALL_STATE(558)] = 30489,
  [SMALL_STATE(559)] = 30540,
  [SMALL_STATE(560)] = 30591,
  [SMALL_STATE(561)] = 30642,
  [SMALL_STATE(562)] = 30693,
  [SMALL_STATE(563)] = 30744,
  [SMALL_STATE(564)] = 30795,
  [SMALL_STATE(565)] = 30846,
  [SMALL_STATE(566)] = 30897,
  [SMALL_STATE(567)] = 30948,
  [SMALL_STATE(568)] = 30999,
  [SMALL_STATE(569)] = 31050,
  [SMALL_STATE(570)] = 31101,
  [SMALL_STATE(571)] = 31152,
  [SMALL_STATE(572)] = 31203,
  [SMALL_STATE(573)] = 31254,
  [SMALL_STATE(574)] = 31305,
  [SMALL_STATE(575)] = 31356,
  [SMALL_STATE(576)] = 31441,
  [SMALL_STATE(577)] = 31492,
  [SMALL_STATE(578)] = 31543,
  [SMALL_STATE(579)] = 31594,
  [SMALL_STATE(580)] = 31645,
  [SMALL_STATE(581)] = 31727,
  [SMALL_STATE(582)] = 31809,
  [SMALL_STATE(583)] = 31891,
  [SMALL_STATE(584)] = 31973,
  [SMALL_STATE(585)] = 32055,
  [SMALL_STATE(586)] = 32137,
  [SMALL_STATE(587)] = 32220,
  [SMALL_STATE(588)] = 32273,
  [SMALL_STATE(589)] = 32352,
  [SMALL_STATE(590)] = 32405,
  [SMALL_STATE(591)] = 32458,
  [SMALL_STATE(592)] = 32526,
  [SMALL_STATE(593)] = 32584,
  [SMALL_STATE(594)] = 32636,
  [SMALL_STATE(595)] = 32718,
  [SMALL_STATE(596)] = 32790,
  [SMALL_STATE(597)] = 32842,
  [SMALL_STATE(598)] = 32906,
  [SMALL_STATE(599)] = 32964,
  [SMALL_STATE(600)] = 33016,
  [SMALL_STATE(601)] = 33088,
  [SMALL_STATE(602)] = 33146,
  [SMALL_STATE(603)] = 33208,
  [SMALL_STATE(604)] = 33278,
  [SMALL_STATE(605)] = 33344,
  [SMALL_STATE(606)] = 33393,
  [SMALL_STATE(607)] = 33466,
  [SMALL_STATE(608)] = 33531,
  [SMALL_STATE(609)] = 33602,
  [SMALL_STATE(610)] = 33669,
  [SMALL_STATE(611)] = 33716,
  [SMALL_STATE(612)] = 33785,
  [SMALL_STATE(613)] = 33846,
  [SMALL_STATE(614)] = 33903,
  [SMALL_STATE(615)] = 33974,
  [SMALL_STATE(616)] = 34037,
  [SMALL_STATE(617)] = 34094,
  [SMALL_STATE(618)] = 34143,
  [SMALL_STATE(619)] = 34190,
  [SMALL_STATE(620)] = 34247,
  [SMALL_STATE(621)] = 34293,
  [SMALL_STATE(622)] = 34373,
  [SMALL_STATE(623)] = 34419,
  [SMALL_STATE(624)] = 34465,
  [SMALL_STATE(625)] = 34511,
  [SMALL_STATE(626)] = 34561,
  [SMALL_STATE(627)] = 34609,
  [SMALL_STATE(628)] = 34657,
  [SMALL_STATE(629)] = 34703,
  [SMALL_STATE(630)] = 34753,
  [SMALL_STATE(631)] = 34799,
  [SMALL_STATE(632)] = 34845,
  [SMALL_STATE(633)] = 34891,
  [SMALL_STATE(634)] = 34937,
  [SMALL_STATE(635)] = 34983,
  [SMALL_STATE(636)] = 35029,
  [SMALL_STATE(637)] = 35075,
  [SMALL_STATE(638)] = 35121,
  [SMALL_STATE(639)] = 35167,
  [SMALL_STATE(640)] = 35213,
  [SMALL_STATE(641)] = 35259,
  [SMALL_STATE(642)] = 35309,
  [SMALL_STATE(643)] = 35355,
  [SMALL_STATE(644)] = 35401,
  [SMALL_STATE(645)] = 35447,
  [SMALL_STATE(646)] = 35493,
  [SMALL_STATE(647)] = 35539,
  [SMALL_STATE(648)] = 35585,
  [SMALL_STATE(649)] = 35631,
  [SMALL_STATE(650)] = 35677,
  [SMALL_STATE(651)] = 35723,
  [SMALL_STATE(652)] = 35769,
  [SMALL_STATE(653)] = 35815,
  [SMALL_STATE(654)] = 35861,
  [SMALL_STATE(655)] = 35907,
  [SMALL_STATE(656)] = 35953,
  [SMALL_STATE(657)] = 35999,
  [SMALL_STATE(658)] = 36045,
  [SMALL_STATE(659)] = 36091,
  [SMALL_STATE(660)] = 36137,
  [SMALL_STATE(661)] = 36206,
  [SMALL_STATE(662)] = 36273,
  [SMALL_STATE(663)] = 36318,
  [SMALL_STATE(664)] = 36363,
  [SMALL_STATE(665)] = 36408,
  [SMALL_STATE(666)] = 36453,
  [SMALL_STATE(667)] = 36498,
  [SMALL_STATE(668)] = 36543,
  [SMALL_STATE(669)] = 36588,
  [SMALL_STATE(670)] = 36633,
  [SMALL_STATE(671)] = 36678,
  [SMALL_STATE(672)] = 36733,
  [SMALL_STATE(673)] = 36778,
  [SMALL_STATE(674)] = 36823,
  [SMALL_STATE(675)] = 36892,
  [SMALL_STATE(676)] = 36955,
  [SMALL_STATE(677)] = 37022,
  [SMALL_STATE(678)] = 37081,
  [SMALL_STATE(679)] = 37126,
  [SMALL_STATE(680)] = 37171,
  [SMALL_STATE(681)] = 37232,
  [SMALL_STATE(682)] = 37297,
  [SMALL_STATE(683)] = 37342,
  [SMALL_STATE(684)] = 37397,
  [SMALL_STATE(685)] = 37464,
  [SMALL_STATE(686)] = 37509,
  [SMALL_STATE(687)] = 37576,
  [SMALL_STATE(688)] = 37621,
  [SMALL_STATE(689)] = 37666,
  [SMALL_STATE(690)] = 37711,
  [SMALL_STATE(691)] = 37756,
  [SMALL_STATE(692)] = 37801,
  [SMALL_STATE(693)] = 37846,
  [SMALL_STATE(694)] = 37891,
  [SMALL_STATE(695)] = 37936,
  [SMALL_STATE(696)] = 37981,
  [SMALL_STATE(697)] = 38026,
  [SMALL_STATE(698)] = 38081,
  [SMALL_STATE(699)] = 38145,
  [SMALL_STATE(700)] = 38193,
  [SMALL_STATE(701)] = 38257,
  [SMALL_STATE(702)] = 38321,
  [SMALL_STATE(703)] = 38385,
  [SMALL_STATE(704)] = 38449,
  [SMALL_STATE(705)] = 38517,
  [SMALL_STATE(706)] = 38581,
  [SMALL_STATE(707)] = 38645,
  [SMALL_STATE(708)] = 38691,
  [SMALL_STATE(709)] = 38755,
  [SMALL_STATE(710)] = 38801,
  [SMALL_STATE(711)] = 38847,
  [SMALL_STATE(712)] = 38895,
  [SMALL_STATE(713)] = 38959,
  [SMALL_STATE(714)] = 39023,
  [SMALL_STATE(715)] = 39087,
  [SMALL_STATE(716)] = 39151,
  [SMALL_STATE(717)] = 39215,
  [SMALL_STATE(718)] = 39279,
  [SMALL_STATE(719)] = 39343,
  [SMALL_STATE(720)] = 39407,
  [SMALL_STATE(721)] = 39471,
  [SMALL_STATE(722)] = 39535,
  [SMALL_STATE(723)] = 39579,
  [SMALL_STATE(724)] = 39627,
  [SMALL_STATE(725)] = 39695,
  [SMALL_STATE(726)] = 39759,
  [SMALL_STATE(727)] = 39823,
  [SMALL_STATE(728)] = 39887,
  [SMALL_STATE(729)] = 39951,
  [SMALL_STATE(730)] = 40015,
  [SMALL_STATE(731)] = 40079,
  [SMALL_STATE(732)] = 40143,
  [SMALL_STATE(733)] = 40207,
  [SMALL_STATE(734)] = 40271,
  [SMALL_STATE(735)] = 40335,
  [SMALL_STATE(736)] = 40399,
  [SMALL_STATE(737)] = 40445,
  [SMALL_STATE(738)] = 40493,
  [SMALL_STATE(739)] = 40557,
  [SMALL_STATE(740)] = 40621,
  [SMALL_STATE(741)] = 40685,
  [SMALL_STATE(742)] = 40729,
  [SMALL_STATE(743)] = 40793,
  [SMALL_STATE(744)] = 40857,
  [SMALL_STATE(745)] = 40921,
  [SMALL_STATE(746)] = 40985,
  [SMALL_STATE(747)] = 41049,
  [SMALL_STATE(748)] = 41113,
  [SMALL_STATE(749)] = 41177,
  [SMALL_STATE(750)] = 41222,
  [SMALL_STATE(751)] = 41267,
  [SMALL_STATE(752)] = 41310,
  [SMALL_STATE(753)] = 41353,
  [SMALL_STATE(754)] = 41398,
  [SMALL_STATE(755)] = 41443,
  [SMALL_STATE(756)] = 41486,
  [SMALL_STATE(757)] = 41529,
  [SMALL_STATE(758)] = 41572,
  [SMALL_STATE(759)] = 41615,
  [SMALL_STATE(760)] = 41658,
  [SMALL_STATE(761)] = 41701,
  [SMALL_STATE(762)] = 41744,
  [SMALL_STATE(763)] = 41787,
  [SMALL_STATE(764)] = 41830,
  [SMALL_STATE(765)] = 41873,
  [SMALL_STATE(766)] = 41916,
  [SMALL_STATE(767)] = 41959,
  [SMALL_STATE(768)] = 42002,
  [SMALL_STATE(769)] = 42045,
  [SMALL_STATE(770)] = 42088,
  [SMALL_STATE(771)] = 42133,
  [SMALL_STATE(772)] = 42176,
  [SMALL_STATE(773)] = 42219,
  [SMALL_STATE(774)] = 42264,
  [SMALL_STATE(775)] = 42307,
  [SMALL_STATE(776)] = 42352,
  [SMALL_STATE(777)] = 42395,
  [SMALL_STATE(778)] = 42438,
  [SMALL_STATE(779)] = 42483,
  [SMALL_STATE(780)] = 42526,
  [SMALL_STATE(781)] = 42569,
  [SMALL_STATE(782)] = 42614,
  [SMALL_STATE(783)] = 42659,
  [SMALL_STATE(784)] = 42702,
  [SMALL_STATE(785)] = 42748,
  [SMALL_STATE(786)] = 42794,
  [SMALL_STATE(787)] = 42840,
  [SMALL_STATE(788)] = 42883,
  [SMALL_STATE(789)] = 42926,
  [SMALL_STATE(790)] = 42969,
  [SMALL_STATE(791)] = 43010,
  [SMALL_STATE(792)] = 43051,
  [SMALL_STATE(793)] = 43091,
  [SMALL_STATE(794)] = 43131,
  [SMALL_STATE(795)] = 43161,
  [SMALL_STATE(796)] = 43199,
  [SMALL_STATE(797)] = 43237,
  [SMALL_STATE(798)] = 43262,
  [SMALL_STATE(799)] = 43311,
  [SMALL_STATE(800)] = 43336,
  [SMALL_STATE(801)] = 43361,
  [SMALL_STATE(802)] = 43386,
  [SMALL_STATE(803)] = 43415,
  [SMALL_STATE(804)] = 43444,
  [SMALL_STATE(805)] = 43480,
  [SMALL_STATE(806)] = 43526,
  [SMALL_STATE(807)] = 43566,
  [SMALL_STATE(808)] = 43602,
  [SMALL_STATE(809)] = 43638,
  [SMALL_STATE(810)] = 43676,
  [SMALL_STATE(811)] = 43722,
  [SMALL_STATE(812)] = 43766,
  [SMALL_STATE(813)] = 43808,
  [SMALL_STATE(814)] = 43836,
  [SMALL_STATE(815)] = 43879,
  [SMALL_STATE(816)] = 43922,
  [SMALL_STATE(817)] = 43965,
  [SMALL_STATE(818)] = 44008,
  [SMALL_STATE(819)] = 44039,
  [SMALL_STATE(820)] = 44079,
  [SMALL_STATE(821)] = 44116,
  [SMALL_STATE(822)] = 44153,
  [SMALL_STATE(823)] = 44190,
  [SMALL_STATE(824)] = 44215,
  [SMALL_STATE(825)] = 44252,
  [SMALL_STATE(826)] = 44286,
  [SMALL_STATE(827)] = 44320,
  [SMALL_STATE(828)] = 44338,
  [SMALL_STATE(829)] = 44364,
  [SMALL_STATE(830)] = 44382,
  [SMALL_STATE(831)] = 44422,
  [SMALL_STATE(832)] = 44440,
  [SMALL_STATE(833)] = 44466,
  [SMALL_STATE(834)] = 44484,
  [SMALL_STATE(835)] = 44506,
  [SMALL_STATE(836)] = 44532,
  [SMALL_STATE(837)] = 44556,
  [SMALL_STATE(838)] = 44596,
  [SMALL_STATE(839)] = 44616,
  [SMALL_STATE(840)] = 44656,
  [SMALL_STATE(841)] = 44693,
  [SMALL_STATE(842)] = 44730,
  [SMALL_STATE(843)] = 44749,
  [SMALL_STATE(844)] = 44786,
  [SMALL_STATE(845)] = 44809,
  [SMALL_STATE(846)] = 44834,
  [SMALL_STATE(847)] = 44853,
  [SMALL_STATE(848)] = 44890,
  [SMALL_STATE(849)] = 44909,
  [SMALL_STATE(850)] = 44934,
  [SMALL_STATE(851)] = 44971,
  [SMALL_STATE(852)] = 45008,
  [SMALL_STATE(853)] = 45033,
  [SMALL_STATE(854)] = 45054,
  [SMALL_STATE(855)] = 45091,
  [SMALL_STATE(856)] = 45128,
  [SMALL_STATE(857)] = 45165,
  [SMALL_STATE(858)] = 45188,
  [SMALL_STATE(859)] = 45207,
  [SMALL_STATE(860)] = 45244,
  [SMALL_STATE(861)] = 45268,
  [SMALL_STATE(862)] = 45290,
  [SMALL_STATE(863)] = 45314,
  [SMALL_STATE(864)] = 45338,
  [SMALL_STATE(865)] = 45362,
  [SMALL_STATE(866)] = 45384,
  [SMALL_STATE(867)] = 45408,
  [SMALL_STATE(868)] = 45432,
  [SMALL_STATE(869)] = 45456,
  [SMALL_STATE(870)] = 45478,
  [SMALL_STATE(871)] = 45502,
  [SMALL_STATE(872)] = 45526,
  [SMALL_STATE(873)] = 45547,
  [SMALL_STATE(874)] = 45562,
  [SMALL_STATE(875)] = 45585,
  [SMALL_STATE(876)] = 45608,
  [SMALL_STATE(877)] = 45631,
  [SMALL_STATE(878)] = 45662,
  [SMALL_STATE(879)] = 45677,
  [SMALL_STATE(880)] = 45700,
  [SMALL_STATE(881)] = 45723,
  [SMALL_STATE(882)] = 45746,
  [SMALL_STATE(883)] = 45761,
  [SMALL_STATE(884)] = 45782,
  [SMALL_STATE(885)] = 45809,
  [SMALL_STATE(886)] = 45832,
  [SMALL_STATE(887)] = 45861,
  [SMALL_STATE(888)] = 45876,
  [SMALL_STATE(889)] = 45895,
  [SMALL_STATE(890)] = 45912,
  [SMALL_STATE(891)] = 45934,
  [SMALL_STATE(892)] = 45956,
  [SMALL_STATE(893)] = 45978,
  [SMALL_STATE(894)] = 46006,
  [SMALL_STATE(895)] = 46034,
  [SMALL_STATE(896)] = 46062,
  [SMALL_STATE(897)] = 46080,
  [SMALL_STATE(898)] = 46106,
  [SMALL_STATE(899)] = 46132,
  [SMALL_STATE(900)] = 46154,
  [SMALL_STATE(901)] = 46180,
  [SMALL_STATE(902)] = 46204,
  [SMALL_STATE(903)] = 46232,
  [SMALL_STATE(904)] = 46258,
  [SMALL_STATE(905)] = 46284,
  [SMALL_STATE(906)] = 46302,
  [SMALL_STATE(907)] = 46328,
  [SMALL_STATE(908)] = 46354,
  [SMALL_STATE(909)] = 46372,
  [SMALL_STATE(910)] = 46394,
  [SMALL_STATE(911)] = 46412,
  [SMALL_STATE(912)] = 46430,
  [SMALL_STATE(913)] = 46454,
  [SMALL_STATE(914)] = 46482,
  [SMALL_STATE(915)] = 46504,
  [SMALL_STATE(916)] = 46530,
  [SMALL_STATE(917)] = 46553,
  [SMALL_STATE(918)] = 46578,
  [SMALL_STATE(919)] = 46603,
  [SMALL_STATE(920)] = 46628,
  [SMALL_STATE(921)] = 46653,
  [SMALL_STATE(922)] = 46674,
  [SMALL_STATE(923)] = 46699,
  [SMALL_STATE(924)] = 46724,
  [SMALL_STATE(925)] = 46747,
  [SMALL_STATE(926)] = 46772,
  [SMALL_STATE(927)] = 46785,
  [SMALL_STATE(928)] = 46798,
  [SMALL_STATE(929)] = 46819,
  [SMALL_STATE(930)] = 46832,
  [SMALL_STATE(931)] = 46853,
  [SMALL_STATE(932)] = 46878,
  [SMALL_STATE(933)] = 46893,
  [SMALL_STATE(934)] = 46916,
  [SMALL_STATE(935)] = 46939,
  [SMALL_STATE(936)] = 46964,
  [SMALL_STATE(937)] = 46985,
  [SMALL_STATE(938)] = 47000,
  [SMALL_STATE(939)] = 47021,
  [SMALL_STATE(940)] = 47036,
  [SMALL_STATE(941)] = 47061,
  [SMALL_STATE(942)] = 47082,
  [SMALL_STATE(943)] = 47103,
  [SMALL_STATE(944)] = 47128,
  [SMALL_STATE(945)] = 47143,
  [SMALL_STATE(946)] = 47163,
  [SMALL_STATE(947)] = 47179,
  [SMALL_STATE(948)] = 47195,
  [SMALL_STATE(949)] = 47211,
  [SMALL_STATE(950)] = 47231,
  [SMALL_STATE(951)] = 47251,
  [SMALL_STATE(952)] = 47267,
  [SMALL_STATE(953)] = 47285,
  [SMALL_STATE(954)] = 47305,
  [SMALL_STATE(955)] = 47327,
  [SMALL_STATE(956)] = 47343,
  [SMALL_STATE(957)] = 47363,
  [SMALL_STATE(958)] = 47383,
  [SMALL_STATE(959)] = 47399,
  [SMALL_STATE(960)] = 47415,
  [SMALL_STATE(961)] = 47435,
  [SMALL_STATE(962)] = 47451,
  [SMALL_STATE(963)] = 47471,
  [SMALL_STATE(964)] = 47493,
  [SMALL_STATE(965)] = 47509,
  [SMALL_STATE(966)] = 47529,
  [SMALL_STATE(967)] = 47551,
  [SMALL_STATE(968)] = 47567,
  [SMALL_STATE(969)] = 47587,
  [SMALL_STATE(970)] = 47607,
  [SMALL_STATE(971)] = 47626,
  [SMALL_STATE(972)] = 47637,
  [SMALL_STATE(973)] = 47656,
  [SMALL_STATE(974)] = 47673,
  [SMALL_STATE(975)] = 47690,
  [SMALL_STATE(976)] = 47707,
  [SMALL_STATE(977)] = 47724,
  [SMALL_STATE(978)] = 47743,
  [SMALL_STATE(979)] = 47762,
  [SMALL_STATE(980)] = 47781,
  [SMALL_STATE(981)] = 47798,
  [SMALL_STATE(982)] = 47809,
  [SMALL_STATE(983)] = 47824,
  [SMALL_STATE(984)] = 47841,
  [SMALL_STATE(985)] = 47856,
  [SMALL_STATE(986)] = 47875,
  [SMALL_STATE(987)] = 47894,
  [SMALL_STATE(988)] = 47913,
  [SMALL_STATE(989)] = 47930,
  [SMALL_STATE(990)] = 47949,
  [SMALL_STATE(991)] = 47968,
  [SMALL_STATE(992)] = 47983,
  [SMALL_STATE(993)] = 48002,
  [SMALL_STATE(994)] = 48021,
  [SMALL_STATE(995)] = 48040,
  [SMALL_STATE(996)] = 48059,
  [SMALL_STATE(997)] = 48076,
  [SMALL_STATE(998)] = 48095,
  [SMALL_STATE(999)] = 48114,
  [SMALL_STATE(1000)] = 48133,
  [SMALL_STATE(1001)] = 48148,
  [SMALL_STATE(1002)] = 48165,
  [SMALL_STATE(1003)] = 48182,
  [SMALL_STATE(1004)] = 48199,
  [SMALL_STATE(1005)] = 48218,
  [SMALL_STATE(1006)] = 48233,
  [SMALL_STATE(1007)] = 48252,
  [SMALL_STATE(1008)] = 48271,
  [SMALL_STATE(1009)] = 48290,
  [SMALL_STATE(1010)] = 48304,
  [SMALL_STATE(1011)] = 48314,
  [SMALL_STATE(1012)] = 48324,
  [SMALL_STATE(1013)] = 48334,
  [SMALL_STATE(1014)] = 48344,
  [SMALL_STATE(1015)] = 48358,
  [SMALL_STATE(1016)] = 48374,
  [SMALL_STATE(1017)] = 48388,
  [SMALL_STATE(1018)] = 48404,
  [SMALL_STATE(1019)] = 48420,
  [SMALL_STATE(1020)] = 48436,
  [SMALL_STATE(1021)] = 48450,
  [SMALL_STATE(1022)] = 48464,
  [SMALL_STATE(1023)] = 48480,
  [SMALL_STATE(1024)] = 48494,
  [SMALL_STATE(1025)] = 48508,
  [SMALL_STATE(1026)] = 48522,
  [SMALL_STATE(1027)] = 48536,
  [SMALL_STATE(1028)] = 48552,
  [SMALL_STATE(1029)] = 48566,
  [SMALL_STATE(1030)] = 48580,
  [SMALL_STATE(1031)] = 48594,
  [SMALL_STATE(1032)] = 48608,
  [SMALL_STATE(1033)] = 48622,
  [SMALL_STATE(1034)] = 48632,
  [SMALL_STATE(1035)] = 48648,
  [SMALL_STATE(1036)] = 48662,
  [SMALL_STATE(1037)] = 48674,
  [SMALL_STATE(1038)] = 48688,
  [SMALL_STATE(1039)] = 48702,
  [SMALL_STATE(1040)] = 48716,
  [SMALL_STATE(1041)] = 48730,
  [SMALL_STATE(1042)] = 48744,
  [SMALL_STATE(1043)] = 48758,
  [SMALL_STATE(1044)] = 48772,
  [SMALL_STATE(1045)] = 48786,
  [SMALL_STATE(1046)] = 48802,
  [SMALL_STATE(1047)] = 48814,
  [SMALL_STATE(1048)] = 48825,
  [SMALL_STATE(1049)] = 48838,
  [SMALL_STATE(1050)] = 48847,
  [SMALL_STATE(1051)] = 48860,
  [SMALL_STATE(1052)] = 48873,
  [SMALL_STATE(1053)] = 48886,
  [SMALL_STATE(1054)] = 48899,
  [SMALL_STATE(1055)] = 48912,
  [SMALL_STATE(1056)] = 48923,
  [SMALL_STATE(1057)] = 48936,
  [SMALL_STATE(1058)] = 48949,
  [SMALL_STATE(1059)] = 48962,
  [SMALL_STATE(1060)] = 48975,
  [SMALL_STATE(1061)] = 48988,
  [SMALL_STATE(1062)] = 49001,
  [SMALL_STATE(1063)] = 49014,
  [SMALL_STATE(1064)] = 49027,
  [SMALL_STATE(1065)] = 49040,
  [SMALL_STATE(1066)] = 49053,
  [SMALL_STATE(1067)] = 49064,
  [SMALL_STATE(1068)] = 49077,
  [SMALL_STATE(1069)] = 49090,
  [SMALL_STATE(1070)] = 49099,
  [SMALL_STATE(1071)] = 49112,
  [SMALL_STATE(1072)] = 49125,
  [SMALL_STATE(1073)] = 49138,
  [SMALL_STATE(1074)] = 49151,
  [SMALL_STATE(1075)] = 49164,
  [SMALL_STATE(1076)] = 49177,
  [SMALL_STATE(1077)] = 49190,
  [SMALL_STATE(1078)] = 49203,
  [SMALL_STATE(1079)] = 49212,
  [SMALL_STATE(1080)] = 49225,
  [SMALL_STATE(1081)] = 49238,
  [SMALL_STATE(1082)] = 49251,
  [SMALL_STATE(1083)] = 49264,
  [SMALL_STATE(1084)] = 49277,
  [SMALL_STATE(1085)] = 49290,
  [SMALL_STATE(1086)] = 49303,
  [SMALL_STATE(1087)] = 49316,
  [SMALL_STATE(1088)] = 49329,
  [SMALL_STATE(1089)] = 49342,
  [SMALL_STATE(1090)] = 49355,
  [SMALL_STATE(1091)] = 49368,
  [SMALL_STATE(1092)] = 49381,
  [SMALL_STATE(1093)] = 49394,
  [SMALL_STATE(1094)] = 49407,
  [SMALL_STATE(1095)] = 49420,
  [SMALL_STATE(1096)] = 49429,
  [SMALL_STATE(1097)] = 49442,
  [SMALL_STATE(1098)] = 49455,
  [SMALL_STATE(1099)] = 49468,
  [SMALL_STATE(1100)] = 49481,
  [SMALL_STATE(1101)] = 49490,
  [SMALL_STATE(1102)] = 49503,
  [SMALL_STATE(1103)] = 49516,
  [SMALL_STATE(1104)] = 49529,
  [SMALL_STATE(1105)] = 49542,
  [SMALL_STATE(1106)] = 49555,
  [SMALL_STATE(1107)] = 49568,
  [SMALL_STATE(1108)] = 49577,
  [SMALL_STATE(1109)] = 49590,
  [SMALL_STATE(1110)] = 49603,
  [SMALL_STATE(1111)] = 49616,
  [SMALL_STATE(1112)] = 49629,
  [SMALL_STATE(1113)] = 49642,
  [SMALL_STATE(1114)] = 49655,
  [SMALL_STATE(1115)] = 49668,
  [SMALL_STATE(1116)] = 49679,
  [SMALL_STATE(1117)] = 49688,
  [SMALL_STATE(1118)] = 49701,
  [SMALL_STATE(1119)] = 49710,
  [SMALL_STATE(1120)] = 49723,
  [SMALL_STATE(1121)] = 49734,
  [SMALL_STATE(1122)] = 49743,
  [SMALL_STATE(1123)] = 49756,
  [SMALL_STATE(1124)] = 49769,
  [SMALL_STATE(1125)] = 49782,
  [SMALL_STATE(1126)] = 49795,
  [SMALL_STATE(1127)] = 49808,
  [SMALL_STATE(1128)] = 49821,
  [SMALL_STATE(1129)] = 49830,
  [SMALL_STATE(1130)] = 49843,
  [SMALL_STATE(1131)] = 49854,
  [SMALL_STATE(1132)] = 49867,
  [SMALL_STATE(1133)] = 49880,
  [SMALL_STATE(1134)] = 49891,
  [SMALL_STATE(1135)] = 49900,
  [SMALL_STATE(1136)] = 49913,
  [SMALL_STATE(1137)] = 49926,
  [SMALL_STATE(1138)] = 49935,
  [SMALL_STATE(1139)] = 49945,
  [SMALL_STATE(1140)] = 49953,
  [SMALL_STATE(1141)] = 49961,
  [SMALL_STATE(1142)] = 49969,
  [SMALL_STATE(1143)] = 49977,
  [SMALL_STATE(1144)] = 49985,
  [SMALL_STATE(1145)] = 49995,
  [SMALL_STATE(1146)] = 50003,
  [SMALL_STATE(1147)] = 50011,
  [SMALL_STATE(1148)] = 50019,
  [SMALL_STATE(1149)] = 50027,
  [SMALL_STATE(1150)] = 50037,
  [SMALL_STATE(1151)] = 50047,
  [SMALL_STATE(1152)] = 50055,
  [SMALL_STATE(1153)] = 50065,
  [SMALL_STATE(1154)] = 50073,
  [SMALL_STATE(1155)] = 50081,
  [SMALL_STATE(1156)] = 50089,
  [SMALL_STATE(1157)] = 50097,
  [SMALL_STATE(1158)] = 50105,
  [SMALL_STATE(1159)] = 50113,
  [SMALL_STATE(1160)] = 50121,
  [SMALL_STATE(1161)] = 50129,
  [SMALL_STATE(1162)] = 50137,
  [SMALL_STATE(1163)] = 50145,
  [SMALL_STATE(1164)] = 50153,
  [SMALL_STATE(1165)] = 50163,
  [SMALL_STATE(1166)] = 50171,
  [SMALL_STATE(1167)] = 50181,
  [SMALL_STATE(1168)] = 50189,
  [SMALL_STATE(1169)] = 50197,
  [SMALL_STATE(1170)] = 50205,
  [SMALL_STATE(1171)] = 50213,
  [SMALL_STATE(1172)] = 50221,
  [SMALL_STATE(1173)] = 50229,
  [SMALL_STATE(1174)] = 50237,
  [SMALL_STATE(1175)] = 50245,
  [SMALL_STATE(1176)] = 50253,
  [SMALL_STATE(1177)] = 50261,
  [SMALL_STATE(1178)] = 50271,
  [SMALL_STATE(1179)] = 50278,
  [SMALL_STATE(1180)] = 50285,
  [SMALL_STATE(1181)] = 50292,
  [SMALL_STATE(1182)] = 50299,
  [SMALL_STATE(1183)] = 50306,
  [SMALL_STATE(1184)] = 50313,
  [SMALL_STATE(1185)] = 50320,
  [SMALL_STATE(1186)] = 50327,
  [SMALL_STATE(1187)] = 50334,
  [SMALL_STATE(1188)] = 50341,
  [SMALL_STATE(1189)] = 50348,
  [SMALL_STATE(1190)] = 50355,
  [SMALL_STATE(1191)] = 50362,
  [SMALL_STATE(1192)] = 50369,
  [SMALL_STATE(1193)] = 50376,
  [SMALL_STATE(1194)] = 50383,
  [SMALL_STATE(1195)] = 50390,
  [SMALL_STATE(1196)] = 50397,
  [SMALL_STATE(1197)] = 50404,
  [SMALL_STATE(1198)] = 50411,
  [SMALL_STATE(1199)] = 50418,
  [SMALL_STATE(1200)] = 50425,
  [SMALL_STATE(1201)] = 50432,
  [SMALL_STATE(1202)] = 50439,
  [SMALL_STATE(1203)] = 50446,
  [SMALL_STATE(1204)] = 50453,
  [SMALL_STATE(1205)] = 50460,
  [SMALL_STATE(1206)] = 50467,
  [SMALL_STATE(1207)] = 50474,
  [SMALL_STATE(1208)] = 50481,
  [SMALL_STATE(1209)] = 50488,
  [SMALL_STATE(1210)] = 50495,
  [SMALL_STATE(1211)] = 50502,
  [SMALL_STATE(1212)] = 50509,
  [SMALL_STATE(1213)] = 50516,
  [SMALL_STATE(1214)] = 50523,
  [SMALL_STATE(1215)] = 50530,
  [SMALL_STATE(1216)] = 50537,
  [SMALL_STATE(1217)] = 50544,
  [SMALL_STATE(1218)] = 50551,
  [SMALL_STATE(1219)] = 50558,
  [SMALL_STATE(1220)] = 50565,
  [SMALL_STATE(1221)] = 50572,
  [SMALL_STATE(1222)] = 50579,
  [SMALL_STATE(1223)] = 50586,
  [SMALL_STATE(1224)] = 50593,
  [SMALL_STATE(1225)] = 50600,
  [SMALL_STATE(1226)] = 50607,
  [SMALL_STATE(1227)] = 50614,
  [SMALL_STATE(1228)] = 50621,
  [SMALL_STATE(1229)] = 50628,
  [SMALL_STATE(1230)] = 50635,
  [SMALL_STATE(1231)] = 50642,
  [SMALL_STATE(1232)] = 50649,
  [SMALL_STATE(1233)] = 50656,
  [SMALL_STATE(1234)] = 50663,
  [SMALL_STATE(1235)] = 50670,
  [SMALL_STATE(1236)] = 50677,
  [SMALL_STATE(1237)] = 50684,
  [SMALL_STATE(1238)] = 50691,
  [SMALL_STATE(1239)] = 50698,
  [SMALL_STATE(1240)] = 50705,
  [SMALL_STATE(1241)] = 50712,
  [SMALL_STATE(1242)] = 50719,
  [SMALL_STATE(1243)] = 50726,
  [SMALL_STATE(1244)] = 50733,
  [SMALL_STATE(1245)] = 50740,
  [SMALL_STATE(1246)] = 50747,
  [SMALL_STATE(1247)] = 50754,
  [SMALL_STATE(1248)] = 50761,
  [SMALL_STATE(1249)] = 50768,
  [SMALL_STATE(1250)] = 50775,
  [SMALL_STATE(1251)] = 50782,
  [SMALL_STATE(1252)] = 50789,
  [SMALL_STATE(1253)] = 50796,
  [SMALL_STATE(1254)] = 50803,
  [SMALL_STATE(1255)] = 50810,
  [SMALL_STATE(1256)] = 50817,
  [SMALL_STATE(1257)] = 50824,
  [SMALL_STATE(1258)] = 50831,
  [SMALL_STATE(1259)] = 50838,
  [SMALL_STATE(1260)] = 50845,
  [SMALL_STATE(1261)] = 50852,
  [SMALL_STATE(1262)] = 50859,
  [SMALL_STATE(1263)] = 50866,
  [SMALL_STATE(1264)] = 50873,
  [SMALL_STATE(1265)] = 50880,
  [SMALL_STATE(1266)] = 50887,
  [SMALL_STATE(1267)] = 50894,
  [SMALL_STATE(1268)] = 50901,
  [SMALL_STATE(1269)] = 50908,
  [SMALL_STATE(1270)] = 50915,
  [SMALL_STATE(1271)] = 50922,
  [SMALL_STATE(1272)] = 50929,
  [SMALL_STATE(1273)] = 50936,
  [SMALL_STATE(1274)] = 50943,
  [SMALL_STATE(1275)] = 50950,
  [SMALL_STATE(1276)] = 50957,
  [SMALL_STATE(1277)] = 50964,
  [SMALL_STATE(1278)] = 50971,
  [SMALL_STATE(1279)] = 50978,
  [SMALL_STATE(1280)] = 50985,
  [SMALL_STATE(1281)] = 50992,
  [SMALL_STATE(1282)] = 50999,
  [SMALL_STATE(1283)] = 51006,
  [SMALL_STATE(1284)] = 51013,
  [SMALL_STATE(1285)] = 51020,
  [SMALL_STATE(1286)] = 51027,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(288),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1027),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(924),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(158),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(724),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(72),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(314),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(71),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(220),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(274),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(215),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1139),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1140),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1141),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(321),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(231),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(581),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(325),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1273),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(257),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1272),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1271),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1270),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(267),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1267),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(718),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(150),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(328),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(701),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(817),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(213),
  [204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(755),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(160),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(755),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(73),
  [216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(870),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(70),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(333),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(238),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(584),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(326),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1264),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(259),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1278),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1266),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(188),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1), REDUCE(sym_primary_expression, 1, .production_id = 1),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expresssion_lhs, 1, .production_id = 1),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(172),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(353),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(716),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(707),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_list_splat_pattern, 2, .production_id = 4),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(754),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3),
  [668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3),
  [670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2),
  [678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2),
  [704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 71),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, .production_id = 71),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, .production_id = 96),
  [742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, .production_id = 96),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 85),
  [768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 85),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1),
  [808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 67),
  [812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 67),
  [814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 48),
  [816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 48),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 48),
  [828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 48),
  [830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1),
  [840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2),
  [844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3),
  [856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 23),
  [860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, .production_id = 23),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 67),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 67),
  [870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 59),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 59),
  [882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 14),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 13),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 42),
  [906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 42),
  [908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3),
  [910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 5),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3),
  [914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1), REDUCE(sym_primary_expression, 1),
  [927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expresssion_lhs, 1),
  [931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1),
  [933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2),
  [943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(277),
  [964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 55),
  [966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 55),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 75),
  [972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 75),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 54),
  [978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 54),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2),
  [986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2), REDUCE(sym_tuple, 2),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(278),
  [998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [1000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 40),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 40),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [1010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2), REDUCE(sym_list, 2),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2),
  [1019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51),
  [1021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51),
  [1023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51), SHIFT_REPEAT(318),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51), SHIFT_REPEAT(341),
  [1029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 15),
  [1031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 15),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 52),
  [1037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 52),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 50),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 50),
  [1045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 37),
  [1047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 37),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, .production_id = 114),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, .production_id = 114),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, .production_id = 80),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, .production_id = 80),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 37),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 37),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 36),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 36),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51), SHIFT_REPEAT(241),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, .production_id = 72),
  [1078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, .production_id = 72),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51), SHIFT_REPEAT(266),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, .production_id = 94),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, .production_id = 94),
  [1095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 3, .production_id = 15),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 3, .production_id = 15),
  [1099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 42),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 42),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, .production_id = 41),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, .production_id = 41),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, .production_id = 55),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, .production_id = 55),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 59),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 59),
  [1115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 102),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 102),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, .production_id = 40),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, .production_id = 40),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 93),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 93),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 90),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 90),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 58),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 58),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 78),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 78),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 35),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 35),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 117),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 117),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, .production_id = 42),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, .production_id = 42),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 110),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 110),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 109),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 109),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 100),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 100),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 108),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 108),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 116),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 116),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 107),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 107),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 111),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 111),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 118),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 118),
  [1183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 106),
  [1185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 106),
  [1187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, .production_id = 87),
  [1189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 4, .production_id = 87),
  [1191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat2, 1, .production_id = 35),
  [1193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 1, .production_id = 35),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, .production_id = 119),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 8, .production_id = 119),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 115),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 115),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, .production_id = 59),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, .production_id = 59),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 99),
  [1209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 99),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 97),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 97),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 98),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 98),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, .production_id = 43),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, .production_id = 43),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 101),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 101),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 113),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 113),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 42),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 42),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 95),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 95),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 63),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 63),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, .production_id = 59),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, .production_id = 59),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 62),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 62),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 61),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 61),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 60),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 60),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, .production_id = 80),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, .production_id = 80),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, .production_id = 79),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, .production_id = 79),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 77),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 77),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 76),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 76),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 57),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 57),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 56),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 56),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 53),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 53),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 74),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 74),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 73),
  [1299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 73),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 112),
  [1303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 112),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [1307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 103),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 103),
  [1313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 91),
  [1315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 91),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, .production_id = 11),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, .production_id = 11),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 89),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 89),
  [1325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 81),
  [1327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 81),
  [1329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 82),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 82),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 105),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 105),
  [1339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 104),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 104),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 44),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 44),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [1385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(871),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, .production_id = 21),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, .production_id = 21),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 49),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 49),
  [1432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(860),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 24),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 24),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .production_id = 8),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .production_id = 8),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, .production_id = 9),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, .production_id = 9),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3),
  [1519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3),
  [1521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [1523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [1525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(870),
  [1528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, .production_id = 32),
  [1530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, .production_id = 32),
  [1532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, .production_id = 33),
  [1534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, .production_id = 33),
  [1536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, .production_id = 33),
  [1538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, .production_id = 33),
  [1540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [1542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [1544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, .production_id = 32),
  [1546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, .production_id = 32),
  [1548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [1550] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [1552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5),
  [1554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5),
  [1556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4),
  [1558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4),
  [1560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, .production_id = 32),
  [1562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, .production_id = 32),
  [1564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, .production_id = 33),
  [1566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, .production_id = 33),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [1570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [1572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 33),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 33),
  [1576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(624),
  [1578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [1588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [1594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, .production_id = 4),
  [1596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_list_splat_pattern, 2),
  [1599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, .production_id = 10),
  [1601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, .production_id = 10),
  [1603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25),
  [1605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(713),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1188),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(713),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(661),
  [1619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(729),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1242),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(729),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(684),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2),
  [1633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(588),
  [1636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(745),
  [1639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1197),
  [1642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(745),
  [1645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(686),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, .production_id = 4),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [1670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [1706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3),
  [1708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2),
  [1710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [1712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 46),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1),
  [1740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2),
  [1742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 17),
  [1744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, .production_id = 21),
  [1746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, .production_id = 22),
  [1748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18),
  [1752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(305),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, .production_id = 22),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, .production_id = 21),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = -1, .production_id = 6), SHIFT(167),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(373),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [1797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(345),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(868),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(868),
  [1826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [1850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [1852] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(351),
  [1855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(1204),
  [1858] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(585),
  [1861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(358),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1),
  [1884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3),
  [1892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 47),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, .production_id = 71),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1),
  [1916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2),
  [1918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2),
  [1932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [1938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(254),
  [1941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, .production_id = 5),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 96),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 84),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 85),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, .production_id = 7),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 17),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 83),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 46),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 5),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 66),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = -1, .production_id = 6),
  [2031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6),
  [2035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2),
  [2037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 18),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(308),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [2064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(718),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 86),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, .production_id = 16),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, .production_id = 39),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [2079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(1224),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [2084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 15),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [2088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 65),
  [2098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(1247),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 18),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 3),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, .production_id = 12),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [2145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(300),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2),
  [2158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, .production_id = 3),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(372),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [2179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(1003),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [2184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(201),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [2197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 88), SHIFT_REPEAT(269),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 88),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, .production_id = 32),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3),
  [2206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 34),
  [2208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 34), SHIFT_REPEAT(367),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, .production_id = 7),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27), SHIFT_REPEAT(1064),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [2248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(1030),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 12),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 26),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2),
  [2269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(297),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [2274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(1195),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 13),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 14),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, .production_id = 45),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 3),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_expression, 3),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 68), SHIFT_REPEAT(252),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 68),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(197),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [2405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(225),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [2414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2),
  [2416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(825),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(826),
  [2442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(142),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [2447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27), SHIFT_REPEAT(1124),
  [2450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 19),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [2460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 38), SHIFT_REPEAT(343),
  [2465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 38),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, .production_id = 7),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, .production_id = 28),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [2489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, .production_id = 29),
  [2493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 30),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 31),
  [2501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, .production_id = 70),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, .production_id = 69),
  [2509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, .production_id = 32),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, .production_id = 21),
  [2513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 20),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, .production_id = 64),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, .production_id = 2),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [2633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2667] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [2703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
